
<div align="center">
     <h1>Cyber Detective's OSINT tools collection</h1>
     <img alt="GitHub stars" src="https://img.shields.io/github/stars/cipher387/osint_stuff_tool_collection"> 
     <img alt="GitHub forks" src="https://img.shields.io/github/forks/cipher387/osint_stuff_tool_collection"> <br>
     <img src="https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=flat">
     <img src="https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fcipher387%2Fosint_stuff_tool_collection&count_bg=%2379C83D&title_bg=%23555555&icon=&icon_color=%23E7E7E7&title=hits&edge_flat=false">
     <br>
     <br>
</div>


Hello! On my Twitter account [@cyb_detective](https://linktr.ee/cyb_detective) I post different services, techniques, tricks and notes about OSINT and more. I collect all the links from my tweets in this collection (already 1000+ services for a wide variety of purposes).


Thank you for following me! [@cyb_detective](https://cybdetective.com)



Don't forget that OSINT's main strength is in automation. Read the [Netlas Cookbook](https://github.com/netlas-io/netlas-cookbook) for details and examples.

## Most important categories


| Section                                   | Link                                                                                                   |
|-------------------------------------------|--------------------------------------------------------------------------------------------------------|
| Maps, Geolocation and Transport           | [Explore](#maps-geolocation-and-transport)                                 |
| Social Media                              | [Explore](#social-media) |
| Domain/IP/Links                           | [Explore](#domainiplinks)                  |
| Image Search and Identification           | [Explore](#image-search-and-identification)                         |
| Cryptocurrencies                          | [Explore](#cryptocurrencies)                       |
| Messengers                                | [Explore](#messengers)                       |
| Code                                      | [Explore](#code)                       |
| Search engines                            | [Explore](#search-engines)                       |
| IOT                                       | [Explore](#iot)                       |
| Archives                                  | [Explore](#archives)                       |
| Passwords                                  | [Explore](#passwords)                       |
| Emails                                  | [Explore](#emails)                       |
| Nicknames                                  | [Explore](#nicknames)                       |




## [](#table-of-contents) Table of contents
- [Maps, Geolocation and Transport](#maps-geolocation-and-transport)
    - [Social media and photos](#social-media-and-photos)
    - [Nature](#nature)
    - [Aviation](#aviation)
    - [Maritime](#maritime)
    - [Railway](#railway)
    - [Routes](#routes)
    - [Politics, conflicts and crisis](#politics-conflicts-and-crisis)
    - [Urban and industrial infrastructure](#urban-and-industrial-infrastructure)
    - [Culture](#culture)
    - [Worldwide street webcams](#worldwide-street-webcams)
    - [Tools](#tools)
    - [Transport](#transport)
    - [Communications, Internet, Technologies](#communications-internet-technologies)
    - [Anomalies and Lost Places](#anomalies-and-lost-places)
    - [Street View](#street-view)
    - [Satellite/aerial imagery](#satelliteaerial-imagery)
    - [Military tracking](#military-tracking)
    - [Military visalisation](#military-visalisation)
    - [Other](#other)
- [Social Media](#social-media)
    - [Twitter](#twitter)
    - [YouTube](#youtube)
    - [TikTok](#tiktok)
    - [Protonmail](#protonmail)
    - [Facebook](#facebook)
    - [Clubhouse](#clubhouse)
    - [Linkedin](#linkedin)
    - [Xing](#xing)
    - [Reddit](#reddit)
    - [Onlyfans](#onlyfans)
    - [Snapchat](#snapchat)
    - [Twitch](#twitch)
    - [Fidonet](#fidonet)
    - [Usenet](#usenet)
    - [Tumblr](#tumblr)
    - [Flickr](#flickr)
    - [Spotify](#spotify)
    - [Discord](#discord)
    - [Mastodon](#mastodon)
    - [Yandex](#yandex)
    - [Instagram](#instagram)
    - [Google](#google)
    - [Patreon](#patreon)
    - [Github](#github)
    - [Wikipedia](#wikipedia)
    - [Parler](#parler)
    - [Pornhub](#pornhub)
    - [Steam](#steam)
    - [Minecraft](#minecraft)
    - [Xbox](#xbox)
    - [VK](#vk)
    - [Office365](#office365)
    - [OneDrive](#onedrive)
    - [Udemy](#udemy)
    - [Duolingo](#duolingo)
    - [Universal](#universal)
    - [Downloaders](#downloaders)
- [Domain/IP/Links](#domainiplinks)
    - [Dorks/Pentest/Vulnerabilities](#dorkspentestvulnerabilities)
    - [Searchers, scrapers, extractors, parsers](#searchers-scrapers-extractors-parsers)
    - [Redirect lookup](#redirect-lookup)
    - [Cookies analyze](#cookies-analyze)
    - [Website's files metadata analyze and files downloads](#websites-files-metadata-analyze-and-files-downloads)
    - [Backlinks analyze](#backlinks-analyze)
    - [Website analyze](#website-analyze)
    - [Domain/IP investigation](#domainip-investigation)
    - [Subdomains scan/brute](#subdomains-scanbrute)
    - [Cloudfare](#cloudfare)
    - [Databases of domains](#databases-of-domains)
    - [Website traffic look up](#website-traffic-look-up)
    - [Website technology look up](#website-technology-look-up)
    - [Source Code Analyzes](#source-code-analyzes)
    - [Broken Links Checkers](#broken-links-checkers)
    - [URL unshorteners](#url-unshorteners)
- [Text Analyze](#text-analyze)
- [Sound indefication and analyze](#sound-indefication-and-analyze)
- [Sound search and analyze](#sound-search-and-analyze)
- [Video editing and analyze](#video-editing-and-analyze)
- [Image Search and Identification](#image-search-and-identification)
    - [Reverse Image Search Engines and automation tools](#reverse-image-search-engines-and-automation-tools)
    - [Image editing tools](#image-editing-tools)
    - [Other Image Search Engines](#other-image-search-engines)
    - [Image Analyze](#image-analyze)
    - [Exif Analyze and editing](#exif-analyze-and-editing)
    - [Face recognition and search](#face-recognition-and-search)
    - [Font Indenfication](#font-indenfication)
- [Cryptocurrencies](#cryptocurrencies)
- [Messengers](#messengers)
    - [Telegram](#telegram)
    - [WhatsApp](#whatsapp)
    - [Kik](#kik)
    - [Slack](#slack)
    - [Skype](#skype)
- [Code](#code)
- [Search engines](#search-engines)
    - [Universal search tools](#universal-search-tools)
    - [Darknet/deepweb search tools](#darknetdeepweb-search-tools)
    - [Public buckets search tools](#public-buckets-search-tools)
    - [Bugbounty/vulnerabilities search tools](#bugbountyvulnerabilities-search-tools)
    - [Filesharing Search Engines](#filesharing-search-engines)
    - [Tools for DuckDuckGo](#tools-for-duckduckgo)
    - [Tools for Google](#tools-for-google)
- [IOT](#iot)
- [Archives](#archives)
    - [Tools for working with web archives](#tools-for-working-with-web-archives)
    - [Archives of documents/newspapers](#archives-of-documentsnewspapers)
    - [Tools for working with WARC (WebARChive) files](#warc)
- [Datasets](#datasets)
- [Science](#science)
- [Passwords](#passwords)
- [Emails](#emails)
- [Nicknames](#nicknames)
- [Phone numbers](#phone-numbers)
- [Universal Contact Search and Leaks Search](#universal-contact-search-and-leaks-search)
- [Sock Puppets](#sock-puppets)
- [NOOSINT tools](#noosint-tools)
- [Visualization tools](#visualization-tools)
- [Routine/Data Extraction Automation](#routinedata-extraction-automation)
- [Browser analyze](#browser-analyze)
- [Files](#files)
- [IMEI and serial numbers](#imei-and-serial-numbers)
- [NFT](#nft)
- [Keywords, trends, news analytics](#keywords-trends-news-analytics)
- [Apps and programs](#apps-and-programs)
- [Company information search](#company-information-search)
- [Bank information search](#bank-information-search)
- [Brand/trademark information search](#brandtrademark-information-search)
- [Tender/shipment information search](#tendershipment-information-search)
- [Amazon](#amazon)
- [Movies](#movies)
- [Netflix](#netflix)
- [TV/Radio](#tvradio)
- [Tools collections/toolkits](#tools-collectionstoolkits)
- [Databases and data analyzes](#databases-and-data-analyzes)
- [Online OS Emulators](#online-os-emulators)
- [Virtual Machines/Linux distributions](#virtual-machineslinux-distributions)
- [My Projects](#my-projects)

[](#maps-geolocation-and-transport)Maps, Geolocation and Transport
==================================================================

### [](#social-media-and-photos)Social media and photos

| Link | Description |
| --- | --- |
| [Apps.skylens.io](https://app.skylens.io/) | Posts with geotags from five social networks at once on one map (Twitter, YouTube, Instagram, Flickr, Vkontakte) |
| [photo-map.ru](http://photo-map.ru/) | search geotagged photos from VK.com |
| [Snapchat map](https://map.snapchat.com/) |     |
| [YouTube Geofind](https://mattw.io/youtube-geofind/) | view YouTube geottaged video on map |
| [Flickr Photo Map](https://www.flickr.com/map) |     |
| [Flickr Common Map](http://www.whatsthatpicture.com/flickr/commons-map.php) | displays only Flickr photos distributed under a Creative Commons license (250 of the latest for each location) |
| [I know where your cat lives](https://iknowwhereyourcatlives.com/cat/99638e1fe0) | geottaged photo from Instagram with #cat hashtag |
| [Trendsmap.com](https://www.trendsmap.com/map) | Explore most popular #Twitter trends, hashtags and users on the worldmap |
| [Pastvu.com](https://pastvu.com/) | View historical photos taken at a particular location on a map. |
| [BirdHunt](https://birdhunt.co/) | A very simple tool that allows you to select a geolocation/radius and get a list of recent tweets made in that place. |
| [WikiShootMe](https://wikishootme.toolforge.org/) | Worldwide map of geotagged Wikipedia Creative Commons Images. To display more information, log in with your Media Wiki account. |
| [The Painted Planet](https://hicsuntleones.nl/paintedplanet/) | Click on a point on the map to get a list of landscapes by famous artists depicting the area. |
| [COPERNIX](https://copernix.io/) | Worldwide map of geolocated Wikipedia articles. It's possible to enter the name of a locality to see articles about local streets or attractions. |
| [WikiNearby](https://wikinearby.toolforge.org/?lang=en&q=55.333056%2C+27.248889) | Enter geographic coordinates, language, and get a list of Wikipedia articles about streets, towns, stations and other notable places nearby. |
| [Huntel.io](https://www.huntintel.io/) | get a list of links to Facebook/Instagram locations linked to geographic coordinates |

### [](#nature)Nature

| Link | Description |
| --- | --- |
| [Map View NGMDB](https://ngmdb.usgs.gov/mapview/?center=-97,39.6&zoom=4) | map for exploring some geologic maps and articles from the NGMDB (National Geologic Map Database). |
| [WAQI](http://waqi.info) | World's Air Pollution: Real-time Air Quality Index map |
| [GlobalFishingMap](https://globalfishingwatch.org/map/) | click on a point on the map and get the data on the current fishing effort at that location. |
| [ncei.noaa.gov](https://www.ncei.noaa.gov/maps/hazards/) | Natural Hazards Viewer (worldwide) |
| [Lightingmaps](https://www.lightningmaps.org/) | lightning strikes in real time and also data on thunderstorms that ended months or years ago |
| [Light Pollution World Map](https://www.lightpollutionmap.info/) | showing the degree of light pollution in different countries. It's possible to see the data over time (since 2013) |
| [Global Wetlands Map](https://www2.cifor.org/global-wetlands/) | Interactive map of open waters, mangroves, swamps, fens, riverines, floodswamps, marshs, wet meadows and floodplains (unfortunately, there are not all countries in the world) |
| [Fire MAP NASA](https://firms.modaps.eosdis.nasa.gov/map/) | online map of fire hotspots around the world (data from VIIRS and MODIS satellites, last 24 hours) |
| [Ocearch Shark Tracker](https://www.ocearch.org/tracker/) | Click on a shark on the world map and find out its name, size and travel log. |
| [Surging Seas: Risk Zone Map](https://ss2.climatecentral.org/#12/40.7298/-74.0070?show=satellite&projections=0-K14_RCP85-SLR&level=5&unit=feet&pois=hide) | Map of points where there is a risk of significant sea level rise in the event of melting glaciers. |
| [USA Fishermap](https://usa.fishermap.org/depth-map/) | when you click on a freshwater body of water, its detailed map opens, on which the depth at different points is marked |
| [Mindat.org](https://www.mindat.org/countrylist.php) | mineral maps for different countries |
| [Ventusky.com](https://www.ventusky.com/) | collection of weather map (wind, rain, temperature, air pressure, humidity, waves etc) |
| [Wunderground](https://www.wunderground.com/history) | weather history data |
| [Rain Alarm](http://rain-alarm.com) | shows where it is raining on the map. You can enable notification of approaching rain (in the browser and in the mobile app) |
| [Cyclocane](https://cyclocane.com) | click on the hurricane on the map and get detailed information about it |
| [MeteoBlue](https://www.meteoblue.com/) | Weather stats data |
| [Zoom.earth](https://zoom.earth/) | Worldwide map of rains, storms, fires, heats, winds and others natural phenomenas |
| [NGDC Bathymetry map](https://maps.ngdc.noaa.gov/viewers/bathymetry/) | worldwide detailed interactive bathymetry map |
| [Soar.earth](https://soar.earth/) | big collection satellite, drone and ecological maps |
| [Geodesics on the Earth](https://academo.org/demos/geodesics/) | finding the shortest path between two points |
| [Google Earth](https://www.google.com/earth/) | 3D representation of Earth based primarily on satellite imagery |
| [Everymountainintheworld](http://everymountainintheworld.com/) | Map of the world showing the mountains (with absolute and relative altitude and links to Peakbagger, Listsofjohn and Caltopo). |
| [Rivermap](https://rivermap.org/map/#sprache=en) | Online map with the most detailed information on Europe's rivers (mostly central for the time being, but the data is being updated): direction and speed, water temperature, depth, slope angle, etc. |
| [Global Biodiversity Information Facility](https://www.gbif.org/occurrence/map?q=cobra) | Enter the name of an animal, bird or plant to see a map of where it has been spotted. |
| [Natural Hazards Map (worldwide)](https://www.fmglobal.com/research-and-resources/nathaz-toolkit/flood-map) | Enter location and assess the risk of flooding, earthquakes and hail in this place on the map. |
| [River Runner Global](https://river-runner-global.samlearner.com/) | Click on any point on the map and trace the path that a drop of rainwater takes from current location to the world's oceans. |
| [Macrostrat's geologic map system integrates over 290 bedrock geologic maps from around the world into a single, multiscale database (c).](https://macrostrat.org/) | Macrostrat's geologic map system integrates over 290 bedrock geologic maps from around the world into a single, multiscale database (c). |
| [Global Flood Database (and interactive map)](http://global-flood-database.cloudtostreet.ai/) | Detailed statistics on floods over the last 15 years (worldwide): precipitation levels, flooded area, number of people affected, dates, duration in days, etc. |
| [Gaisma](https://www.gaisma.com/en/) | A site for those who verify the location of a photo by the position of the sun. It is very much inferior in functionality to http://timeanddate.com, but its interface is much simpler. |

### [](#aviation)Aviation

| Link | Description |
| --- | --- |
| [Skyvector](https://skyvector.com/) | tool is designed for planning private flights. And you can find an incredible amount of data about the current situation in the sky on it |
| [Flight Connections](https://www.flightconnections.com/) | click on the airport on the map to see the cities from which it's possible fly direct |
| [World Aviation Accident Database 1962-2007](https://www.ntsb.gov/_layouts/ntsb.aviation/index.aspx) |     |
| [World Aviation Accident Database 2008-2021](https://data.ntsb.gov/carol-main-public/basic-search) |     |
| [Rzjets.net](http://rzjets.net/aircraft/) | user updated online database (census) of civilian jet and turbojet aircraft |
| [Globe.adsbexchange.com](https://globe.adsbexchange.com/) | tracking flights on a map |
| [Transtats.bts.gov](https://transtats.bts.gov/ONTIME/) | flight schedules and data on the actual departure/arrival times of flights in the U.S. for more than 30 years (!)) |
| [Legrooms for Google Flights](https://chrome.google.com/webstore/detail/legrooms-for-google-fligh/nhonfddkgankhjilponlbdccpabaaknp/related) | An extension that displays the size of the legroom between the seats next to the flight information. |
| [Flight Status Info](https://flight-status.info/) | - get a list of airports by city name; - view the flight schedule of a particular airport; - view the flight schedule of a particular airline; - getting detailed information about a flight and more  |

### [](#maritime)Maritime

| Link | Description |
| --- | --- |
| [Track Trace](https://www.track-trace.com/container) | tracking a shipping container by number |
| [Container Tracking](http://container-tracking.org/) | tracking a shipping container by number |
| [Searates container tracking](https://www.searates.com/container/tracking/) | tracking a shipping container by number |
| [CMA Voyage Finder](https://www.cma-cgm.com/ebusiness/schedules/voyage) | search for voyage details by voyage number or ship name |
| [The Shipping Database](https://theshippingdatabase.com/) | comprehensive archive of the world ships. There is even data for 1820!!!!!!! |
| [Submarinecablemap.com](https://www.submarinecablemap.com/) | submarine communications cables map |
| [Submarine Vessels Tracking Map](https://www.marinevesseltraffic.com/submarine-vessels-tracking-map) |     |
| [Ports.com](https://ports.com/sea-route/) | online calculation of travel time between two ports (with optimal path). It's possible to select the speed from 5 to 40 knots. Shows a list of the seas through which it passes. |
| [Live Cruise Ship Tracker](https://www.livecruiseshiptracker.com/) | Large catalogue of cruise ship research materials: - map with trackers; - timetables; - webcams on decks and in ports; - elaborate thematic news aggregator |

### [](#railway)Railway

| Link | Description |
| --- | --- |
| [Amtrak Status Maps Archive Database](https://juckins.net/amtrak_status/archive/html/history.php) | find out the train schedule for a station on a particular day that passed many years ago (since 2008) |
| [Europe station maps floor plan](https://www.nsinternational.com/en/stations/station-maps-floor-plan) |     |
| [Rasp.yandex.ru/map/trains](https://rasp.yandex.ru/map/trains) | Live map of trains for Russia, Belarus, Ukraine, Kazahstan and Abhazia |
| [Chronotrains](https://chronotrains-eu.vercel.app/) | A terrific weekend travel planning service for Europeans. It shows how far you can go from a certain station in 5 hours by train. |
| [Direkht Ban Guru](https://direkt.bahn.guru/) | Enter the name of the station to see what cities you can get to by train without changing (+ travel time for each city). |
| [Live Train Tracker](https://mobility.portal.geops.io/world.geops.transit?baselayer=world.geops.travic&layers=paerke,strassennamen,haltekanten,haltestellen,pois,world.geops.traviclive&x=810000&y=5900000&z=5.5) | A world map showing real-time train traffic (with route point's exact geographic coordinates) and schedules on the roads of Europe, North and South America and Australia. |
| [Railcabrides](https://railcabrides.com/en/mapsearch) | Click on a point on the railway on the world map (railways are marked in orange or red) to see a list of rail cab videos from that location. With this service you can see many places where Google Street View has not yet reached! |
| [ZugFinder](https://www.zugfinder.net/en/start) | Detailed information on trains, stations and real-time train traffic for European countries |

### [](#routes)Routes

| Link | Description |
| --- | --- |
| [Ride With GPS](https://ridewithgps.com/users) |     |
| [Wandermap](http://www.wandermap.net/en/#/z15/55.7522011,37.6156006/terrain) | hiking routes world map |
| [Runmap](http://www.runmap.net/en/?tab=new#/z15/55.7522011,37.6156006/terrain) | running routes world map |
| [Bikemap](https://www.bikemap.net/) | biking route world map |

### [](#politics-conflicts-and-crisis)Politics, conflicts and crisis

| Link | Description |
| --- | --- |
| [Global Terriorism Database](https://twitter.com/cyb_detective/status/1578772549919559681) | Info about more than 200,000 terrorist incidents from 1970 to 2020 (worldwide): - dozens of advanced search options; - statistical data for each group of incidents; - many details on each incident, with sources; |
| [Freedomhouse.org](http://freedomhouse.org/explore-the-map) | map of the world that shows the scores of different countries on the following indicators (on a scale of 1 to 100) |
| [Crimemapping.com](https://www.crimemapping.com/) | pick a state, a police agency, and what crimes and where were committed in the territory under its control in the last 24 hours, a week, or a month. |
| [Citizen.com](https://citizen.com/explore) | live map of incidents (mainly shooting) that happened in the last hours in major U.S. cities |
| [MARITIME AWARENESS PROJECT](https://map.nbr.org/interactivemap/) | detailed map of maritime borders of states, economic zones with statistical data on ports and many other objects |
| [Monitor Tracking Civic Space Worldwide Map](https://monitor.civicus.org) | Civicus (@CIVICUSalliance) |
| [Hungermap](https://hungermap.wfp.org) | Worldwide Hunger Map |
| [Native-land.ca](https://native-land.ca/) | click on the point on the map and find out: - what nation this area used to belong to; - what language was once spoken there; - a historical event that resulted in a nation losing their territory. |
| [RiskMap](https://www.riskmap.com/) |     |
| [Liveuamap](https://liveuamap.com/) |     |
| [Crisisgroup](https://www.crisisgroup.org/crisiswatch) |     |
| [Hate Map](https://www.splcenter.org/hate-map) |     |
| [emmeline.carto.com](https://emmeline.carto.com/me) |     |
| [Global Conflict Tracker](https://www.cfr.org/global-conflict-tracker/?category=us) |     |
| [Acled data crisis map](https://acleddata.com/dashboard/#/dashboard) |     |
| [Frontex Migratory Map](https://frontex.europa.eu/we-know/migratory-map/) | click on a country or region to see how many illegal border crossings have been reported there in the last six months. |
| [Safe Airspace](https://safeairspace.net/) | (Conflict Zone & Risk Database) worldwide map showing the countries where flying over may be dangerous; detailed history of incidents and official warnings for each country |
| [Worldwide Detention Centres Map](https://www.globaldetentionproject.org/detention-centres/map-view) | This service will help in investigations related to illegal emigration, human trafficking, missing refugees and tourists.
 |

### [](#culture)Culture

| Link | Description |
| --- | --- |
| [Taste Atlas](https://www.tasteatlas.com/) | Worldwide online map of national cuisine. There are thousands of dishes typical of countries or regions as a whole, as well as small towns. |

### [](#urban-and-industrial-infrastructure)Urban and industrial infrastructure

| Link | Description |
| --- | --- |
| [Wheelmap.org](https://wheelmap.org) | map shows public places that are accessible and partially accessible to #wheelchair users |
| [Pedestriansfirst](https://pedestriansfirst.itdp.org/) | Evaluate the pedestrian friendliness of streets in different cities. There is a lot of detailed data that will be useful both for choosing a place to live and for a variety of research |
| [World Population Density Map](https://luminocity3d.org/WorldPopDen/) | Very detailed data. It's possible to look at the density not only by country and city, but also by individual metropolitan areas, towns, and villages |
| [Emporis Buildings Map](https://www.emporis.com/buildings/map) | world map showing notable buildings. For each object you can find out the height, number of floors, type, and purpose |
| [Osmbuildings.org](https://osmbuildings.org/) | world map showing notable buildings. For each object you can find out the height, type, and purpose. |
| [Find Food Support](https://findfoodsupport.withgoogle.com/) | find places where you can get free food by address (USA) |
| [Aqicn](https://aqicn.org/map/world/) | Air pollution gauges on the map |
| [Average Gamma Dose Rate Map](https://eea.government.bg/eea/main-site/bg/output/daily/bulletin-en.html) | Shows measurements of environmental radioactivity in the form of gamma dose rate for the last 24 hours. These measurements originate from some 5500 stations in 39 countries |
| [OpenIndoor](https://app.openindoor.io/#17/48.11915/-1.70188) | A world map where you can see how different buildings look from the inside (number of floors, location of stairways, rooms, doors, etc.). The database of the service is not very large yet, but the project is constantly being developed. |
| [Poweroutage](https://poweroutage.com/) | Map with real-time power outage statistics by country and region. |
| [Open Benches](https://openbenches.org/) | Worldwide map of 22,756 memorial benches (added by users). |
| [Sondehub](https://sondehub.org/) | Worldwide map of radiosondes with detailed info (altitude, coordinates, frequency, manufacturer, sonde-type and much more) |
| [The Meddin Bike-sharing World Map](https://bikesharingworldmap.com/) | 8 million+ bikes in one map. There is information about rental stations that have recently closed or suspended their activities. |
| [Rally Maps](https://www.rally-maps.com/map) | A worldwide map showing thousands of race (regular and one-off) locations. It's possinle to find names of winners, routes, dates and other detailed information (historical data from the 1970s is available). |
| [SKYDB](https://www.skydb.net/) | Worldwide database of skyscrapers and tall buildings. |

### [](#worldwide-street-webcams)Worldwide street webcams

| Link | Description |
| --- | --- |
| [Surveillance under Surveillance](https://sunders.uber.space/) | World map of surveillance camera locations (mostly Europe and neighbor countries). For some cameras detailed information is given: geo coordinates, type, mount, timestamp etc|
| [Insecam.org](http://www.insecam.org/) |     |
| [Earthcam](https://www.earthcam.com/) |     |
| [Camstreamer](https://camstreamer.com/live/map) |     |
| [Webcamtaxi](https://www.webcamtaxi.com/en/map.html) |     |
| [Skyline Webcams](https://www.skylinewebcams.com/webcam.html) |     |
| [Worldcam.eu](https://worldcam.eu/) |     |
| [Worldcams TV](https://worldcams.tv/) |     |
| [Geocam](https://www.geocam.ru/en/) |     |
| [Live beaches](https://www.livebeaches.com/australia/) | Beaches webcam only |
| [Opentopia](http://www.opentopia.com/) |     |
| [MangolinkWorld](https://www.mangolinkworld.com/) |     |
| [FoxMonitor](https://www.foxmonitor.com/) |     |
| [WEBCAM CSE](https://cipher387.github.io/webcamcse/) | Google Custom Search Engine for search in 10 online street webcam catalogs |

### [](#tools)Tools

| Link | Description |
| --- | --- |
| [Calculator IPVM](https://calculator.ipvm.com/) | A tool that shows how the image from an outdoor camera it will look (based on data from Google Street View). You can specify camera parameters or select a model from a list (9188 cameras). |
| [Osmaps Radius](http://jopf.re/osmaps-radius/) | drawing circles with a certain radius on the map |
| [MeasureTool-GoogleMaps-V3](http://zhenyanghua.github.io/MeasureTool-GoogleMaps-V3/) | Measurement tool for #GoogleMaps. |
| [ACSDG](https://www.acscdg.com/) | tool allows you to quickly mark a group of points on the map and then export their geographic coordinates to CSV. |
| [MeasureMapOnline](https://app.measuremaponline.com/dashboard/overview) | tool for drawing rectangles, circles and complex polygons on a world map to measure their area and perimeter |
| [Map Fight](https://mapfight.xyz/browse/) | compare size of two countries |
| [Presto Map lead extractor](https://chrome.google.com/webstore/detail/presto-map-lead-extractor/ljnhdpilgapdpecpbpdiideeknfpkiih/related) | Converts information about labels on Google Maps to CSV or XLSX |
| [Gmaps Extractor](https://chrome.google.com/webstore/detail/g-map-extractor/eehgalnhbmkfalhdjkeenggnniebdpgi/related) | Extract data from placemarks |
| [GPS Visualizer](https://www.gpsvisualizer.com/) | show gpx and tcx files on map |
| [Map Checking](https://www.mapchecking.com/) | tool for measuring the number of people in a crowd of different area and density. |
| [OSM Finder](https://osm-finder.herokuapp.com/) | A tool for automate work with Overpass Turbo. Upload a photo, mark a line on the map roads, railroads, power lines and get a ready-made query to find sections of the map corresponding to the photo. |
| [Mapnificent](https://www.mapnificent.net/) | Choose a city on the world map, then select an address on the map and see what places you can get to by public transport in a certain time interval (range from 1 to 90 minutes) |
| [Cesium ion](https://cesium.com/ion/stories/viewer/?id=8be6f99c-0d4c-46ce-91a3-313e3cac62fe) | scalable and secure platform for 3D geospatial data. Upload your content and Cesium ion will optimize it as 3D Tiles, host it in the cloud, and stream it to any device |
| [OpenSwitchMapsWeb](https://tankaru.github.io/OpenSwitchMapsWeb/index.html) | One of the most powerful map switches I've ever seen. It allows you to see data for the same location in 160+ different services (some of them in Japanese). |
| [OSM Smart Menu](https://chrome.google.com/webstore/detail/osm-smart-menu/icipmdhgbkejfideagkhdebiaeohfijk/related) | Google Chrome extension to switch between dozens of different types of online maps (based on #OpenStreetMap and NOT only) |
| [Calcmaps](https://www.calcmaps.com/) | Simple online map tools: Calculate area (triangles, quadrilaterals and complex polygons), Calculate distance (for complex routes), Measure radius, Calculate elevation |
| [Scribble maps](https://www.scribblemaps.com/) | Partly free online tool for creating infographics (images or pdf) based on maps. |
| [Gdal3.js.org](https://gdal3.js.org/) | One of the main problems of using geospatial data in investigations is the large number of applications for working with it, which save the result in different formats. This multifunctional online geodata converter will help to solve it. |
| [Google Maps Timeline Exporter](https://chrome.google.com/webstore/detail/timeline-exporter/afalbippddliaaomolohcbfogogbjpkk/related) | If your Google account has once enabled collecting data about your location (link for checking https://timeline.google.com/maps/timeline), this extension will help you analyze your movement data in depth, and export it to CSV. |
| [Overpass API](https://overpass-api.de/achavi/) | This simple online tool shows Open Street Map changes over a certain date range. |
| [localfocus.nl/geokit](https://www.localfocus.nl/geokit/) | geographic toolkit for investigative journalists |
| [Google Maps Scraper](https://console.apify.com/actors/nwua9Gu5YrADL7ZDj) | Enter search terms (ex "Boston museum") and scrape adresses, phone, websites and other place info from Google Maps. |
| [FELT](https://felt.com/) | FREE online tool for creating map-based visualizations: - put labels with names and descriptions - draw lines and routes - choose from hundreds of backgrounds - download your work as PDF, image, GeoJSON or share link to online version |
| [Bellingcat OSM Search](https://osm-search.bellingcat.com/) | A tool for locating photos and satellite images: Specify the objects you see and the distance between them (ex: a 10-story building 80 meters from a park). Select a search area (ex: a district of a city) Get a list of places that fit the description. |
| [Smappen](https://www.smappen.com/app/) | Online tool to calculate the distance a person can travel from a given point in a given time (on foot, by car, by bicycle, by train, by truck). |
| [Python Overpy](https://github.com/DinoTools/python-overpy) | Old (but it's still working) and simple command line #python tool for access Overpass Turbo API. |

### [](#transport)Transport

| Link | Description |
| --- | --- |
| [Venicle Number Search Toolbox](https://cipher387.github.io/venicle_number_search_toolbox/) | search information about car by venicle numbers (14 different countries from one page) - #GreatBritain, #Norway, #Denmark, #Russian and others |
| [Transit Visualisation Client](https://tracker.geops.ch) | real time info about public transport in 739 cities and towns in the dozens of countries |
| [Collection of public transport maps](https://cipher387.github.io/public_transport_maps/) | 20 online public transport maps (most real-time) for different cities and countries around the world |
| [WorldLicensePlates](http://www.worldlicenseplates.com/) | graphic index of license plates of different countries of the world |
| [Openrailwaymap](https://openrailwaymap.org/) | Map of the world with information about the railroad tracks. It's possible to visualize maximum speed, electrification, track gauge, and other parameters. |
| [Waze](https://www.waze.com/en-GB/live-map/) | Online map (+mobile app) for information about various problems on the roads (accidents, street closures, police parking, etc.) around the world. Waze especially interesting because it stores the marks users left a few days or weeks ago. |

### [](#communications-internet-technologies)Communications, Internet, Technologies

| Link | Description |
| --- | --- |
| [Opencellid.org](https://opencellid.org/) | the world's largest Open Database of Cell Towers |
| [CellMapper](https://www.cellmapper.net/map?MCC=null&MNC=null&type=undefined&latitude=0&longitude=0&zoom=11&showTowers=true&showIcons=true&showTowerLabels=true&clusterEnabled=true&tilesEnabled=true&showOrphans=false&showNoFrequencyOnly=false&showFrequencyOnly=false&showBandwidthOnly=false&DateFilterType=None&showHex=false&showVerifiedOnly=false&showUnverifiedOnly=false&showLTECAOnly=false&showENDCOnly=false&showBand=0&showSectorColours=true&mapType=roadmap) | Worldwide cell towers map; Cell ID Calculator; Frequency Calculator; LTE Throughput Calculator; Network statistics by countries. |
| [API mylnikov.org](https://www.mylnikov.org/) | get lattitude and longitude by WiFI BBSID |
| [nperf.com/map](http://nperf.com/en/map) | view the coverage area of different #cellular operators in different countries |
| [nperf.com/map/5g](https://www.nperf.com/en/map/5g) | 5G coverage #map worldwide |
| [Vincos.it](http://vincos.it/world-map-of-social-networks) | world social media popularity map |
| [app.any.run](https://app.any.run) | interactive worldwide map of cyber threats statistics (last 24 hour) |
| [Web Cam Taxi](https://www.webcamtaxi.com/en/russia/moscow-province/badoo-office.html) | open webcams around the world |
| [Radio Garden](http://radio.garden/visit/moscow/MQfEnBji) | select a local radio station on the world map and listen to what's playing at the moment |
| [TorMap](https://twitter.com/cyb_detective/status/1536682540265873408) | Worldwide online map of Tor Nodes |
| [GeoWiFi](https://github.com/GONZOsint/geowifi) | Search WiFi geolocation data by BSSID and SSID on different public databases (Wigle, Apple, OpenWifi, API Mylnikov). |
| [GPSJam](https://gpsjam.org/) | GPS Interfence Map shows where GPS jamming systems could be operating on a particular day (most often associated with military conflicts). |
| [Infrapedia](https://www.infrapedia.com/) | Worldwide detailed online map of Submarine Cables, Data Centers, Terrestrial Fibers, Internet Exchanges |
| [OONI Explorer](https://explorer.ooni.org/search) | World biggest open data resource on internet censorship around the world. 1.6+ million measurements in 241 countries since 2012. |


### [](#anomalies-and-lost-places)Anomalies and "Lost Places"

| Link | Description |
| --- | --- |
| [Argis UFO map](https://www.arcgis.com/apps/View/index.html?appid=6cd609921ebc44ff914a4e8059813b16) | UFO sightings interactive map. USA only |
| [Bigfoot and UFO map](https://www.google.com/maps/d/viewer?msa=0&mid=1PX4dE4ZRFR8pEnc2xHATGQe1rDA&ll=33.679013212530805%2C-38.36085893876531&z=3) | Bigfoot, UFO and other sightings around USA and Europe |
| [The Haunted map](https://www.google.com/maps/d/viewer?mid=1PdxFMPxgBmXdjMsusb-O2k074ok&hl=en&ll=45.17177063794067%2C7.41628581553573&z=5) | A map of haunted locations where ghost sightings have been reported around the world.  Based by data from http://ghostresearchinternational.com |
| [Lost places map](https://www.google.com/maps/d/viewer?mid=1M6OeH-DCWCLHGLQ2_CiGPd0aO7IjPHqo&hl=de&ll=50.06460483234834%2C8.681870511153518&z=10) | A map of independent research reports on urban spaces that are published in the Lost places Facebook community |
| [Bigfoot Sightings and Density of the US with Biomes](https://www.arcgis.com/apps/View/index.html?appid=f987f36187c140aeab6eb157e909eb64) | Bigfoot sightings reports density around the USA |
| [BFRO bigfoot sightings database](https://www.bfro.net/gdb/) | This comprehensive database of credible sightings and related reports is maintained by an all-volunteer network of bigfoot/sasquatch researchers, archivists, and investigators in the United States and Canada--the BFRO.|
| [Haunted places](https://earth.google.com/web/@-7.15227307,116.57647982,-5437.85537383a,22257190.23309946d,35y,0h,0t,0r/data=CjoSOBIgNzgxN2E2YmFhZTA3MTFlN2E3Y2M3M2UxNjM3ZTRhMjMiFGVmX2djc19sb2NhbGd1aWRlc182) | Google Earth map of ghost sightings around the world |
| [UFO reporting map](https://youmap.com/app/2-ufo-reporting/posts) | YouMap of UFO sightings reporting around the USA |
| [Australia UFO map 2008](https://www.google.com/maps/d/viewer?ie=UTF8&hl=en&msa=0&ll=-23.514388807757186%2C138.76867076517286&spn=45.197878%2C67.324219&source=embed&mid=1VYlDMJCmxaFm-uOfDfN74Cdr6Vg&z=4) | UFO sigthins Google Map Australia 2008  |
| [URBEX database map](https://www.urbex.nl/map/) | Europe lost places map based by Urbex database |
| [Lostplace atlas](https://www.google.com/maps/d/viewer?mid=1yRkY_mc-IpSVTfQgR3G6Pvjno3w&hl=en_US&ll=36.86911339765801%2C22.7511350249344&z=4) | Google map of lost places in Germany and other Europe countries |
| [Virtual Globe Trotting](https://virtualglobetrotting.com/) | Add latitude and longitude to the URL to see the nearby : Unusual and funny images from Google Street View; Interesting parts of the satellite map |



### [](#street-view)Street View

| Link | Description |
| --- | --- |
| [Show My Street](http://showmystreet.com) | simple tool that simplifies and speeds up your research work with Google Street View. Just click on the map and see street panoramas |
| [Mapillary](https://www.mapillary.com/app/) | street panoramas over the world |
| [360cities.net/map](https://360cities.net/map) | world map of panoramic (360 degrees) images |
| [Earthviewer360.com](http://earthviewer360.com) | Click on a point on the map to see a 360 degree video panorama (it's possiblle to pause to see some areas in more detail) |

### [](#satelliteaerial-imagery)Satellite/aerial imagery

| Link | Description |
| --- | --- |
| [Observer](http://observer.farearth.com/observer/) | service allows you to watch data from different orbiting satellites in the record. The data is available in 15-30 minutes after recording. |
| [USGS Earth Explorer](https://earthexplorer.usgs.gov/) | more than 40 years old collection of satellite imagery |
| [Landviewer](https://eos.com/products/landviewer/) | satellite observation imagery tool that allows for on-the-fly searching, processing and getting valuable insights from satellite data to tackle real business issues |
| [Copernicus Open Access Hub](https://scihub.copernicus.eu/) | ESA's open access portal to Sentinel data |
| [Sentinel Hub EO Browser](https://apps.sentinel-hub.com/eo-browser/) | complete archive of Sentinel-1, Sentinel-2, Sentinel-3, Sentinel-5P, ESA's archive of Landsat 5, 7 and 8, global coverage of Landsat 8, Envisat Meris, MODIS, Proba-V and GIBS products in one place. |
| [Sentinel Hub Playground](https://apps.sentinel-hub.com/sentinel-playground/) | tool for viewing satellite images with different effects and rendering. |
| [NASA Earthdata Search](https://search.earthdata.nasa.gov/) | search in 8555+ collection and photos. |
| [INPE Image Catalog](http://www.dgi.inpe.br/catalogo/) | free satellite images catalogue. |
| [NOAA Data Access Viewer](https://coast.noaa.gov/dataviewer/#/) | satellite images of the coastal U.S.(discover, customize, and download authoritative land cover, imagery, and lidar data.) |
| [NASA WorldView](https://worldview.earthdata.nasa.gov/) | high resolution and high quality satellite images. |
| [ALOS](https://www.eorc.jaxa.jp/ALOS/jp/alos-4/a4_about_j.htm) | "Advanced land Observer Satellite" images collection (Japan) |
| [Bhuvan](https://bhuvan.nrsc.gov.in/home/index.php) | Indian Geo-platfrom of ISRO. |
| [OpenAerialMap](https://map.openaerialmap.org/#/-90.098876953125,33.8430453147447,6?_k=huaxo6) | set of tools for searching, sharing, and using openly licensed satellite and unmanned aerial vehicle (UAV) imagery |
| [OpenAerialMap](https://map.openaerialmap.org/#/-18.632,18.47900000000001,3?_k=3za5b4) | Select an area on the map and get a list of freely available aerial images for that area. For some locations available images are many times superior in quality to conventional satellite images. |
| [ApolloMapping Image Hunter](https://imagehunter.apollomapping.com/) | Select an area on the map using a special tool (square and polygon) and get a list of dozens of images obtained from satellites or by aerial photography (from the early 2000s as well as those taken a couple of days ago). |
| [keyhole engelsjk](https://keyhole.engelsjk.com/) | Experimental visualization tool for 1.3 million+ declassified spy satellite imagery (1960 to 1984 years). |
| [Maxar](https://discover.maxar.com/) | Highlight an area on the world map and get dozens of satellite images of that area taken at different times (mostly 2021-2023) |

### [](#military-tracking)Military tracking

| Link | Description |
| --- | --- |
| [ADS-b.nl](https://www.ads-b.nl) | tracking military aircrafts. |
| [Planefinder Army Live Flight Tracker](https://planefinder.net/flight/ARMY). |     |
| [Itamilradar](https://www.itamilradar.com) | track military flights over Italy and over the Mediterranean Sea. |
| [MarineVesselFinder](https://www.marinevesseltraffic.com/2013/02/military-ship-track.html) | military ship tracking. |
| [BellingCat Radar Interfence Tracker](https://ollielballinger.users.earthengine.app/view/bellingcat-radar-interference-tracker#lon=49.9507;lat=26.6056;zoom=4;) |     |
| [WEBSDR](http://websdr.ewi.utwente.nl:8901) | online access to a short-wave receiver located at the University of Twente. It can be used to listen to military conversations (voice or Morse code). |
| [Russia-Ukraine Monitor Map](https://www.info-res.org/map) | represent open source material such as videos, photos and imagery that have been cross-referenced with satellite imagery to determine precise locations of military activity . |
| [Ukraine liveuamap.com](https://liveuamap.com/ru) | online tracking of war-related events in Ukraine. |
| [Syria Liveuamap](https://syria.liveuamap.com) | online tracking of war-related events in Syria. |
| [NATO.int](https://www.nato.int/nato-on-the-map/#lat=54.6871555&lon=25.2796514&zoom=2&layer-1) | Explore this interactive map to learn more about NATO, how the Alliance works and how it responds to today's security challenges. |
| [Understanding War Map Room](https://www.understandingwar.org/map-room) | collection of maps illustrating military conflicts in different countries. |
| [US Military Bases Interactive Worldwide Map](https://worldbeyondwar.org/no-bases/) | Use the map to find out the number of people at the base, the approximate area, the opening date, and to get links to articles with more information. |

### [](#military-visalisation)Military visualisation

| Link | Description |
| --- | --- |
| [Map.Army](https://www.map.army/) | Online tool for creating schemes of battles and military operations on the map. Extensive customization possibilities and a huge library of symbols. |
| [MGRS Mapper](https://mgrs-mapper.com/) | Build and share custom maps with standard military graphics using a simple visual interface (paod) |
| [ArgGis Military Overlay](https://solutions.arcgis.com/defense/help/military-overlay/) | Military Overlay can be used to create overlays with standard military symbols, by using and adapting existing feature templates in **ArgGis Pro** |

### [](#other)Other

| Link | Description |
| --- | --- |
| [Demo.4map.com](http://demo.f4map.com) | 3D interactive world map |
| [OldMapsOnline](https://www.oldmapsonline.org/) | World aggregator of old maps from various sources (498,908 maps) |
| [Whatiswhere.com](http://whatiswhere.com) | OpenStreetMap based free POI (point of interest) search. 102 types of objects |
| [Collection of cadastral maps](https://cipher387.github.io/collection_of_cadastral_maps/) | 41 countries |
| [WhoDidIt](https://simon04.dev.openstreetmap.org/whodidit/) | Click on an area on the OpenStreetMap to get a list of nicknames of users who have made changes on it (with dates). |
| [European World Translator](https://ukdataexplorer.com/european-translator/) | Enter the word in English to see its translation into different European languages on the map. |


[](#social-media)Social Media
=============================

### [](#twitter)Twitter

| Link | Description |
| --- | --- |
| [Stweet](https://github.com/markowanga/stweet) | Opensource Python library for scraping tweets (by user, by hashtag, by keyword). NO LOGIN OR API KEY REQUIRED. |
| [BirdHunt](https://birdhunt.co/) | A very simple tool that allows you to select a geolocation/radius and get a list of recent tweets made in that place. |
| [Twitter account detector](https://chrome.google.com/webstore/detail/twitter-account-detector/papcdbgfejihdinhieggiamjnkclhkck/related) | A simple and fast Chrome extension that finds all Twitter accounts on a site. |
| [Follower Wonk/Compare](https://followerwonk.com/compare/) | this service allows you to find out how many followers two (or three) Twitter accounts have in common. |
| [Tweepsmap Unfollows](https://tweepsmap.com/dash/unfollows) | displayed unsubscribed accounts (list for the one week available for free) |
| [app.truthnest.com](https://app.truthnest.com/) | best tool for Twitter account investigation |
| [Whotwi](https://en.whotwi.com/) | A free online tool for analysing your #Twitter account: - shows the mutual following; - search for tweets by calendar; - list of most active readers; - analysis of daily activity, hashtags and more. |
| [Treeverse.app](https://treeverse.app) | view dialogs in Twitter as a graph |
| [Hashtagify](https://hashtagify.me/) | compare the popularity of the two hashtags |
| [Scoutzen](https://www.scoutzen.com/twitter-lists/search) | search twitter lists by keywords |
| [One Million Tweet Map](https://onemilliontweetmap.com/) |     |
| [Tweet Binder](https://www.tweetbinder.com/) | detailed twitter account analyze |
| [Tweet Sentiment Visualization](https://www.csc2.ncsu.edu/faculty/healey/tweet_viz/tweet_app/) |     |
| [Tweet Beaver Friends Following](https://tweetbeaver.com/friendsfollowing.php) |     |
| [Tweet Topic Explorer](http://tweettopicexplorer.neoformix.com/#n=NYTimes) |     |
| [Twitter Money Calculator](https://influencermarketinghub.com/twitter-money-calculator/) |     |
| [Twitter Analytics](https://analytics.twitter.com/) | gather detailed infromation about your own account |
| [Twemex](https://chrome.google.com/webstore/detail/twemex-sidebar-for-twitte/amoldiondpmjdnllknhklocndiibkcoe/related) | Twitter sidebar with: quick commands for searching your own tweets, lists, users tweets and replies; quick links to quotes of current tweet, user's most liked tweets and conversations. |
| [Vicintias.io](https://www.vicinitas.io/free-tools/download-twitter-followers) | very fast export of information about Twitter account followers to XLSX |
| [Twitter Shadow Ban Checker](https://shadowban.yuzurisa.com/) | If you suddenly notice that your account's tweets have decreased in views and the flow of audience has slowed down, it's worth checking to see if your account has been shadow-banned. |
| [Twitter Mentions Map](https://www.twitonomy.com/mentions-map.php) | A world map that shows the locations of users who mention you in their tweets. |
| [Twitter URL Scraper](https://apify.com/zuzka/twitter-url-scraper) | A simple tool for analyzing twitter conversations (and other pages). Get profile pictures, user names and the text of the conversation's tweets and replies. Data can be exported to CSV, JSON, XML. |
| [DO ES FOLLOW](https://doesfollow.com/) | quick check if one user is subscribed to another on Twitter |
| [Sleeping Time](http://sleepingtime.org/) | determining the approximate sleeping time of a user based on analysis of the timing of a tweet |
| [Tweet Tunnel](https://tweettunnel.com/reverse.php) | tool for quick and comfortable viewing old tweet's of someone account |
| [Twitter users directory](https://twitter.com/i/directory/) |     |
| [FollowerAudit](https://www.followeraudit.com) | In-depth analysis of Twitter followers. Identifies inactive and fake accounts, assesses followers by the number of tweets, profile information (biography, geolocation, links, profile picture). |
| [Foller.me](https://foller.me/) | Twitter account detailed analyze |
| [Get day Twitter Trends](https://getdaytrends.com/) |     |
| [US Twitter Trend Calendar](https://us.trend-calendar.com/) |     |
| [Followerwonk](https://followerwonk.com/bio) | search by Twitter bio |
| [Twitter Botometr](https://botometer.osome.iu.edu/) |     |
| [projects.noahliebman.net/listcopy](http://projects.noahliebman.net/listcopy/connect.php) | copy a list made by another user to your Twitter account |
| [Unfollower Stats](https://unfollowerstats.com/) | iOS App that tracking unfollowers and show nofollowersback and unactive followers for your Twitter account |
| [Twish](https://chrome.google.com/webstore/detail/twish/afpegchfbaddfmenhkajjggbnjfjejeh/related) | very simple, quick, comfortable and nicely designed advanced #Twitter search query builder for #GoogleChrome. |
| [Twitter Scraper](https://console.apify.com/actors/u6ppkMWAx2E2MpEuF) | Scrape any #Twitter user profile. Creates an unofficial Twitter API to extract tweets, retweets, replies, favorites, and conversation threads with no Twitter API limits. |
| [Twiiter Trending Archive](http://archive.twitter-trending.com/) | A wide range of options for analyzing #Twitter trending history: 1. See what was popular on a particular day in a particular country or in the world as a whole. 2. Enter a keyword and find out when it was in the global/particular country trends. |
| [Tweeview](https://tweeview.ml/) | Twitter conversation visualization (beta) |
| [Tweeplers](https://www.tweeplers.com/?cc=GB) | Trending Twitter users and hashtags (map/list) Top twitted cities and countries Realtime Tweet Map |
| [FlockNet](https://www.flock.network/) | A tool for finding and filtering your own #Twitter followers. It allows you to find all the people from a certain city or with certain interests. And then quickly view their profiles in a convenient format. |
| [Orbit livasch](https://orbit.livasch.com/) | A tool for analyzing connections between Twitter accounts (based on the number of likes, retweets, tweet citations, and mentions). |
| [The Twitter Stream Grab](https://archive.org/details/twitterstream) | Full archives of tweets in JSON for a particular month (from 2011, but some months are not available). |
| [Twitter 3D](https://twitter.jeffprod.com/) | 3D viewer of relationships between twitter users. |
| [ExportData.io](https://www.exportdata.io/) | (PAID) Download followers & followings, export historical tweets since 2016. |
| [Eight Dollars](https://github.com/wseagar/eight-dollars) | Browser extension that shows who really is a verified #Twitter user and who paid $8 for verification. |
| [Twitter Archive Parser](https://github.com/timhutton/twitter-archive-parser) | In case your Twitter account is blocked, it's usefull to open settings and download account data. This tool extracts the most important info about tweets from archive and formats it in an easy-to-read way. |
| [removeTweets](https://twitter-tools.rootonline.de/removeTweets) | In recent weeks, I have been seeing more and more accounts deleting their tweets in whole or in part. You can automate this process with this tool.  |
| [TWEEDS](https://github.com/achyuthjoism/tweeds) | A very easy-to-use Python library that allows you to collect all of a user's tweets into a CSV/JSON file. Also it's possible to collect tweets by hashtag or geolocation. |
| [BirdSQL](http://perplexity.ai/sql) | New Twitter search tool using OpenAI GPT 3.5. Type queries in simple english language to get lists of tweets or users. For example: most liked tweets abou people followed by Jeff Bezos who don't follow him back total number of users/tweet |
| [Spaces Down](https://spacesdown.com/) | Twitter Spaces download service (available after the broadcast ends). Works for quite a long time. It took about 5 minutes to generate an MP3 file with an audio recording of the 46-minute space. |
| [Twitter Control Panel](https://github.com/insin/control-panel-for-twitter) | A cross-browser extension that allows you to have maximum control over your Twitter feed: Hide retweets, quote tweets, who to follow etc; Reduce "engagement"; Hide UI items; Remove algoritmic content |
| [Wayback Tweets](https://waybacktweets.streamlit.app/) | A tool to quickly view tweets saved on http://archive.org No need to open a link to each tweet in a separate window It's possible to filter only deleted tweets |


### [](#youtube)YouTube

| Link | Description |
| --- | --- |
| [YouTube Whisperer](https://huggingface.co/spaces/jeffistyping/Youtube-Whisperer) | Transcribe YouTube video |
| [Eightify](https://chrome.google.com/webstore/detail/eightify-ai-youtube-summa/cdcpabkolgalpgeingbdcebojebfelgb/related) | ChatGPT YouTube summary |
| [YouTube Unlisted Video](https://unlistedvideos.com/) | search for videos available only by link on youtube |
| [YouTube Comments Analyze](https://tools.digitalmethods.net/netvizz/youtube/mod_video_info.php) | Download detailed information about YouTube video comments to a .tab or .gdf |
| [Youtube Actual Top Comments](https://chrome.google.com/webstore/detail/youtube-actual-top-commen/hbdmelobmfcompinikjdaiphhonbgfpn/) | The main drawback of the standard #YouTube comment display is that it does not sort comments by the number of likes, but simply shows popular comments in a random order. This extension solves this problem: |
| [Noxinluencer](https://noxinfluencer.com/youtube/channel-compare) | youtube channels comparing |
| [YouTube MetaData Viewer](https://citizenevidence.amnestyusa.org/) |     |
| [PocketTube](https://chrome.google.com/webstore/detail/pockettube-youtube-subscr/kdmnjgijlmjgmimahnillepgcgeemffb/related) | YouTube Subscription Manager |
| [YouTube comment Finder](https://ytcomment.kmcat.uk/) |     |
| [YouTube Comment Downloader](https://github.com/egbertbouman/youtube-comment-downloader) | easy to install and fast tool for downloading YouTube comments in txt/json. Does NOT require authorization or API keys. |
| [Montage.meedan.com](https://montage.meedan.com) | Search #YouTube video by date (uploaded or recording) and by geolocation. |
| [Slash Tags](https://github.com/huhmit/slashtags) | tool for recommending YouTube tags and displaying related statistical data from search keyword(s) |
| [YouTube playlist len](https://ytplaylist-len.herokuapp.com/) | Find out the total time of all the videos in playlist |
| [Anylizer.com](https://anilyzer.com/) | watch frame by frame YouTube and Vimeo) |
| [Improve YouTube](https://chrome.google.com/webstore/detail/improve-youtube-video-you/bnomihfieiccainjcjblhegjgglakjdd) | extension with dozens of different tweaks to the standard #YouTube interface |
| [YoTube Channel Search](https://tools.digitalmethods.net/netvizz/youtube/mod_channels_search.php) | Tool for searching YouTube channels by keywords in the name and creation date. The result is a table with the channel ID, name, description, date of creation, as well as the number of subscribers, views, and uploaded videos |
| [watchframebyframe.com](http://www.watchframebyframe.com/) | watch frame by frame YouTube and Vimeo |
| [Hadzy.com](https://hadzy.com/) | YouTube comment search) |
| [Ytcs](https://github.com/lettapp/ytcs) | google chrome extension to search YouTube comments without leaving the site (link to source code) |
| [YouTube Comment Search Chrome Extension](https://chrome.google.com/webstore/detail/ycs-youtube-comment-searc/pmfhcilikeembgbiadjiojgfgcfbcoaa/related) |     |
| [YouTube Transcript API](https://github.com/jdepoix/youtube-transcript-api) | Get the transcript/subtitles for a given #YouTube video (by ID from adress bar). It also works for automatically generated subtitles and supports translating subtitles. |
| [Jump Cutter](https://chrome.google.com/webstore/detail/jump-cutter/lmppdpldfpfdlipofacekcfleacbbncp/related) | An extension for those who watch university lectures on #YouTube and want to save their time. It identifies chunks where the lecturer writes silently on the board (or is just silent) and plays them back at double speed... |
| [YouFilter – YouTube Advanced Search Filter](https://chrome.google.com/webstore/detail/youfilter-–-youtube-advan/lnlanlnejphdbhplbgokklmgfbjphigi/related?hl=ru) | An extension that displays #YouTube search results in a table with very detailed information about each video (including quick links to the channel owner's contacts). It's can to download the results in CSV. |
| [YouTube Timestamp Comments](https://chrome.google.com/webstore/detail/youtube-timestamp-comment/khngjoedfeicfbjlcfmiigbokbnlibei/related) | extension finds all the timestamps in YouTube video comments and arranges them in chronological order. |
| [Youtube Actual Top Comments](https://chrome.google.com/webstore/detail/youtube-actual-top-commen/hbdmelobmfcompinikjdaiphhonbgfpn/related) | Fetch all comments to Youtube video (without answers). Sort them by likes and filter by keywords |
| [YouTube channel archiver](https://github.com/dmn001/youtube_channel_archiver) | Tool for automation downloading video, thumbnails and comments text from target YouTube channel (or channels). |
| [YouTube Scraper](https://apify.com/bernardo/youtube-scraper) | Extract and download channel name, likes, number of views, and number of subscribers. Scrape by keyword or URL. |
| [YouTube Booster](https://chrome.google.com/webstore/detail/youtube-booster/dajnidicmkknmmbapmmmlemjdfolgjnf/related) | This extension selects frames from videos and generates quick links to find them on Google and TinEye! |
| [YouTube Caption Searcher](https://chrome.google.com/webstore/detail/youtube-caption-searcher/aagdogpbnlhfcaaendmehjmdnepolaap/related) | Well down tool for searching in #YouTube video subtitles by keyword. Use Enter to move forward and Shift+Enter to move back. |
| [YouTube word search](https://chrome.google.com/webstore/detail/youtube-word-searcher/jichoejagacnbcinlgncghhdegdlhbcj/related) | An extension that helps you find at what second in the video a certain word is heard. It's possible to search not only by one word, but by the loaded list of words (!). |
| [Speak subtitles to YouTube](https://chrome.google.com/webstore/detail/speak-subtitles-for-youtu/fjoiihoancoimepbgfcmopaciegpigpa/related) | Subtitle dubbing tool with support for several dozen languages and voice variants. Useful for saving time and for education purposes. Works with glitches, try different settings to get better results. |
| [Youtube Lookup](https://youtube-lookup.vercel.app/) | Simple tool for gathering info about video: Content details, Snippet details, Statistics, Status, Thumbnails |
| [YouGlish](https://youglish.com/) | Type a random phrase in English and listen to native speakers pronounce it in YouTube videos. |
| [YouTube Screen Capture](https://github.com/mrwnwttk/youtube_stream_capture) | allows you to download a stream in pieces and then merge them |
| [Filmot](https://filmot.com/) | YouTube subtitles search engine. Search across 573 million captions/528 million videos/45 million channels. |
| [YouTube_Tool](https://github.com/nlitsme/youtube_tool) | #Python library for: - extracting subtitles by video ID or link (in different languages); - list all the video's contained in playlist; - list all video's from a channel; - get info about video by ID; - proxy support; and more. |
| [YtGrep](https://pypi.org/project/ytgrep/) | A tool for quick text search of subtitles in YouTube videos. Supports regular expressions and searching across multiple videos. |
| [Find YouTube Video](https://findyoutubevideo.thetechrobo.ca/) | An online tool that searches for information on YouTube videos by ID in the following sources: Wayback Machine; GhostArchive; #youtubearchive; Filmot |
| [YouTube Channel Crawler](https://channelcrawler.com/) | Search across 20, 625,734 channels. Search by name, category, country, number of subscribers, views, videos and creation date. |
| [Return YouTube Comment Username](https://chrome.google.com/webstore/detail/return-youtube-comment-us/kamibelompadnaekbellinmgbphoidmj) | YouTube has recently stopped showing user names in comments. There is an extension that solves this problem. |
| [YouTube Lookup](https://youtube-lookup.vercel.app/) | A simple online tool to view YouTube video metadata: Snippet Statistics Status Content Geolocation Thumbnails
 |

### [](#tiktok)TikTok

| Link | Description |
| --- | --- |
| [Tiktok Timestamp](https://bellingcat.github.io/tiktok-timestamp/) | determines the time of publication of the video to the nearest second. Just copy the link. |
| [TikStats](https://tikstats.org/) | detailed statistics on the growth dynamics of subscribers, likes, and video views for the TikTok account |
| [TikTok Scraper](https://github.com/drawrowfly/tiktok-scraper) | scrapping video from user, trend or hashtag feed, extracting video's or user's metadata, downloading video or music, processing a list of clips or users from a file |
| [TikTok Downloader](https://tiktokdownloader.com/) | TikTok Video Downloader |
| [TikTokD](https://tiktokd.com/) | TikTok Video Downloader |
| [Snaptik.app](https://snaptik.app/) | TikTok Video Downloader |
| [TikTake.net](https://tiktake.net/) | TikTok Video Downloader |
| [Exolyt.com](https://exolyt.com/) | TikTok profile analyze |
| [Tikbuddy](https://app.tikbuddy.com/) | TikTok profile analytics |
| [Mavekite.com](https://mavekite.com/) | Enter the nickname of the user #TikTok and get the data on likes, comments, views, shares and engagements for his forty last videos |
| [Tiktok Scraper](https://github.com/sauermar/Tiktok-Scraper) | Extract data about videos, users, and channels based on hashtags, profiles and individual posts. |
| [Tikrank.com](https://tikrank.com) | free tool for comparing and analyzing #TikTok accounts. Available ranking of the most popular users by country (there are more than a million accounts with the largest number of subscribers in the database) |
| [TikTok Creative Center Statistics](https://ads.tiktok.com/business/creativecenter/inspiration/popular/hashtag/pc/en?from=001114) | List of most popular hashtags; songs; creators; videos for different countries and periods. |

### [](#protonmail)Protonmail

| Link | Description |
| --- | --- |
| [Prot1ntelligence](https://github.com/C3n7ral051nt4g3ncy/Prot1ntelligence) | Validate ProtonMail email address, Gather info about ProtonMail user email or PGP Key, Search on the dark web target digital footprints, Check IP to belong to ProtonVPN |

### [](#facebook)Facebook

| Link | Description |
| --- | --- |
| [Find my FB ID (randomtools.io)](https://randomtools.io/) |     |
| [435,627,630 indexed items from that Facebook dump of recent - ready to be searched upon.](http://4wbwa6vcpvcr3vvf4qkhppgy56urmjcj2vagu2iqgp3z656xcmfdbiqd.onion.pet/) |     |
| [Facebook People Directory](https://www.facebook.com/directory/people/) |     |
| [sowdust.github.io/fb-search](https://sowdust.github.io/fb-search/) | search facebook posts, people and groups using URL-filtres |
| [Dumplt Blue](https://chrome.google.com/webstore/detail/dumpitblue%2B/igmgknoioooacbcpcfgjigbaajpelbfe/related) | GoogleChrome extension for @Facebook: dump to txt file friends, group members, messenger contacts etc, automate scroll page to bottom (+isolate scrolling), automate expanding comments and replies and much more. |
| [Fdown.net](https://fdown.net) | Facebook video downloader |
| [Facebook Latest Posts Scraper](https://console.apify.com/actors/EtZ9lsiipPgKrQIi6) | Scrape #Facebook posts with comments from one or multiple page URLs. Get post and comment texts, timestamps, post URLs, likes, shares, comments count, author ID. |
| [Facebook Latest Comments Scraper](https://console.apify.com/actors/w8bYllu7Jq18uWz99) | Enter link to the #Facebook post and get comments comments to it (text, timestamp and other info). |
| [Facebook Friend List Scraper](https://github.com/narkopolo/fb_friend_list_scraper) | Scrape names and usernames from large friend lists on Facebook, without being rate limited" |

### [](#clubhouse)Clubhouse

| Link | Description |
| --- | --- |
| [ClubHouse users.db](https://clubhousedb.com/) | search users by nickname and keyword in profile |
| [roomsofclubhouse.com](https://roomsofclubhouse.com/) | search open and scheduled rooms |
| [clubsearch.io](https://clubsearch.io/) | search open and scheduled rooms |
| [search4faces.com/ch00](https://search4faces.com/ch00/index.html) | reverse image face search by 4 millions 594 thousands #clubhouse avatars. |

### [](#linkedin)Linkedin

| Link | Description |
| --- | --- |
| [Freepeoplesseacrhtool.com](https://freepeoplesearchtool.com/) | find people in Linkedin without registration |
| [CrossLinked](https://github.com/m8r0wn/crosslinked) | LinkedIn enumeration tool to extract valid employee names from an organization through search engine scraping |
| [Linkedin Datahub](https://github.com/linkedin/datahub/blob/master/docs/faq.md) | linkedIn's generalized metadata search & discovery tool |
| [Recruitin.net](https://recruitin.net/) | easily use Google to search profiles on LinkedIn |

### [](#xing)Xing

| Link | Description |
| --- | --- |
| [XingDumper](https://github.com/l4rm4nd/XingDumper) | The Xing job and networking service has almost 20 million users! Here is a simple script that allows you to get a list of employees registered there for a particular company. |

### [](#reddit)Reddit

| Link | Description |
| --- | --- |
| [Map of Reddit](https://anvaka.github.io/map-of-reddit/?x=255000&y=381000&z=615624.4584051393) | an alternative format for interacting with Reddit |
| [Reddit Insvestigator](https://www.redditinvestigator.com/) |     |
| [redditcommentsearch.com](http://redditcommentsearch.com) | getting a list of all comments by a Reddit user with a certain name |
| [dashboard.laterforreddit.com/analysis](https://dashboard.laterforreddit.com/analysis) | examine popular post trends for a given subreddit |
| [Reddit Timer](https://ebof1223-reddit-timer.netlify.app/) | Get last week's hourly activity schedule for a specific subreddit |
| [Redditsave.com](https://redditsave.com) | Reddit video downloader |
| [Reddit Scraper](https://apify.com/trudax/reddit-scraper) | Crawl posts, comments, communities, and users without login. |
| [Redditsearch.io](https://redditsearch.io/) | Reddit search tool |
| [Reddloader.com](https://reddloader.com) | Reddit video downloader |
| [Camas Reddit Search](https://camas.github.io/reddit-search/) | Search engines for Reddit with a lot of filtres |
| [Reditmetis](https://redditmetis.com/) | View statistics fot Reddit users's account |
| [Repostsleuth](https://repostsleuth.com/) | Reddit trends analyzer |
| [Redetective](https://www.redective.com/) | Reddit search tool |
| [Unddit.com](https://www.unddit.com/) | Display deleted content in Reddit |
| [Reveddit](https://www.reveddit.com/about/#welcome) | Reveal reddit's removed content. Search by username, subreddit (r/), link or domain. |
| [Reddit User Extractor](https://github.com/mylk/reddit-user-extractor) | #python script that allows you to get a complete list of comments by user name on Reddit in CSV format |
| [Better Reddit Search](https://betterredditsearch.web.app/) | Reddit search tool for posts and subreddits (with boolean filters by keywords and filters by publication date). |
| [Reddit Post Scraping Tool](https://github.com/rly0nheart/reddit-post-scraping-tool) | Simple #python script for scraping post from #Reddit (by keywords and subreddit name) |
| [Subreddit Stats User-Overlap](https://subredditstats.com/subreddit-user-overlaps/) | A tool to find similar subreddits. The higher the score of a subreddit in the list, the higher the probability that users of the original subreddit (in our case r/osint) are active in it too. |
| [Reddit User Analyzer](https://reddit-user-analyser.netlify.app/) | Registration date; Activity stats; Kindness Meter; Text readability; Top subreddits; Most frequently used words; Submission and comment activity over time; Submission and comment karma over time; Best and worst comments |

### [](#onlyfans)Onlyfans

| Link | Description |
| --- | --- |
| [fansmetrics.com](http://fansmetrics.com) | Search in 20 millions #OnlyFans accounts |
| [Onlysearch.com](https://onlysearch.co/) | Onlyfans users search engines |
| [onlyfinder.com](https://onlyfinder.com/) | OnlyFans profiles search engine (search by people, images and deals) |
| [hubite.com/onlyfans-search/](https://hubite.com/onlyfans-search/) | OnlyFans profiles search engine with price filter |
| [SimilarFans](https://similarfans.com/) | A tool to find OnlyFans profiles with many filters (by country, price, category, age, etc.). |
| [FanSearch](https://www.fansearch.com/) | Search OnlyFans profiles by countries, price or category. |

### [](#snapchat)Snapchat

| Link | Description |
| --- | --- |
| [Bitmoji Avatar History Enumerator](https://webbreacher.github.io/osinttools/) | BACKMOJI takes a Bitmoji ID, version (usually the number 5), and a maximum value. Press the “Grab Images!” button and your browser will make “maximum value” requests for the images of that user’s Bitmoji. Those images will be displayed below. |

### [](#twitch)Twitch

| Link | Description |
| --- | --- |
| [Twitch Tools](https://twitch-tools.rootonline.de/followerlist_viewer.php) | downloas full followers list of any Twitch account in CSV |
| [Twitch Tracker](https://twitchtracker.com/) | detailed analysis of #Twitch streamer stats |
| [Sully Gnome](https://sullygnome.com/) | detailed analysis of #Twitch streamer stats |
| [Twitch Stream Filter](https://twitch-tools.rootonline.de/channel_previews.php) | Search streams and filter results by title, game, language, number of viewers. |
| [Untwitch.com](https://untwitch.com) | Twitch video downloader |
| [Twitch Overlap](https://stats.roki.sh/) | shows the viewer and audience overlap stats between different channels on Twitch. Currently tracks all channels over 1000 concurrent viewers. Data updates every 30 minutes. |
| [Justlog](https://logs.ivr.fi/) | Enter the username and the name of the channel to see all of the user's messages in that channel. The results can be downloaded as TXT |
| [Pogu Live](https://twitter.com/PogULive) | Tool that allows you to watch sub only or deleted VODs for free. It works because when a streamer deletes a video, iit is not deleted from Twitch's servers immediately. |
| [Twitch Recover](https://github.com/TwitchRecover/TwitchRecover) | Twitch VOD tool which recovers all VODs including those that are sub only or deleted. |
| [Twitch Database](https://www.twitchdatabase.com/following) | Following List + Channel Metadata + Role Lookup |
| [Twitch Insights](https://twitchinsights.net/) | Account stats; Game ranking; Extensions stats; List of all Twitch bot; Check user status by nickname or ID; List of Twitch team (history before 2020) |
| [Twitch Followage Tool](https://streamscharts.com/tools/followage) | Enter the Twitch username and get a complete list of channels he/she follows (with start dates) |

### [](#fidonet)Fidonet

| Link | Description |
| --- | --- |
| [Fidonet nodelist](https://nodehist.fidonet.org.ua/) | search by node number, sysop name and sysop location |

### [](#usenet)Usenet

| Link | Description |
| --- | --- |
| [NZBFRIENDS](http://nzbfriends.com) | usenet search engine |

### [](#tumblr)Tumblr

| Link | Description |
| --- | --- |
| [Tumblr Tool](http://labs.polsys.net/tools/tumblr/) | collected posts tagged with a specific term from Tumblr and export to .tab file (opens in Excel) and .GDF (opens in Gephi) |

### [](#flickr)Flickr

| Link | Description |
| --- | --- |
| [Flickr Photopool Contact Network](http://labs.polsys.net/tools/flickr/photopool/) | Analyzes Flickr groups and makes a list of nicknames of participants for further graph analysis in Gephi |

### [](#spotify)Spotify

| Link | Description |
| --- | --- |
| [Zspotify](https://github.com/Footsiefat/zspotify) | Spotify track downloader. Download mp3 by link or by keywords |
| [Chosic.com](https://www.chosic.com/spotify-playlist-analyzer/) | analyze the playlist on Spotiify, calculate the prevailing mood, genres, decades and favorite artists |
| [Spotify downloader](https://github.com/spotDL/spotify-downloader) | download spotify playlist in mp3 from YouTube |
| [chartmasters.org/spotify-streaming-numbers-tool/](http://chartmasters.org/spotify-streaming-numbers-tool/) | report of the number of streams of a particular artist's tracks on Spotify |

### [](#discord)Discord

| Link | Description |
| --- | --- |
| [ASTRAAHOME](https://github.com/AstraaDev/Discord-All-Tools-In-One) | 14 #Discord tools (including a RAT, a Raid Tool, a Token Grabber, a Crash Video Maker, etc) in one #python tool. |
| [Discord History Tracker](https://dht.chylex.com) | A tracking script will load messages from the selected channel and save them in .txt file. |
| [Serverse](https://extraction.team/serverse) | Search for Discord servers by keyword. |



### [](#mastodon)Mastodon

| Link | Description |
| --- | --- |
| [MASTO ](https://github.com/C3n7ral051nt4g3ncy/Masto) | Masto searches for the users Mastodon by name  and collects information about them (profile creation date, number of subscribers and subscriptions, bio, avatar link and more).|
| [Fedifinder](https://fedifinder.glitch.me/) | Tool for finding Twitter-users in Mastodon. You can search among those who follow you, those who follow you, as well as in your lists! Results can be exported to CSV. |
| [MastoVue](https://mastovue.glitch.me/#/) | More and more #osint and #infosec bloggers are creating Mastodon profiles these days. This tool will help you find accounts that match your interests by hashtag. |
| [Debirdify](https://pruvisto.org/debirdify/) | This tool automatically finds Fediverse/Mastodon accounts of people you follow on Twitter |
| [Search.Noc.Social](https://search.noc.social/) | Good alternative to the standard Mastodon search. This service allows you to search for users on different servers by hashtags and keywords.|
| [Instances.Social](https://instances.social/) | A tool for searching across full list of instances in #Mastodon. It can help you choose the right instance to register (matching your views on spam, advertising and pornography) and in finding illegal content to investigate crimes.|
| [Fediverse Explorer](https://fediverse.info/explore/people) | Search Mastodon users by interests|
| [Trunk](https://communitywiki.org/trunk/) | 200+ thematic lists of accounts in Mastodon. Python, JavaScript, Vim, Ruby, Privacy, Linux... There are even nudists and Tarot. The Pytrunk tool can be used to automatically following this lists https://github.com/lots-of-things/pytrunk|
| [What goes on Mastodon](https://observablehq.com/@mauforonda/what-goes-on-in-mastodon) | Interactive real time visualisation which shows the number of new users and posts on Mastodon Instances in the last 6 hours, 24 hours, 72 hours or the entire last month.|
| [IMAGSTON](https://seintpl.github.io/imagstodon/) | A tool that searches for users by name on different #Mastodon servers and collects information about them (profile picture, account type, date of account creation, bio). |
| [Movetodon](https://movetodon.org/) | Get a list of your Twitter followings in Mastodon. With the ability to sort by date of registration, date of last activity, and buttons for quick subscriptions. |
| [Followgraph for Mastodon](https://followgraph.vercel.app/) | Enter any #Mastodon Handle and get a list of accounts followed by the people this profile follows. It helps to find connections between people or just interesting accounts followed by many people interested in a certain topic. |
| [Kirbstr's Mastodon search](https://cse.google.com/cse?cx=e57e14c971ef34e61) | Google CSE for some of the most popular and open mastodon instances. |



### [](#yandex)Yandex

| Link | Description |
| --- | --- |
| [YaSeeker](https://github.com/HowToFind-bot/YaSeeker) | Get information about [http://Yandex.ru](http://Yandex.ru) account by login |

### [](#instagram)Instagram

| Link | Description |
| --- | --- |
| [IMGINN](http://imginn.com/) | This service allows you to do the following without logging in to Instagram account: - search for accounts containing a keyword in the profile name; - view all of the user's photos; - view photos in which the profile has been tagged by other users |
| [Instahunt](https://instahunt.co/) | Click on the point on the world map Click "Find places" Click "Get Instagram Place Data" Copy and paste the "Place Data" into the box View Insta locations on the map with links to photos! |
| [Instagram Location Search](https://github.com/bellingcat/instagram-location-search) | Get the names and links to all the locations on Instagram tied to specific geographic coordinates |
| [Inflact Instagram Search](https://inflact.com/tools/instagram-search/) | Instagram profiles search tool with the ability to filter results by number of subscribers, number of posts, gender, categories (personal blog, artist, product/service etc.) |
| [Terra](https://github.com/xadhrit/terra) | Collect information about twitter and Instagram accounts |
| [Instagram analyzer and viewer](https://gramho.com/) |     |
| [Sterraxcyl](https://github.com/novitae/sterraxcyl) | Tool for export to excel someone's #Instagram followers and/or following with details (Username, FullName, Bio, Followers and Following count, etc) |
| [Storysaver.net](https://www.storysaver.net) | download Instagram stories. |
| [Instagram Scraper](https://apify.com/jaroslavhejlek/instagram-scraper) | Scrape info about accounts, posts, stories and comment |
| [Instagram Hashtag Scraper](https://console.apify.com/actors/reGe1ST3OBgYZSsZJ) | Enter hashtag name and scrape all post tagged it. Get caption, commentsCount, photo dimensions, URL, other hashtags and other details in CSV, JSON or XLS table. |
| [Tenai](https://github.com/novitae/Tenai) | Simple tool that uncover some followers of a private #Instagram account |
| [TrendHero](https://trendhero.io/) | An Instagram profile search tool with a huge number of filters and the ability to view profile statistics. |
| [INSTALOADER](https://github.com/instaloader/instaloader) | Allows to download Instagram posts, photos, stories, comments, geolocation tags and more from #instagram |
| [InsFo](https://chrome.google.com/webstore/detail/insfo-export-instagram-fo/bckleejkdhlponanidmjfjdigpahlado/related) | The ultimate simple tool for saving followers/following an Instagram account to a table. |
| [Inflact](https://inflact.com/) | Another online tool that allows you to watch Instagram, without logging in: - search users by nickname; - view last posts; - analyze profile; |
| [Imginn](https://imginn.com/) | Free service to view Instagram profile posts without registration |
| [Instagram Explorer](https://www.osintcombine.com/instagram-explorer) | Click on a point on the map. Follow the instructions on the left. Get a link to view Instagram posts made at this location on a specific date range |

### [](#google)Google

| Link | Description |
| --- | --- |
| [GHunt](https://github.com/mxrch/GHunt) | google account investigation tool |
| [Ghunt Online Version](https://gmail-osint.activetk.jp/) | Get info about Google account by email: - name - default profile  and cover pictures; - calendar events and timezone; - Google Maps reviews; - Google Plus and Google Chat data;
 |

### [](#patreon)Patreon

| Link | Description |
| --- | --- |
| [Graphtreon.com](https://graphtreon.com/) | patreon accounts earnings stats |

### [](#github)Github

| Link | Description |
| --- | --- |
| [Star History](https://star-history.com) | simple tool that shows how the number of stars a repository on #Github has changed over the past three months. |
| [Commits.top](https://commits.top/) | Current list of the most active @Github users by country |
| [Gitstar Ranking](https://gitstar-ranking.com/) | Unofficial GitHub star ranking for users, organizations and repositories |
| [Github Rater](https://aykutsarac.github.io/github-rater/) | rates GitHub profile upon data received from GitHub API |
| [Github Trending Archives](https://github.com/willin/github-trending) | Github trending archive for a specific date. |
| [GitHub Repository Size](https://chrome.google.com/webstore/detail/github-repository-size/apnjnioapinblneaedefcnopcjepgkci) | simple google chrome extension to view Github repo size |
| [Gitcolombo](https://github.com/soxoj/gitcolombo) | simple and fast tool that collects information (edit statistics and contacts) about repository contributors on Github |
| [Coderstats](https://coderstats.net) | enter Github username and get detailed statistics of profile: languages, issues, forks, stars and much more |
| [GitHub-Chart](https://chrome.google.com/webstore/detail/github-chart/apaldppjjcjgjddfobajdclccgkbkkje/related) | it shows a visual representation of the temporal distribution of user changes in the repositories. You can visually see "productivity peaks" and see which days of the week a person is most active |
| [Zen](https://github.com/s0md3v/Zen) | Tool for gathering emails of #Github users |
| [GithubCompare](https://www.githubcompare.com) | When searching for OSINT tools on #Github, you will often come across several repositories with the same name. This service will help to visually compare them, determine which one was created earlier, which one has more forks and stars. |
| [DownGit](https://minhaskamal.github.io/DownGit/#/home) | Create GitHub Resource Download Link |
| [Profile Summary for Github](https://profile-summary-for-github.com/search) | Get detailed stats by Github username |
| [Github Hovercard](https://chrome.google.com/webstore/detail/github-hovercard/mmoahbbnojgkclgceahhakhnccimnplk/related) | Displays a block of detailed information about the repository or user when the mouse pointer is placed over it. Save time for those who look through dozens of pages of #Github search results in search of the right tool for their tasks. |
| [SEART Github Search](https://seart-ghs.si.usi.ch/) | Search engine for #Github with a dozen different filters. It has slightly fewer features than the standard Github advanced search, but more user-friendly. |
| [Repos Timeline](https://repostimeline.nazifbara.com/) | Enter #Github username and click Generate to see a timeline with all of the user's repositories and forks they have made. |
| [Gitvio](https://gitvio.vercel.app/) | A tool to quickly and easily view detailed information about a user's Github profile: the most popular repositories, number of commits, issues and , statistics of languages used, and more. |
| [OSGINT](https://github.com/hippiiee/osgint) | A simple #python tool to collect information about a Github user. It can be used to gather: all available emails avatar_url twitter_username number of followers/following date of profile creation and last update and more.  |
| [gitSome](https://github.com/chm0dx/gitSome) | A tool for gathering information from #Github: - extract all emails from commits of a particular user (top of the pic); - gathering info about repository (with forks); - search info by domain name |
| [Open Source Software Insight](https://ossinsight.io/) | Amazing service that allows to analyze developers and repositories data based on more than 5 billion (!) Github Events. |
| [Map of Github](https://anvaka.github.io/map-of-github/) | Enter the name of the repository, see its links to other projects, and its place on the map of all Github repositories. Notice how small 1337 island is. |

### [](#wikipedia)Wikipedia

| Link | Description |
| --- | --- |
| [WikiStalk : Analyze Wikipedia User's Activity](https://github.com/altilunium/wistalk) |     |
| [Wikipedia Cross-lingual Image Analysis](https://tools.digitalmethods.net/beta/wikipediaCrosslingualImageAnalysis/) | A simple tool that allows to evaluate the content of different language versions of an #wikipedia article about the same subject or concept in one glance. |
| [WikiMedia Cloud Page Views](https://pageviews.wmcloud.org/) | The tool shows how many times a particular page on WikiPedia has been visited within a certain period of time. It also allows you to compare 2 or more pages with each other. Who is more popular? |
| [WikiWho](http://wikiwho.ailef.tech/) | Database of edits made to #Wikipedia using IP ranges of organizations, government agencies and companies (FBI, NATO, European Parliament, etc.) You can view both the edits history of a single article and the edits history of organization. |
| [WIKIT](https://github.com/KorySchneider/wikit) | A tool for searching and reading #Wikipedia articles from the #CLI. The main benefit of it is fewer distractions from work.  You don't have to open browser (with Facebook, YouTube and other time eaters) to find out about something. |

### [](#parler)Parler

| Link | Description |
| --- | --- |
| [Parler archive](https://parler.adatascienti.st/) |     |

### [](#pornhub)Pornhub

| Link | Description |
| --- | --- |
| [Sn0int framework module for Pornhub](https://sn0int.com/r/kpcyrd/pornhub) |     |



### [](#bluesky)Bluesky

| Link | Description |
| --- | --- |
| [BlueSky users stats](https://vqv.app/stats/chart) |  |

### [](#steam)Steam

| Link | Description |
| --- | --- |
| [steamdb.info/calculator](https://steamdb.info/calculator/) | shows how much money has been spent on games in Steam by a particular user |
| [Steam Osint Tool](https://github.com/matiash26/Steam-OSINT-TOOL) | Enter the link to the user's Steam profile to get a list of his or her closed "friends" and a list of his or her public comments. |



### [](#minecraft)Minecraft

| Link | Description |
| --- | --- |
| [MineSight](https://github.com/Gobutsu/MineSight) | Minecraft #osint tool. By nickname, it checks the presence of users on different servers and collects information about them (date of registration, links to social networks, history of nickname changes, etc.). |

### [](#xbox)Xbox

| Link | Description |
| --- | --- |
| [Xboxgamertag](https://xboxgamertag.com/) | search Xbox Live users by nickname (gamertag). It's possible to view gamer's stats and his playing history. |

### [](#vk)VK

| Link | Description |
| --- | --- |
| [Vk.city4me.com](http://vk.city4me.com/) | tracking user online time |

### [](#office365)Office365

| Link | Description |
| --- | --- |
| [Oh365UserFinder](https://github.com/dievus/Oh365UserFinder) | A simple tool that shows if an #Office365 account is tied to a specific email address. It's possible to check an entire list of emails from a text file at once. |
| [o365chk](https://github.com/nixintel/o365chk) | simple #Python script to check if there is an #Office365 instance linked to a particular domain and gathering information about this instance. |

### [](#onedrive)OneDrive

| Link | Description |
| --- | --- |
| [Onedrive Enumeration Tool](https://github.com/nyxgeek/onedrive_user_enum) | A tool that checks the existence of OneDrive accounts with certain usernames (from the users.txt file) in the domain of a certain company. |

### [](#udemy)Udemy

| Link | Description |
| --- | --- |
| [Udemy Video Playback Speed](https://chrome.google.com/webstore/detail/udemy-video-playback-spee/jipobffkabkgddgmdmmgjoaopbnjnffn/related) | A simple extension that changes the speed of playing video courses on #Udemy. |

### [](#duolingo)Duolingo

| Link | Description |
| --- | --- |
| [duolingOSINT](https://github.com/ajuelosemmanuel/duolingOSINT) | The language learning platform Duolingo has more than 570 million+ users worldwide. This tool collects information about Duolingo users by nickname or email. |

### [](#universal)Universal

| Link | Description |
| --- | --- |
| [Gallery-dl](https://github.com/mikf/gallery-dl) | Quick and simple tool for downloading image galleries and collections from #flickr, #danbooru, #pixiv, #deviantart, #exhentai |
| [Kribrum.io](https://kribrum.io/search) | searchengine for different social media platforms with filters by author and time period |
| [Auto Scroll Search](https://chrome.google.com/webstore/detail/auto-scroll-search/ieceeinfkigfaeoomfimmecebngempef/related) | automatically scrolls the page down (and loads the ribbon) until the specified keyword appears on it. |
| [Social Blade](https://socialblade.com/) | help you track YouTube Channel Statistics, Twitch User Stats, Instagram Stats, and much more |
| [ExportComments](https://exportcomments.com) | Export comments from social media posts to excel files (Twitter, Facebook, Instagram, Discord etc), 100 comments free |
| [Social Media Salary Calculator](http://lickd.co/blog/social-salary-calculator) | for YouTube, TikTok, Instagram |
| [Chat-downloader](https://github.com/xenova/chat-downloader) | download chats messages in JSON from #YouTube, #Twitch, #Reddit and #Facebook. |
| [FindMyFBID](https://randomtools.io/) | Toolkit for collecting data from social networks |
| [Social Analyzer](https://chrome.google.com/webstore/detail/socialanalyzer-social-sen/efeikkcpimdfpdlmlbjdecnmkknjcfcp) | extension for Google Chrome that simplifies and speeds up daily monitoring of social networks. Create your own list of keywords and regularly check what's new and related to them. |
| [Khalil Shreateh Social Applications](https://khalil-shreateh.com/khalil.shtml/social_applications/) | More than 20 tools to extend the standard functionality of #Facebook, #TikTok, #Instagram, #Twitter (information gathering, random pickers for contests, content downloaders etc.) |
| [SNScrape](https://github.com/JustAnotherArchivist/snscrape) | Tool for search posts and gathering information about users in Twitter, Reddit, Vkontakte, Weibo, Telegram, Facebook, Instagram, Telegram and Mastodon. |
| [TalkWalker](https://app.talkwalker.com/app/login) | You can enter a tag (keyword and brand name) and then see which people have used it most often: - gender; - age; - language; - profession; - interests. |
| [Kworb](https://kworb.net/) | A lot of different statistics on views and listens collected from #YouTube, #iTunes, #Spotify. Ratings by country, year, music type, and more. |
| [Amazing Hiring](https://chrome.google.com/webstore/detail/amazinghiring/didkfdopbffjkpolefhpcjkohcpalicd) | An extension for Chrome that allows you to find a link to Linkedin, Facebook, VK, StackOverflow, Instagram... by user Github (or other) profile |
| [RUBY](https://github.com/jakecreps/ruby) | Simple tool for searching videos by keyword in Rumble, BitChute, YouTube and saving results (author, title, link) to CSV file. |
| [The Visualized](https://thevisualized.com/) | visualize profile tweets to see the most popular from the last month; get info about the use of a particular hashtag (popular tweets, related hashtags, profiles that frequently use this hashtag); lists of #Twitter and #YouTube trends by country; |
 | [CommentPicker](https://commentpicker.com/) | Facebook profiles/posts ID finder Export Facebook like and comments YouTube Tag Extractor Instagram profile analyzer Twitter account data export |

[](#downloaders)Downloaders
===========================

| Link | Description |
| --- | --- |
| [Wenku](https://pypi.org/project/wenku/) | download documents from Baidu Wenku without registration |
| [Slideshare Downloader](https://github.com/mohan3d/slideshare-go) | A very simple and fast tool for downloading Slideshare presentations in PDF format (recommend to choose High quality at once) |
| [Gdown](https://github.com/wkentaro/gdown) | When downloading files from Google Drive curl/wget fails (because of the security notice). But this problem is easily solved |
| [Waybackpack](https://github.com/jsvine/waybackpack) | download the entire #WaybackMachine archive for a given URL. You can only download versions for a certain date range (date format YYYYMMDDhhss) |
| [Chat-downloader](https://github.com/xenova/chat-downloader) | download chats messages in JSON from #YouTube, #Twitch, #Reddit and #Facebook. |
| [Gallery-dl](https://github.com/mikf/gallery-dl) | Quick and simple tool for downloading image galleries and collections from #flickr, #danbooru, #pixiv, #deviantart, #exhentai |
| [Spotify downloader](https://github.com/spotDL/spotify-downloader) | download spotify playlist in mp3 from YouTube |
| [Zspotify](https://github.com/Footsiefat/zspotify) | Spotify track downloader. Download mp3 by link or by keywords |
| [Snaptik.app](https://snaptik.app/) | TikTok Video Downloader |
| [TikTok Scraper](https://github.com/drawrowfly/tiktok-scraper) | scrapping video from user, trend or hashtag feed, extracting video's or user's metadata, downloading video or music, processing a list of clips or users from a file |
| [YouTube Comment Downloader](https://github.com/egbertbouman/youtube-comment-downloader) | easy to install and fast tool for downloading YouTube comments in txt/json. Does NOT require authorization or API keys. |
| [Storysaver.net](https://www.storysaver.net) | download Instagram stories |
| [Fdown.net](https://fdown.net) | Facebook video downloader |
| [Untwitch.com](https://untwitch.com) | Twitch video downloader |
| [Redditsave.com](https://redditsave.com) | Reddit video downloader |
| [DownGit](https://minhaskamal.github.io/DownGit/#/home) | Create GitHub Resource Download Link |
| [SaveFrom.net](https://en.savefrom.net/70/) | download video from YouTube, Vimeo, VK, Odnoklassniki and dozen of others services |
| [Gdown](https://github.com/wkentaro/gdown) | When downloading files from Google Drive curl/wget fails (because of the security notice). But this problem is easily solved. |
| [Download Sorter](https://chrome.google.com/webstore/detail/download-sorter/mebfblkahpknogabckmdjcmjbnpfdpcj/related) | simple tool that will help set up the distribution of files with different extensions into different folders in a minute and permanently put "Downloads" folder in order. |
| [Z History Dump](https://chrome.google.com/webstore/detail/z-history-dump/ahpkicobhkchblogldpjchdhmdnblpkm/related) | Open chrome://history/ and download all links from browser history in json. This provides tremendous opportunities for visualization and analysis of information. |
| [Slideshare Downloader](https://github.com/mohan3d/slideshare-go) | A very simple and fast tool for downloading Slideshare presentations in PDF format (recommend to choose High quality at once) |
| [Megatools](https://megous.com/git/megatools) | The [http://Mega.nz](http://Mega.nz) file exchange contains links to many files, including various databases of leaked data. You can use the megatools command-line tool to automate your work with this file-sharing service. |
| [You Get](https://github.com/soimort/you-get) | Universal content downloader: - download video from popular sites like #YouTube or #TikTok - scrape webpages and download images - download binary files and other non-html content from sites |
| [SoundScrape](https://github.com/Miserlou/SoundScrape) | Download tracks and playlists from SoundCloud, Bandcamp, MixCloud, Audiomack, Hive com. |
| [Stream Downloader](https://github.com/lunnlew/stream-downloader) | Download streams from different sites |
| [Chat Downloader](https://github.com/xenova/chat-downloader) | Python tool for extracting chat messages from livestreams and broadcast. Supported sites: YouTube Twitch Reddit Zoom Facebook |

[](#domainiplinks)Domain/IP/Links
=================================

### [](#dorkspentestvulnerabilities)Dorks/Pentest/Vulnerabilities

| Link | Description |
| --- | --- |
| [OWASP Amass](https://github.com/OWASP/Amass) | The OWASP Amass Project performs network mapping of attack surfaces and external asset discovery using open source information gathering and active reconnaissance techniques. |
| [Investigator Recon Tool](https://abhijithb200.github.io/investigator/) | web based handy-#recon tool that uses different #GoogleDorking techniques and some open sources service to find juicy information about target websites. It helps you quickly check and gather information about the target domain name. |
| [AORT](https://github.com/D3Ext/AORT) | All in one domain recon tool: portscan; email services enumeration; subdomain information gathering; find info in Wayback Machine and more. |
| [Site Dorks](https://github.com/Zarcolio/sitedorks) |     |
| [Google (universal) Dork Builder](https://addons.mozilla.org/ru/firefox/addon/google-dork-builder/) | Quick create queries with advanced search operator for Google, Bing, Yandex etc. Copy dorks from Google Hacking Database. Save dorks in your own database |
| [Hakrawler](https://github.com/hakluke/hakrawler) | Extreme(!) fast crawler designed for easy, quick discovery of links, endpoints and assets within a web application. |
| [0xdork](https://github.com/rlyonheart/0xdork) | Very light and simple #Python tool for Google Dorking |
| [FilePhish](https://cartographia.github.io/FilePhish/) | Simple online Google query builder for fast and easy document file discovery. |
| [Snyk.io](https://snyk.io/test/website-scanner/) | Website Vulnerabilities Scanner |
| [dorks.faisalahmed.me](https://dorks.faisalahmed.me) | online constructor of google dorks for searching "sensitive" wesite pages |
| [Fast Google Dorks Scan](https://github.com/IvanGlinkin/Fast-Google-Dorks-Scan) | Search the website for vulnerable pages and files with sensitive information using 45 types of Google Dorks. |
| [GO DORK](https://github.com/dwisiswant0/go-dork) | Fast (like most #osint scripts written in #golang) tool for automation work with Google Dorks. |
| [Dork Scanner](https://github.com/Balgogan/dorkscanner) | NOT support Google. Only Bing, ASK and [http://WoW.com](http://WoW.com) (AOL) search engines. Can work with very long lists of queries/documents (in .txt files) |
| [ixss.warsong.pw](http://ixss.warsong.pw/xssor/) | very old service for making XSS (Cross Site Scripting) faster and easier |
| [ReconFTW](https://github.com/six2dez/reconftw) | tool designed to perform automated recon on a target domain by running the best set of tools to perform scanning and finding out vulnerabilities |
| [LFITester](https://github.com/kostas-pa/LFITester) | Tool which tests if a server is vulnerable to Local File Inclusion (LFI) attack |
| [Oralyzer](https://github.com/r0075h3ll/Oralyzer) | Script that check website for following types of Open Redirect Vulnerabilities |
| [RobotTester](https://github.com/p0dalirius/robotstester) | Simple Python script can enumerate all URLs present in robots.txt files, and test whether they can be accessed or not. |
| [SickNerd](https://github.com/JakeWnuk/SickNerd) | tool for researching domain lists using Google Dorking. You can automatically load fresh dorks from GHDB and customize the maximum number of results |
| [CDNStrip](https://github.com/j3ssie/cdnstrip) | Very fast #go tool, that sorts the list of IP addresses into two lists: CDN and no CDN. |
| [H3X-CCTV](https://github.com/the-h3x/H3X-CCTV) | A simple command line tool with a Google Dorks list to find vulnerable CCTV cameras |
| [nDorker](https://github.com/nerrorsec/nDorker) | Enter the domain name and get quick links to Google Dorks, Github dorks, Shodan dorks and quick links to get info about domain in Codepad, Codepen, Codeshare and other sites ("vendor dorking") |
| [Scan4all](https://github.com/hktalent/scan4all) | 15000+PoCs; 20 kinds of application password crack; 7000+Web fingerprints; 146 protocols and 90000+ rules Port scanning; Fuzzing and many many more |
| [Intezer Analyzer](https://analyze.intezer.com/) | Online tool for finding code injections, malware, unrecognized code and suspicious artifacts in: Files (up to 150 mb), URL, Memory dumps, Endpoints |
| [WEBOSINT](https://github.com/C3n7ral051nt4g3ncy/webosint) | Simple #python tool for step-by-step collection of domain information using HackerTarget and whoisxmlapi APIs. |
| [KnockKnock](https://github.com/harleo/knockknock) | A very fast script written in #go that queries the ViewDNSInfo API (free, 500 results limit) and gets a list of domains related to target domain (which could theoretically belong to the same person or company) |
| [SQLI Dorks Generator](https://github.com/Zold1/sqli-dorks-generator) | python script generates Google Dorks for SQL Injections for sites from the list. |
| [Dorks Hunter](https://github.com/six2dez/dorks_hunter) | A simple script to analyze domain using Google Dorks. It saves in file the results of checking the following categories Backup files, Database files, Exposed documents, Sub-subdomains, Login pages, SQL/PHP errors |
| [xnLinkFinder](https://github.com/xnl-h4ck3r/xnLinkFinder) | Tool for discover endpoints for a given target. One of the most versatile tools of this type, with dozens of different settings. |
| [DATA Surgeon](https://github.com/Drew-Alleman/DataSurgeon) | A tool for extracting various sensitive data from text files and web pages. For example: - emails - phone numbers - API keys - URLs - MAC addresses - Hashes - Bitcoin wallets and more. |
| [JSLEAK](https://github.com/channyein1337/jsleak) | Extreme fast #Go tool to find secrets (emails, API keys etc), paths, links in the source code during domain recon. |
| [FUZZULI](https://github.com/musana/fuzzuli) | Url fuzzing tool written on #go that aims to find critical backup files by creating a dynamic wordlist based on the domain. It's using 7 different methods for creating wordlists: "shuffle", "regular", "reverse", "mixed" etc |
| [DorkGenius](https://dorkgenius.com/) | AI tool that generates "dorks" to find vulnerable sites and sensitive information for Google, Bing and DuckDuckGo based on their descriptions. It doesn't work perfectly, but it's an interesting idea. |
| [DorkGPT](https://www.dorkgpt.com/) | Describe what you want to find in human language and get a Google query using advanced search operators. Suitable for "juicy info" and vulnerable sites, as well as for any other search tasks. |
| [XURLFIND3R](https://github.com/hueristiq/xurlfind3r) | Find domain's known URLs from: AlienVault's, Open Threat Exchange, Common Crawl, Github, Intelligence X, URLScan, Wayback Machine |
| [LogSensor](https://github.com/Mr-Robert0/Logsensor) | #Python tool to discover login panels, and POST Form SQLi Scanning. Support multiple hosts scanning, targeted SQLi form scanning and proxies. |
| [SOC Multi Tool](https://chrome.google.com/webstore/detail/soc-multi-tool/diagjgnagmnjdfnfcciocmjcllacgkab/) | Chrome Extension for quick: IP/Domain Reputation Lookup  IP/ Domain Info Lookup Hash Reputation Lookup (Decoding of Base64 & HEX using CyberChef File Extension & Filename Lookup and more  |
| [PyDork](https://github.com/blacknon/pydork) | Tool for automation collecting Google, Bing, DuckDuckGo, Baidu and Yahoo Japan search results (images search and suggestions). Note the huge(!) number of options for customizing search results. |


### [](#searchers-scrapers-extractors-parsers)Searchers, scrapers, extractors, parsers

| Link | Description |
| --- | --- |
| [Scrappy!](https://chrome.google.com/webstore/detail/scrappy/bcphfcbaecjifhiojhejdiogpanlmadm/related) | One of the easiest to learn web scrapers I've seen (and quite fast at that). It allows you to extract all URLs, table fields, lists and any elements matching the given criteria from a web page in a second. |
| [find+](https://chrome.google.com/webstore/detail/find%2B-regex-find-in-page/fddffkdncgkkdjobemgbpojjeffmmofb/related) | Regex Find-in-Page Tool |
| [Google Chrome webpage Regexp search](https://chrome.google.com/webstore/detail/chrome-regex-search/bpelaihoicobbkgmhcbikncnpacdbknn) |     |
| [Regex Checker](https://chrome.google.com/webstore/detail/regex-checker/gkcnkoebkkppbapcjifgokmpcflfhbde) | Search and highlight (in webpage): Emails, Phone numbers, Dates, Prices, Addresses |
| [moarTLS Analyzer](https://chrome.google.com/webstore/detail/moartls-analyzer/ldfbacdbackkjhclmhnjabngnppnkagh/related) | addon which check all links on the webpage and show list of non-secure links |
| [Scrape API](https://www.scraperapi.com/?utm_source=google&utm_medium=cpc&utm_campaign=s_proxies_for_scraping_europe&utm_term=scrape%20api&gclid=Cj0KCQjw1dGJBhD4ARIsANb6OdnurtUihUJqiJpUAtwoPqsJ1X8lSio9etK9Mgcg-fb7qp23xUF2ZscaAqcvEALw_wcB) | Proxy API for Web Scraping |
| [Try.jsoup.org](http://try.jsoup.org) | online version of HTML pasrer [http://github.com/jhy/jsoup](http://github.com/jhy/jsoup) |
| [Investigo](https://github.com/tdh8316/Investigo) | A very simple and fast (written in #go) tool that searches for active links to social network accounts by username (or multiple usernames) |
| [REXTRACT](https://github.com/iustin24/rextract) | This extreme simple tool extracts the strings corresponding to a certain #regex from the html code of the list of URLs. |
| [Extract images](https://extract.pics/) | Extract pictures from any webpage. Analyze, sort, download and search in them by keywords. |
| [Contacts Details Scraper](https://github.com/vdrmota/Social-Media-and-Contact-Info-Extractor) | Free contact details scraper to extract and download emails, phone numbers, Facebook, Twitter, LinkedIn, and Instagram profiles from any website. |
| [linkKlipper](https://chrome.google.com/webstore/detail/link-klipper-extract-all/fahollcgofmpnehocdgofnhkkchiekoo) | The easiest extension to collect links from an open web page: - select links with Ctrl/Command key or download all; - filter links by extension or using Regular Expressions; - download in CSV/TXT. |
| [Listly](https://chrome.google.com/webstore/detail/listly-free-data-scraper/ihljmnfgkkmoikgkdkjejbkpdpbmcgeh/related) | An extension that allows to collect all the data from a website into a table, quickly filter out the excess, and export the result to Excel/Google Sheet. |
| [EmailHarvester](https://github.com/4383/EmailHarvester) | A tool to collect emails registered on a certain domain from search results (google, bing, yahoo, ask) and save the results to a text file. Proxy support. |
| [Email Finder](https://github.com/Josue87/EmailFinder) | Another tool to collect emails registered on a certain domain from search results (google, bing, baidu, yandex). Can be used in combination with EmailHarvester as the two tools produce different results. |
| [USCRAPPER](https://github.com/z0m31en7/Uscrapper) | Simple #python tool for extracting different information from web pages: - email addresses - social media links - phone numbers |
| [Auto Scroll Search](https://chrome.google.com/webstore/detail/auto-scroll-search-scroll/ieceeinfkigfaeoomfimmecebngempef/) | A simple extension for Chrome that automatically scrolls a web page until a certain word or phrase appears on it (or until the stop button is pressed). |
| [GoGetCrawl](https://github.com/karust/gogetcrawl) | Search and download archived web pages and files from Common Crawl and Wayback Machine. |

### [](#redirect-lookup)Redirect lookup

| Link | Description |
| --- | --- |
| [Redirect Detective](https://redirectdetective.com/) | tool that allows you to do a full trace of a URL Redirect |
| [Wheregoes.com](https://wheregoes.com/) | tool that allows you to do a full trace of a URL Redirect |
| [Spyoffers.com](https://www.spyoffers.com/) | tool that allows you to do a full trace of a URL Redirect |

### [](#cookies-analyze)Cookies analyze

| Link | Description |
| --- | --- |
| [Determines if website is not comply with EU Cookie Law and gives you insight about cookies installed from website before the visitors consent](https://www.cookiemetrix.com/) |     |
| [Audits website cookies, online tracking and HTTPS usage for GDPR compliance](https://2gdpr.com/) |     |
| [Webemailextractor.com](https://www.webemailextractor.com/) | extract email's and phone numbers from the website or list of website |
| [cookieserve.com](https://www.cookieserve.com/) | detailed website cookie analyze |
| [What every Browser knows about you](https://webkay.robinlinus.com) | This site not only shows what information your browser provides to third-party sites, but also explains how it can be dangerous and suggests what extensions will help to ensure your anonymity. |
| [User Agent Parser](https://developers.whatismybrowser.com/useragents/parse/) | User Agent String can be found, for example, in the logs of your site (or someone else's), in the source code of some CLI tools for #osint and many other places. |

### [](#websites-files-metadata-analyze-and-files-downloads)Website's files metadata analyze and files downloads

| Link | Description |
| --- | --- |
| [Metagoofil](https://github.com/laramies/metagoofil) | finds pdf/xlsx/docx files and other documents on the site/server, analyzes their metadata, and outputs a list of found user names and email addresses |
| [Aline](https://github.com/ferreiraklet/Aline) | a very simple tool that simply downloads files of a certain type, located on a certain domain and indexed by Google. |
| [Goblyn](https://github.com/loseys/Goblyn) | tool focused to enumeration and capture of website files metadata. It will search for active directories in the website and so enumerate the files, if it find some file it will get the metadata of file |
| [DORK DUMP](https://github.com/dievus/msdorkdump) | Looks for Google-indexed files with doc, docx, ppt, pptx, csv, pdf, xls, xlsx extensions on a particular domain and downloads them. |
| [VERY QUICK and SIMPLE metadata online editor and remover](https://products.groupdocs.app/metadata/total) |     |
| [AutoExif](https://github.com/SirCryptic/autoexif) | A simple script to read and delete metadata from images and ACVH videos. |
| [DumpsterDiver](https://github.com/securing/DumpsterDiver) | Tool can analyze big volumes of data and find some "secrets" in the files (passwords and hardcoded password, SSH, Azure and AWS keys etc) |
| [HACHOIR](https://github.com/vstinner/hachoir) | One of the most powerful tools for work with files metadata with the most detailed settings. |

### [](#backlinks-analyze)Backlinks analyze

| Link | Description |
| --- | --- |
| [SEO Spyglass Backlink checker](https://www.link-assistant.com/seo-spyglass/free-backlink-checker-tool.html) |     |
| [Neilpatel backlinks analyzer](https://app.neilpatel.com/en/seo_analyzer/backlinks) | find out how many sites are linking to a certain web page |
| [Webmeup](https://webmeup.com/) | Service for collecting information about backlinks to the site. Without registering an account it shows not everything, but a lot. To see more data (full text of link anchors, etc) for free, use the View Rendered Source extension: |

### [](#website-analyze)Website analyze

| Link | Description |
| --- | --- |
| [AppSumo Content Analyzer](https://app.buzzsumo.com/content/web) | Enter the name of the domain and find out for free its three most popular publications in social networks (for six months, a quarter, a month, or the last day) |
| [OpenLinkProfiles](http://openlinkprofiler.org/) | Get backlinks by website URL. Filter and sort backlinks by anchor, context, trust, LIS and industry. |
| [Lookyloo](https://lookyloo.circl.lu/) | Webapp allowing to scrape a website and then displays a tree of domains calling each other (redirects, frames, javascript, css, fonts, images etc) |
| [Core SERP Vitals](https://chrome.google.com/webstore/detail/core-serp-vitals/oipmhlkineglclpndlecjmbleapbcilf/related) | adds a bit of information from CrUX API to the standard Google search results |
| [BGPView](https://bgpview.io/) | web-browsing tool and an API that lets you gather information about the current state and structure of the internet, including ASNs, IP addresses, IXs, BGP Downstream & Upstream Peers, and much more |
| [Terms of Service Didn't Read](https://tosdr.org/) | find out what interesting privacy and confidentiality clauses are in the license agreements of popular websites and apps |
| [analyzeid.com](https://analyzeid.com) | find websites with the same owner by domain name. Checking for email, Facebook App ID and nameserver matches |
| [MMHDAN](https://mmhdan.herokuapp.com) | Calculate a fingerprint of a website (HTML, Favicon, Certificate in SHA1, SHA256, MD5, MMH3) and create the quick links to search it in IOT search engines |
| [Favhash](https://github.com/imtiazsec/favhash) | Simple script to calculate favicon hash for searching in Shodan. |
| [Favicon Hasher](https://faviconhasher.codejavu.tech/) | Favicon.ico files hashes is a feature by which you can find domains related with your target. This tool generates hashes for all favicon.ico on the site (+ quick links to find them in Shodan, Censys, Zoomeye) |
| [FavFreak](https://github.com/devanshbatham/FavFreak) | #python tool for using favicon.ico hashes for finding new assets/IP addresses and technologies owned by a company. |
| [Hackertarget](https://github.com/pyhackertarget/hackertarget) | 14 tools for gathering information about domain using Hackerarget API ([http://hackertarget.com](http://hackertarget.com)) |
| [AnalyticsRelationships](https://github.com/Josue87/AnalyticsRelationships) | command line #tool for to search for links between domains by Google Analytics ID |
| [UDON](https://github.com/dhn/udon) | #go tool to find assets/domains based by Google Analytics ID |
| [Pidrila](https://github.com/enemy-submarine/pidrila) | Python Interactive Deepweb-oriented Rapid Intelligent Link Analyzer |
| [Adsense Identiicator Finder](https://osint.sh/adsense/) | this service finds other sites belonging to the same owner or company by Google Adsense ID |
| [Smart ruler](https://chrome.google.com/webstore/detail/smart-ruler/npgpdlfoflcfcohplcdclmocfemgpdga/related) | Simple #GoogleChrome extension (200 000 users) for those who like to explore the design of different sites |
| [SourceWolf](https://github.com/ksharinarayanan/SourceWolf) | A tool for analyzing #javascript files. It finds all the variables, endpoints and social media links mentioned in the code in just a few seconds. |
| [Stylifyme](http://stylifyme.com/) | Tool for analyzing the style characteristics of a particular website. In the context of #osint, it will help when analyzing links between two sites (common rare design features may indicate common owner) |
| [Content Security Policy (CSP) Validator](https://cspvalidator.org/#url=https://cspvalidator.org/) | Online service for checking the headers and meta tags of websites for compliance with security standards. It can help determine if a site is vulnerable to common vulnerabilities (XSS, clickjacking, etc). |
| [Nibbler](https://nibbler.insites.com/) | Free tool for comprehensive website analysis on more than ten different parameters. |
| [WebHackUrls](https://github.com/mathis2001/WebHackUrls) | The simplest tool for URl recon with filter by keyword and saving results to file. |
| [Visual Site Mapper](https://visualsitemapper.com/) | A free online tool for generating site maps in graph form. Allows you to visually see the links between the pages of a website and estimate their number. |
| [WEBPALM](https://github.com/Malwarize/webpalm) | Command-line tool that traverse a website and generate a tree of all its webpages. Also it can scrape and extract data using #regex. |

### [](#domainip-investigation)Domain/IP investigation

| Link | Description |
| --- | --- |
| [@UniversalSearchBot](https://t.me/UniversalSearchBot) | telegram bot finding information about email, russian phone number, domain or IP |
| [Domain Investigation Toolbox](http://cipher387.github.io/domain_investigation_toolbox/) | gather information about domain with 41 online tools from one page. |
| [GoFindWhois](https://gofindwhois.com/) | More than 180 online tool for domain investigaions in one. What's not to be found here: reverse whois, hosting history, cloudfare resolver, redirect check, reputation analyze. |
| [Spyfu](https://www.spyfu.com/overview/domain) | tool to collect seo information about the domain, which provide a lot of data partly for free |
| [Spyse.com](https://spyse.com/) | domain investigation toolbox |
| [Spyse CLI](https://github.com/spyse-com/cli) | command line client for Spyse.com |
| [Domaintracker](https://domaintracker.app/) | webapp and mobile app, which helps you keep track of payment deadlines (expired dates) for domains (sends push notifications and notifications to email) |
| [Sputnik](https://chrome.google.com/webstore/detail/sputnik/manapjdamopgbpimgojkccikaabhmocd/related) | Chrome extension for quick gathering info about IP, domain, hash or URL in dozens of different services: Censys, GreyNoise, VirusTotal, Shodan, ThreatMiner and many others. |
| [Whois Domain Search Tool](https://whois.marcaria.com/en) | A tool that allows you to query whois data for a site name in several domain zones at once. |
| [IP Neighbors](https://www.ip-neighbors.com/host/) | Find the hosting neighbors for a specific web site or hostname |
| [The Favicon Finder](http://besticon.herokuapp.com/) | Instantly finds the favicon and all .ico files on the site, and then generates links to download them quickly. |
| [HostHunter](https://github.com/SpiderLabs/HostHunter) | Tool to efficiently discover and extract hostnames providing a large set of target IP addresses. HostHunter utilises simple OSINT techniques to map IP addresses with virtual hostnames |
| [Tor Whois](https://torwhois.com/) |     |
| [Dnstwister](https://dnstwister.report/) | The anti-phishing domain name search engine and DNS monitoring service |
| [EuroDNS](https://my.eurodns.com/das/search/) | Free whois data search service for long lists of domains (250 can be searched at a time, total number unlimited).  The results show the status of the domain and a quick link to the full whois data. |
| [Source code search engine (315 million domains indexed). Search by title, metadata, javascript files, server name, location and more.](https://domaincodex.com) | Source code search engine (315 million domains indexed). Search by title, metadata, javascript files, server name, location and more. |
| [Dnstwist](https://github.com/elceef/dnstwist) | Command line anti-phishing domain name search engine and DNS monitoring service |
| [Ditto](https://github.com/evilsocket/ditto) | Dsmall tool that accepts a domain name as input and generates all its variants for an homograph attack as output, checking which ones are available and which are already registered |
| [RADB](http://radb.net/query) | Provides information collected from all the registries that form part of the Internet Routing Registry |
| [IPinfo map](https://ipinfo.io/map) | paste up to 500,000 IPs below to see where they're located on a map |
| [Whois XML API Whois history database](https://whois.whoisxmlapi.com/database/pricing) |     |
| [Hakrawler](https://github.com/hakluke/hakrawler) | discover endpoints and assets |
| [Passive DNS search](https://passivedns.mnemonic.no/) |     |
| [Talos Intelligence Mail Server Reputation](https://talosintelligence.com/reputation_center/) |     |
| [netbootcamp.org/websitetool.html](https://netbootcamp.org/websitetool.html) | access to 74 #tools to collect domain information from a single page |
| [HTTPFY](https://github.com/devXprite/httpfy/) | A fast #nodejs tool for gathering information about a domain or a list of domains. Response time, main page word count, content type, redirect location and many other options (view pic). |
| [Hussh](https://github.com/harshnandwana/hussh) | shell script for domain analyzing |
| [OPENSQUAT](https://github.com/atenreiro/opensquat) | Search newly registered phishing domain by keywords; Check it with VirusTotal and Quad9 DNS; |
| [Check any website to see in real time if it is blocked in China](https://www.vpnmentor.com/tools/test-the-great-china-firewall/) |     |
| [@iptools_robot](https://t.me/iptools_robot) | univsersal domain investigation Telegram bot |
| [Raymond](https://github.com/hamza07-w/raymond) | Framework for gathering information about website |
| [Pulsedive](https://pulsedive.com/) | A partially free website research tool. Collects detailed information about IP, whois, ssl, dns, ports, threats reports, geolocation, cookies, metadata (fb app id etc). Make screenshots and many others |
| [Striker](https://github.com/s0md3v/Striker) | Quick and simple tool for gathering information about domain (http headers, technologies, vulnerabilities etc). |
| [SiteBroker](https://github.com/Anon-Exploiter/SiteBroker) | Domain investigation #python tool |
| [DNSlytics](https://dnslytics.com/) | find out everything about a domain name, IP address or provider. Discover relations between them and see historical data |
| [FindMyAss (HostSpider)](https://github.com/h3x0crypt/HostSpider) | Domain investigations toolkit |
| [Drishti](https://github.com/indiancyberops/Drishti) | Nodejs toolkit for OSINT |
| [passivedns.mnemonic.no](https://passivedns.mnemonic.no) | DNS history search by IP-adress or by domain name |
| [Gotanda](https://chrome.google.com/webstore/detail/gotanda/jbmdcdfnnpenkgliplbglfpninigbiml) | Google Chrome extension. 56 tools for domain, ip and url investigation in one |
| [Ip Investigation Toolbox](https://cipher387.github.io/domain_investigation_toolbox/ip.html) | type ip-adress once and gather information about it with 13 tools |
| [Crab](https://github.com/N0tA1dan/Crab) | Well done and well designed port scanner, host info gatherer (include whois). |
| [MayorSecDNSScan](https://github.com/dievus/msdnsscan) | Identify DNS records for target domains, check for zone transfers and conduct subdomain enumeration. |
| [Cert4Recon](https://github.com/mathis2001/Cert4Recon) | Very quick and simple subdomain enumeration using [http://crt.sh](http://crt.sh). |
| [Miteru](https://github.com/ninoseki/miteru) | Experimental phishing kit detection tool. It collects phishy URLs from phishing info feeds and checks each phishy URL whether it enables directory listing and contains a phishing kit (compressed file) or not |
| [Web Check](https://web-check.as93.net/) | Get detailed report about IP or domain: Location SSL Info Headers Domain and host names Whois DNS records Crawl riles Cookies Server Info Redirects Server status TXT Config |

### [](#subdomains-scanbrute)Subdomains scan/brute

| Link | Description |
| --- | --- |
| [SubDomainsBrute](https://github.com/lijiejie/subDomainsBrute) | Very(!) fast and simple tool for subdomain bruteforce. It find 53 subdomains, scanned 31160 variations in 31 seconds. |
| [Anubis](https://github.com/jonluca/Anubis) | Subdomain enumeration and information gathering tool |
| [Turbolist3r](https://github.com/alex14324/Turbolist3r) | An improved and accelerated version of famous sublist3r. Looks for subdomains in 11 sources (see picture). It's possible to apply bruteforce (flag -b) |
| [DomE](https://github.com/v4d1/Dome) | Fast and reliable #python script that makes active and/or passive scan to obtain subdomains and search for open ports. Used 21 different #OSINT sources (AlienVault, ThreatCrowd, Urlscan io etc) |
| [CloudBrute](https://github.com/0xsha/CloudBrute) | Tool to find target infrastructure, files, and apps on the popular cloud providers |
| [dnsReaper](https://github.com/punk-security/dnsReaper) | TwiSub-domain takeover tool |
| [ALERTX](https://github.com/projectdiscovery/alterx) | Very fast #go tool for search subdomains. For example, it fin 111 http://tesla.com subdomains in 0.003 seconds. |
| [Columbus Project](https://columbus.elmasy.com/) | A fast, API-first subdomain discovery service with advanced queries. |


### [](#cloudfare)Cloudfare

| Link | Description |
| --- | --- |
| [Cloudmare](https://github.com/MrH0wl/Cloudmare) | Simple tool to find origin servers of websites protected by #Cloudflare, #Sucuri or #Incapsula with a misconfiguration DNS |
| [CloudUnflare](https://github.com/greycatz/CloudUnflare) | Reconnaissance Real IP address for Cloudflare Bypass |

### [](#databases-of-domains)Databases of domains

| Link | Description |
| --- | --- |
| [RansomLook](https://www.ransomlook.io/) | "Yet another Ransomware gang tracker" (c) Group profiles, recent updates, forums and markets list + some stats. A real treasure cybercrime researchers. |
| [Whois Freaks](https://whoisfreaks.com/) | API which allows you to search Whois-database (430M+ domains since 1986) by keyword, company name or owner name |
| [Expireddomains.net](https://www.expireddomains.net/deleted-domains/) | lists of deleted and expired domains (last 7 days) |
| [InstantDomainSearch](https://instantdomainsearch.com/domain/sale) | search for domains for sale |
| [WhoisDS.com](http://whoisds.com/newly-registered-domains) | database of domains registered in the last day |
| [API Domaindumper](https://api.domaindumper.com) | An interesting tool for researchers of IT history and data journalists. Just an FREE API that shows how many sites were registered in each domain zone on a given day (since January 1, 1990) |
| [ptrarchive.com](http://ptrarchive.com/) | search by 230 billion DNS records retrieved from 2008 to the present. |
| [PeeringDB](https://www.peeringdb.com/) | Freely available, user-maintained, database of networks, and the go-to location for interconnection data. |
| [IQWhois](https://iqwhois.com/advanced-search) | Search whois data by address, city, name, surname, phonenumber |

### [](#website-traffic-look-up)Website traffic look up

| Link | Description |
| --- | --- |
| [SimilarWeb](https://www.similarweb.com/) | Detailed website traffic analyze |
| [Alexa](https://www.alexa.com/) | Keyword Research, Competitive Analysis, Website Ranking |
| [HypeStat Analyzer Plugin](https://chrome.google.com/webstore/detail/hypestat-analyzer-plugin/fmebbkhpaallipfibkfnajnlimgaoefp/related) | Shows estimate daily website traffic, Alexa rank, average visit duration and used techhologies. |
| [vstat.info](https://vstat.info) | Getting detailed info about website traffic (sources, keywords, linked sites etc) |
| [w3snoop](http://w3snoop.com/) | Getting detailed information about website: - general domain info; - valuation ($); - popularity; - traffic; - revenue; - security (WOT rating, McAfee WebAdvisor Rating etc) and more. |

### [](#website-technology-look-up)Website technology look up

| Link | Description |
| --- | --- |
| [WhatRuns](https://chrome.google.com/webstore/detail/whatruns/cmkdbmfndkfgebldhnkbfhlneefdaaip/related) | extension, which discover what runs a website: frameworks, Analytics Tools, Wordpress Plugins, Fonts. |
| [Built With](https://builtwith.com/) |     |
| [w3techs](https://w3techs.com/sites) |     |
| [Hexometer stack checker](https://hexometer.com/stack-checker) |     |
| [Web Tech Survey](https://webtechsurvey.com/website/) |     |
| [Awesome Tech Stack](https://awesometechstack.com/) |     |
| [Netcraft Site Report](https://sitereport.netcraft.com/) |     |
| [Wappalyzer](https://www.wappalyzer.com/) |     |
| [Larger.io](https://www.larger.io/) |     |
| [CMLabs Tools](https://tools.cmlabs.co/en/technology-lookup) |     |
| [Snov.io technology checker](https://app.snov.io/techcheck/main) | type name of #webdev technology (jquery, django, wordpress etc) and get the list of websites, which used it. |

### [](#source-code-analyzes)Source Code Analyzes

| Link | Description |
| --- | --- |
| [View Rendered Source](https://chrome.google.com/webstore/detail/view-rendered-source/ejgngohbdedoabanmclafpkoogegdpob) | The standard browser source code view did not display the actual source code. View Rendered Source extension solve this problem. It shows the html code after all JavaScript functions (full page load, page scrolling, and other user actions) are executed |
| [Retire.js](https://chrome.google.com/webstore/detail/retirejs/moibopkbhjceeedibkbkbchbjnkadmom/related) | GoogleChrome extension for scanning a web app for use of vulnerable JavaScript libraries |
| [OpenLink Structured Data Sniffer](https://chrome.google.com/webstore/detail/openlink-structured-data/egdaiaihbdoiibopledjahjaihbmjhdj/related) | GoogleChrome extension which reveals structured metadata (Microdata, RDFa, JSON-LD, Turtle, etc.) embedded within HTML documents. |
| [SIngle File](https://github.com/gildas-lormeau/SingleFile) | GoogleChrome, Firefox and MicrosoftEdge addon to save webpage in single html file |
| [Dirscraper](https://github.com/Cillian-Collins/dirscraper) | OSINT scanning tool which discovers and maps directories found in javascript files hosted on a website |
| [Ericom Page Risk Analysis](https://chrome.google.com/webstore/detail/analyzer/bmbhpmmhjkbmcachipmccnlcemaoiiji/related) | Get a detailed report with links to CSS, Javascript, Fonts, XHR, Images and domains web pages |
| [SecretFinder](https://github.com/m4ll0k/SecretFinder) | Tool for find sensitive data (apikeys, accesstoken,jwt,..) or search anything with #regexp on #javascript files |
| [Copy all links and image links to CSV or JSON](https://chrome.google.com/webstore/detail/copy-all-links-and-image/ccddopnnikeeoogpfbnfommfoeliaidg/related) | Download all links from current webpage in CSV (for open in #Excel) or JSON |
| [ArchiveReady](http://archiveready.com) | OSINT specialists most often use various web archives to analyze other people's sites. But if you want your descendants to be able to find your own site, check whether the code of its pages is understandable for crawlers of web archives. |
| [Talend API Tester Free Edition](https://chrome.google.com/webstore/detail/talend-api-tester-free-ed/aejoelaoggembcahagimdiliamlcdmfm/related?hl=ru) | tool that allows to quickly test requests to different APIs directly in the browser, send requests and inspect responses, validate API behavior |
| [uMatrix](https://chrome.google.com/webstore/detail/umatrix/ogfcmafjalglgifnmanfmnieipoejdcf/related) | Shows all the domains to which the site connects at runtime and allows you to block different sources at will. Useful for ad blocking, tracking, data collection, and various experiments. |
| [Open Link Structured Data Sniffer](https://chrome.google.com/webstore/detail/openlink-structured-data/egdaiaihbdoiibopledjahjaihbmjhdj) | View webpage details info in Google Chrome: RDFa linked data ([http://rdfa.info](http://rdfa.info)) POSH (Plain Old Semantic HTML) Microdata RSS |
| [REGEXPER](https://regexper.com/) | A simple and free online tool for visualizing regular expressions. Just copy the regular expression to the site and convert it into a detailed and understandable graphical scheme. |
| [LinkFinder](https://github.com/GerbenJavado/LinkFinder) | Simple tool discover endpoints and their parameters in JavaScript files. It's possible to discover individual URLs, groups of URLs and directories. Supports regular expressions. |

### [](#broken-links-checkers)Broken Links Checkers

| Link | Description |
| --- | --- |
| [Broken Link Hijacker](https://github.com/MayankPandey01/BrokenLinkHijacker) | Crawls the website and searches for all the broken links (in "<a href" and "<img src"). |
| [Broken Link Checker](https://chrome.google.com/webstore/detail/broken-link-checker/nibppfobembgfmejpjaaeocbogeonhch/related) | shows which links on the page are giving out errors. It helps to find sites that have been working recently but are no longer working. |
| [Open Multiple Links ☷ One Click](https://www.scrapersnbots.com/webtools/open-multiple-links-one-click.php) |     |
| [Check my links](https://chrome.google.com/webstore/detail/check-my-links/ojkcdipcgfaekbeaelaapakgnjflfglf/related) | Old and large lists of tutorials or tools often have many inactive links. This extension will help mark inactive links in red and save you time checking them out. |

### [](#url-unshorteners)URL unshorteners

| Link | Description |
| --- | --- |
| [Get Link Info](https://www.getlinkinfo.com/) |     |
| [Unshorten.me](https://unshorten.me/) |     |
| [Urlxray](http://urlxray.com/) |     |
| [Unshorten.it](https://unshorten.it/) |     |

### [](#text-analyze)Text Analyze

| Link | Description |
| --- | --- |
| [Headlines.Sharethrough.com](https://headlines.sharethrough.com/) | analyzes headlines according to four indicators (strenghts, suggestions, engagement, impression) and gives a score from 1 to 100 |
| [Wordtune.com](https://wordtune.com/read) | Provide a link to the text of the article or upload a PDF document. In response, the service will give a brief retelling of the main ideas of the text. |

[](#sound-indefication-and-analyze)Sound indefication and analyze
=================================================================

| Link | Description |
| --- | --- |
| [Online Loudness Meter](https://youlean.co/online-loudness-meter/) | allows to estimate the volume of noises in the room or to analyze the volume of sounds in a recording file. |
| [Voice Stress Test](https://www.cignaglobal.com/stress-care/individuals/voice-tool) | tool analyzes the voice and determines a person's stress level. |
| [AHA Music](https://chrome.google.com/webstore/detail/aha-music-song-finder-for/dpacanjfikmhoddligfbehkpomnbgblf/related) | A very simple tool that helps you determine what track is playing in the current browser tab. What I like best about it is that it works when the sound is turned OFF (albeit with a slight delay) |
| [MP3 Spectrum Analyzer](https://academo.org/demos/spectrum-analyzer/) |     |

[](#sound-search-and-analyze)Sound search and analyze
=====================================================

| Link | Description |
| --- | --- |
| [soundeffectssearch.com](https://www.soundeffectssearch.com/find-a-sound-library/) | find a sound library |
| [Vocal Remover](https://vocalremover.org/) | An AI-based service that removes vocals from a song, leaving only the music. It works amazingly well. |

[](#video-editing-and-analyze)Video editing and analyze
=======================================================

| Link | Description |
| --- | --- |
| [Scene detection](https://t.co/jHWseS1PUP) | Determine the timecodes on which there is a change of scenery in the video and significantly save time watching it |
| [Get text from video](https://huggingface.co/spaces/kabita-choudhary/get_text_from_video) | Transcribe uploaded video file |
| [EfficientNetV2](https://huggingface.co/spaces/Ron0420/EfficientNetV2_Deepfakes_Video_Detector) | DeepFake Video Detector |
| [Downsub](https://downsub.com/) | Extract subtitles from video|
| [Subtitlevideo](https://www.subtitlevideo.com/) | Extract subtitles from video |
| [FlexClip](https://www.flexclip.com/tools/metadata-video/) | Get video metadata |
| [Pix2Pix-Video ](https://huggingface.co/spaces/fffiloni/Pix2Pix-Video) | Edit video by prompt|
| [unscreen.com](https://www.unscreen.com/) | remove the background from an uploaded video |
| [TextGrab](https://chrome.google.com/webstore/detail/textgrab/kbdckoabalhppclkadhabohnoihdbnja/related) | Simple #Chrome extension for copying and recognizing text from videos (#YouTube, #GoogleMeetup etc.) |
| [Lossless Cut](https://github.com/mifi/lossless-cut) | #javascript #opensource swiss army knife for audio/video editing. |
| [Movio.la](https://www.movio.la/) | Create spoken person video from text |
| [Tagrum](https://targum.video/) | Upload a video file to the site or leave a link to the video. Wait a few minutes. Get a subtitled version of the video in English (other languages will probably be available later). |
| [Scene Edit Detection](https://huggingface.co/spaces/fffiloni/scene-edit-detection) | A tool to help speed up and automate your video viewing. It highlights the frames where a new scene begins and allows you to quickly analyze the key semantic parts of the video. |



[](#image-search-and-identification)Image Search and Identification
===================================================================

### [](#reverse-image-search-engines-and-automation-tools)Reverse Image Search Engines and automation tools

| Link | Description |
| --- | --- |
| [News Myseldon](https://news.myseldon.com/en/) | from the photo looks for famous and little-known (like minor officials) people |
| [Ascii2d.net](http://ascii2d.net) | Japanese reverse image search engine for anime lovers expose image properties, EXIF data, and one-click download |
| [Searchbyimage.app](https://searchbyimage.app/) | search clothes in online shops |
| [Aliseeks.com](https://www.aliseeks.com/search) | search items by photo in AliExpress and Ebay |
| [lykdat.com](https://lykdat.com/) | clothing reverse image search services |
| [IQDB.org](https://iqdb.org/) | reverse image search specially for anime art |
| [pic.sogou.com](https://pic.sogou.com/) | chinese reverse image search engine |
| [Same Energy](https://same.energy/) | reverse image search engine for finding beautiful art and photos in the same style as the original picture |
| [Revesearch.com](https://revesesearch.com) | allows to upload an image once and immediately search for it in #Google, #Yandex, and #Bing. |
| [Image Search Assistant](https://chrome.google.com/webstore/detail/image-search-assistant/kldhhobmmejaeaiilomaibhjlcfpceac/related) | searches for a picture, screenshot or fragment of a screenshot in several search engines and stores at once |
| [Pixsy](https://pixsy.com) | allows to upload pictures from computer, social networks or cloud storages, and then search for their duplicates and check if they are copyrighted |
| [EveryPixel](https://www.everypixel.com/) | Reverse image search engine. Search across 50 leading stock images agencies. It's possible to filter only free or only paid images. |
| [openi.nlm.nih.gov](https://openi.nlm.nih.gov/gridquery) | Reverse image search engine for scientific and medical images |
| [DepositPhotos Reverse Image Search](https://ru.depositphotos.com/search/by-images.html) | tool for reverse image search (strictly from DepositPhoto's collection of 222 million files). |
| [Portrait Matcher](http://zeus.robots.ox.ac.uk/portraitmatcher/index?error=agree) | Upload a picture of a face and get three paintings that show similar people. |
| [Image So Search](https://image.so.com/) | Qihoo 360 Reverse Images Search |
| [GORIS](https://github.com/tanaikech/goris) | Command line tool for Google reverse image search automation. It can find links to similar pictures by URL or by file. |
| [Pill Identifier](https://www.webmd.com/pill-identification/default.htm) | How to know which pill drug is pictured or accidentally found on the floor of your home? Use a special online identifier that suggests possible variations based on colour, shape and imprint. |
| [Logobook](http://www.logobook.com/) | help to see which companies have a logo that looks like a certain object. You can use the suggested variants to geolocate photo. |
| [Immerse Zone](http://immerse.zone) | Reverse Image Search Engine. Search by uploaded image or URl; Search by sketch (it can be drawn directly in the browser); Search by quote (can be selected from the catalog) |
| [Lexica](https://lexica.art/) | Download the image to find thousands Stable Diffusion AI artworks that are as similar to it as possible. You can also search by description and keywords. |
| [Numlookup Reverse Image Search](https://www.numlookup.com/reverse-image-search) | The results are very different from Yandex Images and Google Lens search results, as the service only searches for links to exact matches with the original picture. |
| [Google Reverse Image Search Fix](https://googlelens.imagesniper.eu/) | 
Google lens is not too user friendly for investigations. But this tool will help you get back to the old Google Image Search. (in case of problems, upload images to http://Postimages.org) |


### [](#image-editing-tools)Image editing tools

| Link | Description |
| --- | --- |
| [Theinpaint](https://theinpaint.com/) | One of the best (and free) online photo object removal tools I've ever seen. Just highlight red on the photo and press Erase. Then do it again, and again, and again (until you get the perfect result). |
| [GFPGAN](https://replicate.com/tencentarc/gfpgan) | Blind face restoration algorithm towards real-world face images. Restores blurry, blurred and damaged faces in photos. |
| [Remini AI Photo Enhancer](https://app.remini.ai/) | Tool allows to restore blurry faces to photos. |
| [Letsenhance](https://letsenhance.io/) | Online #AI tool to increase image resolution (x2, x4, x8) without quality loss. 100% automatic. Very fast. |
| [Media IO Watermark Remover](https://www.media.io/app/removeWatermark) | Select the area and mark the time frame in which you want to remove the object. Works for barely visible watermarks as well as for bright and large objects. |
| [Remove.bg](https://www.remove.bg/) | Remove background from image with AI |
| [Watermarkremover](https://www.watermarkremover.io/) | Remove watermark from image with AI |
| [Instruct Pix2pix](https://huggingface.co/spaces/timbrooks/instruct-pix2pix) | Image editing with prompt|

### [](#other-image-search-engines)Other Image Search Engines

| Link | Description |
| --- | --- |
| [SN Radar VK Photo Search](https://snradar.azurewebsites.net/) |     |
| [BBC News Visual Search](http://zeus.robots.ox.ac.uk/bbc_search/) | Enter the name of the item and the service will show in which news stories and at what time interval it appeared |

### [](#image-analyze)Image Analyze

| Link | Description |
| --- | --- |
| [Aperislove](https://www.aperisolve.com/) | Online steganography tool: PngCheck,Strings,Foremost,Binwalk,ExifTool,Outguess,Steghide,Zsteg,Blue/Green/Red/Superimposed |
| [Sherloq](http://github.com/GuidoBartoli/sherloq) | open source image #forensic toolset made by profesional photograph Guido Bartoli |
| [Image Color Picker](https://imagecolorpicker.com/) | pick color (HEX or RGB) from image or website screenshot |
| [Find and Set Scale From Image](https://www.blocklayer.com/scale-fixereng.aspx) |     |
| [Image Forensic (Ghiro Online)](http://www.imageforensic.org/) |     |
| [compress-or-die.com/analyze](https://compress-or-die.com/analyze) | get detail information about images (exif, metatags, ICC_Profile, quantanisation tables) |
| [aperisolve.fr](https://aperisolve.fr) | Deep image layers (Supperimposed, Red, Green, Blue) and properties (Zsteg, Steghide, Outguess, Exif, Binwalk, Foremost) analyze tool. |
| [Dicom Viewer](https://www.imaios.com/en/Imaios-Dicom-Viewer) | view MRI or CT photo online (.DCM files) |
| [Caloriemama](https://www.caloriemama.ai/api) | AI can identify the type of food from the photo and give information about its caloric value. |
| [BetterViewer](https://chrome.google.com/webstore/detail/betterviewer/llcpfkbjgkpmapiidpnohffjmmnhpmpb) | #Google Chrome extension for work with images. Right click on the picture and open it in new tab. You will get access to the following tools: Zoom, Flip, Rotate, Color picker, Extract text, Reverse image search, QR code scanner and much more |
| [PhotoOSINT](https://chrome.google.com/webstore/detail/photosint/gonhdjmkgfkokhkflfhkbiagbmoolhcd/related?hl=nl) | A simple extension that checks in a couple of seconds if a web page contains images that have not had their exif data deleted. |
| [Perceptual image analysis](https://chrome.google.com/webstore/detail/perceptual-image-analysis/gidmeabdffonnejjlkbglmppmfniakdf/) | Chrome extension for quick access to image #forensic tools: Metadata Levels Principal Component Analysis Slopes Error Level Analysis |
| [Plate Recognizer](https://platerecognizer.com/) | Online tool to recognise number plates on blurred pictures. Sometimes it may not work accurately, but it is valuable for identifying the country when the flag is not visible. |
| [Street clip](https://www.plugger.ai/models/street-clip) | AI, which determines from a photo the likelihood that it was taken in a particular country. (don't forget to change the list of countries for each photo⚠️) |

### [](#exif-analyze-and-editing)Exif Analyze and editing

| Link | Description |
| --- | --- |
| [EXIF-PY](https://github.com/ianare/exif-py) | get exif data of photos thrue command line |
| [Exif.app](http://exif.app) | Press "Diff check button", upload two graphical images and get a comparison table of their metadata. The differences are highlighted in yellow |
| [Image Analyzer Addon](https://chrome.google.com/webstore/detail/image-analyzer/bgadhpbbppdihhbfcjbbihfcckbblcek) | View all images on a page and expose image properties, EXIF data, and one-click download |
| [Online metadata viewer and editor](https://products.groupdocs.app/metadata/) | High-quality and well-made. Support docx, xlsx, msg, pptx, jpeg, vsd, mpp. |
| [Scan QR Code](https://4qrcode.com/scan-qr-code.php) | While determining the location of the photo, sometimes the research of QR codes on the road poles, showcases and billboards helps a lot. This service will help to recognize a QR-code by a picture |
| [Identify plans](https://identify.plantnet.org/) |     |
| [Forensicdots.de](https://www.forensicdots.de/) | find "yellow dots" (Machine Identification Code) in printed documents |
| [Image Diff Checker](https://www.diffchecker.com/image-diff/) |     |
| [Vsudo Geotag Tool](https://vsudo.net/tools/geotag) | tool for mass geotagging of photos |
| [exifLooter](https://github.com/aydinnyunus/exifLooter) | Quick #go tool to automate work with EXIF data |
| [PYMETA](https://github.com/m8sec/pymeta) | A tool that searches (using Google, Bing etc.) for documents in the domain, analyses their metadata and generate a report in CSV format. |

### [](#face-recognition-and-search)Face recognition and search

| Link | Description |
| --- | --- |
| [Face Recognition](https://github.com/ageitgey/face_recognition) | facial recognition api for Python and the command line |
| [Facial composite (identikit) maker](http://facemaker.uvrg.org/) |     |
| [Search4faces.com](https://search4faces.com/) | search people in VK, Odnoklassniki, TikTok and ClubHouse by photo or identikit |
| [Telegram Facemath bot](https://t.me/facematch_bot) | searching for a face among the archive of photographs from public events in Kazakhstan |

### [](#font-indenfication)Font Indenfication

| Link | Description |
| --- | --- |
| [WhatTheFont](https://www.myfonts.com/WhatTheFont/) |     |
| [WhatFontIs](https://www.whatfontis.com/) |     |
| [Font Squirrel](https://www.fontsquirrel.com/matcherator) |     |
| [Font Spring](https://www.fontspring.com/matcherator) |     |
| [Identifont.com](http://www.identifont.com/) |     |
| [LikeFont.com](https://en.likefont.com/) |     |

[](#cryptocurrencies)Cryptocurrencies
=====================================

| Link | Description |
| --- | --- |
| [Wallet explorer](https://www.walletexplorer.com/) | bitcoin wallet transaction history |
| [Blockpath.com](https://blockpath.com/) | viewing bitcoin wallet transactions as a graph |
| [Cryptocurrency alerting](https://cryptocurrencyalerting.com/) | track spending and deposits in Bitcoin and Ethereum wallets |
| [Learnmebitcoin.com](https://learnmeabitcoin.com/tools/path/) | find transactions between two Bitcoin adresses |
| [Coinwink.com](https://coinwink.com/) | allows you to set up email notifications in case Bitcoin (or other #cryptocurrency) rate rises (falls) above (below) a certain value |
| [BlockCypher](https://blockcypher.herokuapp.com/) | Blockchain explorer for Bitcoin, Ethereum, Litecoin, DogeCoin, Dash. Getting into about address, transactions and block hashes, block number or wallet name. |
| [Bitcoin Abuse Database](https://www.bitcoinabuse.com/) | A simple tool to check whether a Bitcoin address has been used for ransomware, blackmailers, fraudsters and view incident reports. |
| [BreadCrumbs](https://www.breadcrumbs.app/) | Enter your BTC or ETH wallet number to see a graph of associated wallets (with transaction history and lot of other details).  |
| [A TON of Privacy](https://github.com/aaarghhh/a_TON_of_privacy) | Tool for OSINT investigations on TON NFTs. Search info (balance, scam status etc) by Telegram nickname, phone number or domain. |
| [Wallet Labels](https://www.walletlabels.xyz/) | Search across more than 7.5M #Ethereum addresses labeled to easily identify wallets and exchange |


[](#messengers)Messengers
=========================

### [](#telegram)Telegram

| Link | Description |
| --- | --- |
| [Telegago](https://cse.google.com/cse?q=+&cx=006368593537057042503:efxu7xprihg#gsc.tab=0&gsc.q=%20&gsc.page=1) | Telegram search engine |
| [Commentgram CSE](https://cse.google.com/cse?cx=006368593537057042503:ig4r3rz35qi#gsc.tab=0) | search by Telegram comments |
| [Telegram Message Analyzer](https://github.com/zqtay/Telegram-Message-Analyzer) | Export #Telegram chat (with Windows version of Telegram app) and get detailed analyze of it (message count, average message count per day, word frequency etc) |
| [@SangMataInfo_bot](https://t.me/SangMataInfo_bot) | forward a message from the user and find out the history of their name in Telegram |
| [@tgscanrobot](https://t.me/tgscanrobot) | telegram bot to show which telegram groups a person is member of. |
| <a href='https://t.me/telebrellabot'>@telebrellabot</a> | telegram bot to show which telegram groups a person is member of (users in DB: 4019357, groups in DB: 1745). | 
| [Telegram Nearby Map](https://github.com/tejado/telegram-nearby-map) | Discover the location of nearby Telegram users on OpenStreetMap |
| [Telescan](https://github.com/pielco11/telescan) | search users in groups (and in which groups is the user) by id, username or phone number (if it's in your contacts) |
| [Tgstat](https://tgstat.com) | one of the largest directories of Telegram channels, which has detailed information about the growth of the audience, its engagement and mentions of a particular channel in various sources. |
| [Telescan](https://github.com/pielco11/telescan) | search users in groups (and in which groups is the user) by id, username or phone number |
| [Telegcrack.com](https://telegcrack.com/) | search in telegra.ph |
| [@VoiceMsgBot](https://t.me/VoiceMsgBot) | telegram bot to which you can send voice messages and it converts them into text |
| [@transcriber_bot](https://t.me/transcriber_bot) | telegram bot, which can convert to text voice messages in 24 languages (view pic) |
| [Telegramchannels.me](https://telegramchannels.me/list/biggest?language=en) | Ratings of the 100 largest (by number of subscribers) #Telegram channels for different languages |
| [@YTranslateBot](https://t.me/YTranslateBot) | type text or resend messages to Telegram bot for translate it. |

### [](#whatsapp)WhatsApp

| Link | Description |
| --- | --- |
| [whatsanalyze.com](https://Whatsanalyze.com) | analyzes #WhatsApp group message statistics (world cloud, timeline, message frequency) |
| [chatvisualizer.com](https://chatvisualizer.com) | another #WhatsApp chat analyzer. |
| [Watools.io](https://watools.io/download-profile-picture) | download whatsapp profile picture |
| [WAGSCRAPER](https://github.com/riz4d/WaGpScraper) | Scraps Whatsapp Group Links From Google Results And Gives Working Links (with group names and images) |

### [](#kik)Kik

| Link | Description |
| --- | --- |
| [Kikusernames.com](https://kikusernames.com/search) | Kik messenger username search |

### [](#slack)Slack

| Link | Description |
| --- | --- |
| [Slack Pirate](https://github.com/emtunc/SlackPirate) | tool developed in Python which uses the native Slack APIs to extract 'interesting' information from a Slack workspace given an access token |

### [](#skype)Skype

| Link | Description |
| --- | --- |
| [vedbex.com/tools/email2skype](https://www.vedbex.com/tools/email2skype) | finding a Skype account by email |
| [SkypeHunt](https://github.com/8C/skypehunt) | A tool for finding Skype users by nickname. Shows a list of users with date of birth, year of account creation, country, avatar link, and other information. |

[](#code)Code
=============

| Link | Description |
| --- | --- |
| [Grep.app](https://grep.app/) | regExp search in Github repositories |
| [Searchcode.com](https://searchcode.com/) | Search engine for @github, @gitlab, @bitbucket, @GoogleCode and other source code storages |
| [Code Repository Google CSE](https://cipher387.github.io/code_repository_google_custom_search_engines/) | Google CSE for search 15 code repository services |
| [Libraries.io](https://libraries.io) | search by 4 690 628 packages across 32 different package managers |
| [The Scraper](https://github.com/champmq/TheScrapper) | Simple tool for scrapping emails and social media accounts from the website's source code. |
| [CloudScraper](https://github.com/jordanpotti/CloudScraper) | Scrape URL's of the target website and find links to cloud resources: Amazonaws, Digitaloceanspaces, Azure (windows net), Storage.googleapis, Aliyuncs |
| [Complete Email Scraper](https://freemailscraper.herokuapp.com/complete-website-email-scraper) | Paste the link to the site and the bot finds the sitemap. The bot then goes through all the links on the site looking for email addresses (strings contains @). |
| [Python Code Checker](https://extendsclass.com/python-tester.html) | quick find errors in code |
| [Github Search](https://github.com/gwen001/github-search) | collection of Github investigation command line tools. Explore users, employes, endpoints,surveys and grab the repos |
| [Sploitus](https://sploitus.com/) | exploit and hacker's tools search engine |
| [Leakcop](https://leakcop.info/) | service that monitors in real-time the illegal use of source code from certain repositories on Github |
| [Github Artifact Exporter](https://github.com/github/github-artifact-exporter) | provides a set of packages to make exporting Issues easier useful for those migrating information out of Github |
| [PublicWWW](https://publicwww.com/) | webpages source code search engine |
| [SayHello](https://beta.sayhello.so/) | #AI Search engine for developers.  Type a question (e.g. how to do something) in normal human language and get code examples in response.|
| [SourceGraph](https://about.sourcegraph.com/) | universal code search engine |
| [NerdyData](https://www.nerdydata.com/) | html/css/code search engine |
| [YouCode](https://you.com/code) | Add free, privacy source code search engine with popular tech sites snippets in search results: Mozilla Developer Network; Github; W3 Schools; Hacker News; Read the Docs; Geek for Geeks |
| [De4js](https://lelinhtinh.github.io/de4js/) | HTML/JS deobfuscator |
| [TIO RUN](https://tio.run) | Run and test code written in one of 680 programming languages (260 practical and 420 recreational) directly in your browser |
| [Explain Shell](https://explainshell.com/) | this site will help you quickly understand terminal commands-lines from articles, manuals, and tutorials |
| [Codesandbox](https://codesandbox.io/) | Great online environment for creating, testing, and researching written JavaScript tools (and #OSINT has many: social-analyzer, opencti, rengine, aleph). |
| [shellcheck.net](https://www.shellcheck.net/) | analyzes command-line scripts and explains in detail the errors found in them |
| [Regular Expression Analyzer](https://xenon.stanford.edu/~xusch/regexp/) | super tool for those who forget to leave comments on their code or have to deal with someone else's code. |
| [Developer search tool](https://chrome.google.com/webstore/detail/developer-search-tool/bkolnanfonknnhpeakommihhllojnecf/related) | Take the art of copy and paste from Stack Overflow to a new level of speed and productivity |
| [HTTP Cat](https://github.com/httpcats/http.cat) | free #API to get pictures with cats for different HTTP response codes |
| [Run PHP functions online](https://www.functions-online.com/) |     |
| [HTTPIE.IO](https://httpie.io/run) | command-line HTTP client |
| [The Missing Package Manager for macOS (or Linux)](https://brew.sh/) |     |
| [Gitpod.io](https://gitpod.io/workspaces) | run code from repositories on Github directly in a browser |
| [Thanks](https://github.com/feross/thanks) | A simple script that analyzes the #opensource products used in your project and displays a list of links to pages for financial support for their developers. |
| [The Fuck](https://github.com/nvbn/thefuck) | Simple app which corrects your previous console commands. |
| [API Guesser](https://api-guesser.netlify.app/) | Enter the API key or token to find out which service it can be used by. |
| [Cheat․sh](https://github.com/chubin/cheat.sh) | Timesaving tool that allows cheat sheets to be loaded directly into the command line (or Sublime Text/IntelliJ IDEA) using the curl command (run after installation). |
| [NGINXconfig](https://www.digitalocean.com/community/tools/nginx) | Online tool to configure stable and secure #nginx server. Select the options and then download the config files. |
| [SPF Explainer](https://www.digitalocean.com/community/tools/spf) | Simple online tool that explain in details Sender Policy Framework (email authentication standard) record of target domain. |
| [TLDR](https://github.com/tldr-pages/tldr) | A tool that is a great time-saver when working with the command line. Enter "tldr command name" and get a brief description with examples of how to use it. |
| [AWK JS](https://awk.js.org/) | AWK (script language) is a powerful command line tool for extracting data from texts and auto generating texts. For those who don't use CLI yet (or just want to solve some problem without leaving browser) a good alternative is an online version of awk. |
| [PLDB](https://pldb.com/) | A huge knowledge base of 4050 programming languages. For each language you can see its place in the ranking, the number of users and repositories, the history of creation, linguistic features + huge lists of books and articles |

[](#search-engines)Search engines
=================================

| Link | Description |
| --- | --- |
| [fnd.io](https://fnd.io/) | alternative search engine for the AppStore and iTunes |
| [GlobalSpec Engineer Search Engine](https://www.globalspec.com/) |     |
| [URVX](https://uvrx.com) | Based by Google Custom Search tool for searching in popular cloud storages service |
| [Mac Address Search Tool](http://mac.lc) | search by full Mac adress, part of Mac adress (prefix), vendor name or brand name |
| [Hashatit.com](https://www.hashatit.com/) | hastag searchengine. Search in twitter, instagram, facebook, youtube, pinterest |
| [Goo.ne.jp](https://www.goo.ne.jp/) | beautiful japanese search engine |
| [Peteyvid](https://peteyvid.com) | search engine for 70 video hosting sites |
| [3DFindit](https://3dfindit.com/textsearch) | tool for searching 3D models by 3560 3D CAD (computer aided design) and BIM (Building Information Model) catalogs. |
| [Filechef](http://filechef.com) | tool for searching different type of files (videos, application, documents, audio, images) |
| [Find Who Events](https://cse.google.com/cse?cx=017922636351918147428:v7m0tfgk6uj#gsc.tab=0) | Google CSE for finding events by location (keywords) in #Facebook, #Eventbrite, #Xing, #Meetup, #Groupon, #Ticketmaster, #Yepl, #VK, #Eventective, #Nextdoor |
| [Listennotes](https://www.listennotes.com/) | Podcast Search Engine |
| [thereisabotforthat.com](https://thereisabotforthat.com/bots/search) | search by catalog of 5151 bots for 17 different apps and platforms |
| [BooleanStringBank](https://www.scoperac.com/booleanstringbank/) | over 430+ strings and 3553+ keywords |
| [Google Unlocked](https://github.com/Ibit-to/google-unlocked) | browser extension uncensor google search results |
| [Iconfinder.com](https://www.iconfinder.com/search) | Icons Search Engine |
| [Google Datasets Search](https://datasetsearch.research.google.com/) |     |
| [Gifcities.org](https://gifcities.org/) | GIF Search Engine from archive.org |
| [Presearch.org](https://presearch.org/) | privately decentralized search engine, powered by #blockchain technology |
| [milled.com](https://milled.com/search) | search engine for searching through the texts of email marketing messages |
| [Orion](https://github.com/Araekiel/orion) | open-Source Search Engine for social networking websites. |
| [PacketTotal](https://packettotal.com/app/search) | .pcap files (Packet Capture of network data) search engine and analyze tool. Search by URL, IP, file hash, network indicator, view timeline of dns-queries and http-connections, download files for detailed analyze. |
| [SearXNG](https://github.com/searxng/searxng) | Free internet metasearch engine which aggregates results from more than 70 search services. No tracking. Can be used over Tor |
| [Yeggi](https://www.yeggi.com/) | 3D printer model search engine. There are more than 3 million 700 thousand objects in the database. There are both paid and free. |
| [Memegine](https://memegine.com/) | A search engine to find memes. Helps you find rare and obscure memes when Google fails. |
| [ChatBottle](https://chatbottle.co/bots/) | A search engine to find the weirdest and most highly specialised chatbots for all occasions. There are over 150,000 bots in the database. Of these, 260 are chatbots related to cats for Facebook Messenger. |
| [search3](https://search3.com/) | New privacy search engine (no trackers + just a little bit of ads). With NFT search tab and cryptocurrencies realtime info tab |
| [DensePhrase](http://densephrases.korea.ac.kr/) | This tool searches phrase-level answers to your questions or retrieve relevant passages in real-time in 5 million Wikipedia articles. |
| [metaphor systems](https://metaphor.systems/) | A search engine with a new and unusual search method. This AI "trained to predict the next *link* (similar to the way GPT-3 predicts the next *word*)". Enter a statement (or an entire dialog) and Metaphor will end it with the appropriate link. |

### [](#universal-search-tools)Universal search tools

| Link | Description |
| --- | --- |
| [S](https://github.com/zquestz/s) | Search from command line in 106 different sources |
| [searchall.net](https://searchall.net) | 75 fields for quick entry of queries to different search services on one page |
| [Query-server](https://query-server.herokuapp.com) | A tool that can send queries to popular search engines (list in picture) and return search results in JSON, CSV or XML format. |
| [Search Engines Scraper](https://github.com/tasos-py/Search-Engines-Scraper) | Collects search results in text files. It's possible to search Google, Bing, DuckDuckGo, AOL and other search engines. |
| [Trufflepiggy (Context Search)](https://chrome.google.com/webstore/detail/trufflepiggy-context-sear/chffnhocnckigoapjdienmaphjnljpmo) | Search selected text in different search engines and sites from Google Chrome context menu. |
| [Search Patterns](https://chrome.google.com/webstore/detail/search-patterns/hjlahhonnlceifaecpjejlhhgjkipnbj/related?hl=zh-CN&gl=001) | A tool that analyzes autosuggest for #Google and #YouTube search queries (questions, prepositions, comparisons, and words starting with different letters of the alphabet). |
| [Searcher](https://github.com/davemolk/searcher) | A very fast and simple #go tool that allows you to collect search results from a list of keywords in the following search engines:  Ask Bing Brave DuckDuckGo Yahoo Yandex |
| [Startpage Parser](https://github.com/knassar702/startpage-parser) | Startpage.com search engine produces similar (but not identical) results to Google's, but is much less likely to get banned. This #python tool allows to scrape big amounts of results without using proxies. |
| [BigSearch](https://github.com/garywill/BigSearch) | Google Chrome and Firefox addon  for quick access to dozens of online search tools: general search engines, video hosts, programming forums, translators and much more. |


### [](#darknetdeepweb-search-tools)Darknet/deepweb search tools

| Link | Description |
| --- | --- |
| [Onion Search](https://github.com/megadose/OnionSearch) |     |
| [TheDevilsEye](https://github.com/rlyonheart/thedevilseye) | Search links in #darknet (.onion domain zone) from command line without using a Tor network. |
| [Onion Search Engine (+maps, mail and pastebin)](https://onionsearchengine.com/) |     |
| [KILOS Darknet Search Engine](http://dnmugu4755642434.onion.pet/captcha) |     |
| [Ahmia Link Graph](https://ahmia.fi/stats/link_graph/) | Enter the name of the site in the .onion domain zone and see what other sites in the #onion domain zone it is associated with. |
| [Pasta](https://github.com/Kr0ff/Pasta) | Pastebin scraper, which generates random paste addresses and checks if there is any text in them. |
| [Dark Web Scraper](https://apify.com/epcsht/darkweb-scraper#dark-web-scraper) | Specify the start link and depth of crawl to research the .onion website for sensitive data (crypto wallets, API keys, emails, phone numbers, social media profiles). |
| [Pastebin-Bisque](https://github.com/bbbbbrie/pastebin-bisque) | Command line #python tool, which downloads all the pastes of a particular #Pastebin user. |
| [Dark Fail](https://dark.fail/) | List of several dozen services in the .onion domain (marketplaces, email clients, VPN services, search engines) with up-to-date links and status (online/offline) |
| [Darkweb archive](https://darkweb-archive.activetk.jp/) | Free simple tool that allows you to download website files in the .onion domain zone as an archive with html, css, javascript and other files. |

### [](#public-buckets-search-tools)Public buckets search tools

| Link | Description |
| --- | --- |
| [buckets.grayhatwarfare.com](http://buckets.grayhatwarfare.com) | Amazon Public Buckets Search |
| [osint.sh/buckets](http://osint.sh/buckets) | Azure Public Buckets Search |

### [](#bugbountyvulnerabilities-search-tools)Bugbounty/vulnerabilities search tools

| Link | Description |
| --- | --- |
| [Firebounty](https://firebounty.com) | Bug bounty search engine |
| [BugBountyHunting](https://www.bugbountyhunting.com) | Bug bounty hunting search engine |
| [Leakix](https://leakix.net/) | A search engine for web services where common types of vulnerabilities have been found. |
| [Network Entity Reputation Database (NERD)](https://nerd.cesnet.cz/) | database of malicious entities on the Internet) It's possible to search by IP, domain, subdomain, and other parameters, including even the country code (useful for large-scale research) |
| [Inventory Raw Pm](https://inventory.raw.pm/) | Search by best #cybersecurity tools, resources, #ctf and #bugbounty platforms. |
| [RFC.fyi](https://rfc.fyi/) | Browseable, searchable RFC index |
| [Hacker News Algolia](https://hn.algolia.com/) | Hacker News search engine with filters. Useful for finding all mentions of a product or person. |
| [Control Validation Compass](https://controlcompass.github.io/) | Database of 9,000+ publicly-accessible detection rules and 2,100+ offensive security tests, aligned with over 500 common attacker techniques. |
| [Hacking the Cloud](https://hackingthe.cloud/) | Encyclopedia of the attacks/tactics/techniques that offensive security professionals can use on cloud exploitation (#AWS, #Azure, #GoogleCloud, #Terraform,) |
| [ExploitAlert](https://exploitalert.com/) | One of the largest searchable databases of information on exploits (from October 2005 to October 2022). Updated daily. |

### [](#filesharing-search-engines)Filesharing Search Engines

**I strongly recommend to use it strictly for research purposes and to search for files that cannot be legally purchased anywhere else. Respect the copyrights of others.**

| Link | Description |
| --- | --- |
| [Napalm FTP Indexer](https://www.searchftps.net/) |     |
| [Cloud File Search Engine](http://filesearch.link) | search music, books, video, programs archives in 59 file-sharing sites (#meganz, #dropark, #turbotit etc) |
| [Filesearching](https://filesearching.com) | old FTP servers search engine with filter by top-level domain name and filetype |
| [Snowfl.com](https://snowfl.com) | torrent aggregator which searches various public torrent indexes in real-time |
| [Torrents.me](https://torrends.to) | torrent aggregator with search engines and list of new torrents trackers |
| [Open Directory Finder](https://ewasion.github.io/opendirectory-finder/#) | Tool for search files based by Google CSE |
| [Mamont's open FTP indexer](https://www.mmnt.net) |     |
| [Orion Media Indexer](https://orionoid.com) | Lightning Fast Link Indexer for Torrents, Usenet, and Hosters |
| [Library Genesis](https://libgen.fun) | "search engine for articles and books, which allows free access to content that is otherwise paywalled or not digitized elsewhere" (c) |
| [Sunxdcc](http://sunxdcc.com) | XDCC file search engine |
| [Xdcc.eu](https://www.xdcc.eu) | XDCC search engine |
| [URVX.com](http://www.uvrx.com) | File storage search engine based by Google CSE |
| [DDL Search](http://ddlsearch.free.fr) | search engine for Rapidshare, Megaupload, Filefactory, Depositfile, Fileserve and a lot of other file sharing sites |
| [Sharedigger](http://www.sharedigger.com) | search files in popular file hosting services |
| [Xtorx](https://www.xtorx.com) | fast torrents search engine |
| [Torrent Seeker](https://torrentseeker.com) | torrents search engine |
| [FreeWare web FTP file search](http://www.freewareweb.com/ftpsearch.shtml) | ftp servers search engine |
| [Search 22](https://search-22.com/ftp-search-tools) | access to 10+ ftp search tools from one page |
| [Heystack](https://heystacks.com/) | Service for finding public files in Google Docs, Google Sheets and Google Slides. It's possible to filter results by topic group and creation date. |

[](#tools-for-duckduckgo)Tools for DuckDuckGo
=============================================

| Link | Description |
| --- | --- |
| [DuckDuckGo !bangs](https://chrome.google.com/webstore/detail/duckduckgo-bangs/hdjfebkndhmegijlghjcdghdbealibeb/related) | extension that add DuckDuckGo bang buttons to search results and search links in the context menu |
| [DDGR](https://github.com/jarun/ddgr) | Search in DuckDuckGo via the command line: - export the results to JSON; - bangs support - location setting |

[](#tools-for-google)Tools for Google
=====================================

| Link | Description |
| --- | --- |
| [Google Search Scraper](https://apify.com/apify/google-search-scraper) | Crawls Google Search result pages (SERPs) and extracts a list of organic results, ads, related queries and more. It supports selection of custom country, language and location |
| [Googler](https://github.com/jarun/googler) | command line google search tool |
| [goosh.org](https://goosh.org/) | online google search command line tool |
| [Web Search Navigator](https://github.com/infokiller/web-search-navigator) | extension that adds keyboard shortcuts to Google, YouTube, Github, Amazon, and others |
| [Overload Search](https://chrome.google.com/webstore/detail/overload-search-advanced/knihkdaajdhpjgeiadaefmjmpbnlojbg/related) | Advanced query builder in #Google with the possibilities: change the language and country of your search, disable safe search,disable personalization of search results ("filter bubble") |
| [Google Autocomplete Scraper](https://tools.digitalmethods.net/beta/scrapeGoogle/autocomplete.php) | One of the best ways to learn more about a person, company, or subject is to see what people are more likely to type in a search engine along with it. |
| [SDorker](https://github.com/TheSpeedX/SDorker) | Type the Google Dork and get the list of the pages, that came up with this query. |
| [XGS](https://github.com/XAMFRA/XGS) | allows you to search for links to onion sites using Google Dorks (site:[http://onion.cab](http://onion.cab), site:[http://onion.city](http://onion.city) etc) |
| [Google Email Extractor](https://chrome.google.com/webstore/detail/google-email-extractor/aabpdmlmkpedpigeignclfmodjhplllj/related) | Extract emails from Google Search Results |
| [SEQE.me](https://seqe.me/) | online #tool for constructing search queries using advanced search operators simultaneously for five search engines |
| [Bright Local Search Result Checker](https://www.brightlocal.com/local-search-results-checker/) | shows what #Google search results look like for a particular query around the world (by exact address) |
| [Auto Searcher](https://chrome.google.com/webstore/detail/auto-searcher/hhggekcjcdgenbgejmkhineppclnkbkn/related) | One by one types words from a given list into the search bar of #Google, #Bing, or another search engine |
| [2lingual.com](https://2lingual.com/) | google search in two languages simultaneously in one window |
| [I search from](http://isearchfrom.com/) | allows you to customize the country, language, device, city when searching on Google |
| [Anon Scraper](https://github.com/370rokas/anonscraper) | Search uploaded files to AnonFile using Google |
| [Search Commands](https://chrome.google.com/webstore/detail/search-commands/ggjakfijchdkbmmhbfemjciidhnipgoe/related) | Google Chrome extension provides a Swiss-knife style commands tool inside your browser's address bar to enhance your search experience |
| [Boolean Builder theBalazs](https://docs.google.com/spreadsheets/d/1v27Oybrv9H5sn3MMD76clLp2B4mwhA7OtUkfQzlNu8w/edit#gid=940516593) | Google Sheet to tool for constructing Google X-Ray search queries. |
| [Yagooglesearch](https://github.com/opsdisk/yagooglesearch) | "Simulates real human Google search behavior to prevent rate limiting by Google and if HTTP 429 blocked by Google, logic to back off and continue trying" (c) |
| [Google Word Sniper](https://googlewordsniper.eu/) | Simple tool to make easier Google queries with the advanced search operator AROUND(). |
| [OMAIL](https://omail.io/) | An online tool that extracts and validates emails from Google and Bing search results (by keyword or domain). Partly free (200 extracts per search) |




### [](#iot)IOT (ip search engines)

| Link | Description |
| --- | --- |
| [Greynoise.io](https://www.greynoise.io/) |     |
| [fofa.so](https://fofa.so/) |     |
| [Thingful.net](https://www.thingful.net/) |     |
| [TheLordEye](https://github.com/rlyonheart/thelordseye) | Tool that searches for devices directly connected to the internet with a user specified query. It returns results for webcams, traffic lights, routers, smart TVs etc |
| [Netlas.io](https://app.netlas.io/) | Search engine for every domain and host available on the Internet (like Shodan and Censys): - search by IP, domain DNS-servers, whois info, certificates (with filtering by ports and protocols) - 2500 requests/month free; - API and python lib "netlas". |
| [CriminalAPI](https://www.criminalip.io/) | Search engine for all public IPs on the Internet. Search by (for ex): html title, html meta tags and html keyword tags; whois city and country; ssl expired date; CVE id and MANY more  |
| [FullHunt](https://fullhunt.io/) | Attack surface database of the entire Internet.  Search info by domain, ip, technology, host, tag, port, city and more. |
| [Hunter](https://hunter.how/) | Search engine for security researchers (analog Shodan, Censys, Netlas). Search by domain, page title, protocol, location, certificates, http headers, ASN, product name and more. |


[](#archives)Archives
=====================

| Link | Description |
| --- | --- |
| [Quick Cache and Archive search](https://quickcacheandarchivesearch.onrender.com/) | quick search website old versions in different search engines and archives (21 source) |
| [Trove](http://trove.nla.gov.au/search/category/websites) | australian web archive |
| [Vandal](https://chrome.google.com/webstore/detail/vandal/knoccgahmcfhngbjhdbcodajdioedgdo/related) | extension that makes working with [http://archive.org](http://archive.org) faster, more comfortable, and more efficient. |
| [TheOldNet.com](https://theoldnet.com/) |     |
| [Carbon Dating The Web](http://carbondate.cs.odu.edu/) |     |
| [Arquivo.pt](https://arquivo.pt/) |     |
| [Archive.md](https://archive.md/) |     |
| [Webarchive.loc.gov](http://webarchive.loc.gov/) |     |
| [Swap.stanford.edu](https://swap.stanford.edu/) |     |
| [Wayback.archive-it.org](http://wayback.archive-it.org/) |     |
| [Vefsafn.is](https://vefsafn.is/) |     |
| [web.archive.bibalex.org](http://web.archive.bibalex.org/) |     |
| [Archive.vn](https://archive.vn/) |     |
| [UKWA](https://www.webarchive.org.uk/) | archive of more than half a billion saved English-language web pages (data from 2013) |

### [](#tools-for-working-with-web-archives)Tools for working with web archives

| Link | Description |
| --- | --- |
| [The Time Machine](https://github.com/anmolksachan/TheTimeMachine) | Tool for gathering domain info from WayBackMachine: - fetches subdomains from waybackurl; - search for /api/JSON/Configuration endpoints and many more (view pic) |
| [Web Archives](https://chrome.google.com/webstore/detail/web-archives/hkligngkgcpcolhcnkgccglchdafcnao/related) | extension for viewing cached web page version in 18 search engines and services |
| [EasyCache](https://gaetanlhf.github.io/EasyCache/) | quick search website old versions in different search engines and archives |
| [cachedview.b4your.com](https://cachedview.b4your.com/en/) | quick search website old versions in different search engines and archives |
| [Internet Archive Wayback Machine Link Ripper](https://tools.digitalmethods.net/beta/internetArchiveWaybackMachineLinkRipper/#) | Enter a host or URL to retrieve the links to the URL's archived versions at [http://wayback.archive.org](http://wayback.archive.org). A text file is produced which lists the archive URLs. |
| [Waybackpack](https://github.com/jsvine/waybackpack) | download the entire #WaybackMachine archive for a given URL. You can only download versions for a certain date range (date format YYYYMMDDhhss) |
| [TheTimeMachine](https://github.com/anmolksachan/TheTimeMachine) | Toolkit to use [http://archive.org](http://archive.org) to search for vulnerabilities |
| [Waybackpy](https://github.com/akamhy/waybackpy) | If you want to write your own script to work with [http://archive.org](http://archive.org), check out the #python library Wayback Machine API. You can use it to quickly automate the extraction of all sorts of website data from the webarchive. |
| [Archivebox](https://archivebox.io) | Create your own self-hosted web archive. Save pages from browser history, bookmarks, Pocket etc. Save html, js, css, media, pdf and other files |
| [WaybackPDF](https://github.com/Haax9/WaybackPDF) | Collects a list of saved PDFs for the given domain from [http://archive.org](http://archive.org) and downloads them into a folder. |
| [Archive-org-Downloader](https://github.com/MiniGlome/Archive.org-Downloader) | A simple #python script for downloading books from [http://archive.org](http://archive.org) in PDF format. You can adjust image resolution to optimize file size and work with link lists. |
| [WayMore](https://github.com/xnl-h4ck3r/waymore) | Search archived links to domain in Wayback Machine and Common Crawl (+ Urlscan and Alien Vault OTX). |
| [Wayback Keywords Search](https://github.com/lorenzoromani1983/wayback-keyword-search) | A tool that allows you to download all the pages of a particular domain from http://archive.org for a particular month or day, and quickly do a keyword search on those pages. |



### [](#warc)Tools for working with WARC (WebARChive) files

| Link | Description |
| --- | --- |
| [Warcat](https://github.com/chfoo/warcat) | My favorite (because it's the easiest) tool for working with Warc files. It allows you to see the list of files in the archive (command "list") and unpack it (command "extract").  |
| [Replayweb](https://github.com/webrecorder/replayweb.page) | If the warc file is small, you can view its contents with this extreme simple online tool. Also it's possible to deploy ReplayWeb on your own server  |
| [Metawarc](https://github.com/datacoon/metawarc) | Allows you to quickly analyze the structure of the warc file and collect metadata from all the files in the archive |
| [Webrecorder tools](https://webrecorder.net/tools) | Archiving various interesting sites is a noble and useful activity for society. To make it easier for posterity to analyze your web archives, save them in Warc format with an online tool|
| [GRAB SITE](https://github.com/ArchiveTeam/grab-site) | Af you need to make a Warc archive out of a huge site with a lot of different content, then it is better to use this #python script with dozens of different settings that will optimize the process as much as possible.|
| [har2warc](https://github.com/webrecorder/har2warc) | Convert HTTP Archive (HAR) -> Web Archive (WARC) format|


[](#archives-of-documentsnewspapers)Archives of documents/newspapers
====================================================================

| Link | Description |
| --- | --- |
| [UK National Archives](https://nationalarchives.gov.uk/) | search in the catalogue of United Kingdom "The National Archives" |
| [Directory of Open Access Journals](https://doaj.org/search/journals) | Search by 16 920 journals, 6, 588, 661 articles, 80 lanquages, 129 countries |
| [National Center for Biotechnology](https://www.ncbi.nlm.nih.gov/) | unique tool to search 39 scientific databases (Pubmed, SRA, OMIN, MedGen etc) from one page |
| [industrydocuments.ucsf.edu](http://industrydocuments.ucsf.edu/) | digital archive of documents created by industries which influence public health (tobacco, chemical, drug, fossil fuel) |
| [Offshor Leaks](https://offshoreleaks.icij.org/) | Search through various databases of leaked documents of offshore companies |
| [Vault.fbi.gov](https://vault.fbi.gov/search) | Vault is FOIA Library, containing 6,700 documents that have been scanned from paper |
| [Lux Leaks](https://projects.icij.org/luxembourg-leaks/viz/industries/index.html) | — the name of a financial scandal revealed in November 2014 by a journalistic investigation. On this site you will find documents related to more than 350 of the world's largest companies involved in this story |
| [RootsSearch](https://rootssearch.io/search) | Quick search service for five sites with genealogical information (as well as births, weddings and deaths/burials) |
| [Newspaper navigator](https://news-navigator.labs.loc.gov/search) | Keyword search of a database of 1.5 million newspaper clippings with photos from the Library of Congress database. It's possible to filter results by year (1900 to 1963) and state. |
| [Anna's Archive](https://annas-archive.org/search) | Search engine of shadow libraries: books, papers, comics, magazines (IPFS Gateway, Library Genesis etc). |
| [World Cat](https://worldcat.org/) | Enter the name of the paper book and find out which public libraries near you can find it.  Works for the USA, Australia and most European countries. |
| [DailyEarth](https://dailyearth.com/) | Worldwide catalog of daily newspapers (since 1999). 52 USA states. 73 countries. |
| [visLibri](https://www.vialibri.net/) | World’s largest search engine for old, rare & second-hand books. Search across 140+ websites worldwide.(Ebay, Amazone, Booklooker, Catawiki, Antiqbook etc) |
| [FACTINSECT](https://factinsect.com/) | Free online tool for automating #factchecking. In order to confirm or deny some information, the service provides several arguments with references to information sources. |



[](#science)Science
=====================

| Link | Description |
| --- | --- |
| [ConnectedPapers](https://www.connectedpapers.com/) | A tool for gathering information about academic papers. It shows a large graph of references to other articles that are present in the text and clearly see the connections between different authors. |
| [AcademicTree](https://academictree.org/) | A tool for finding links between scientists (including little-known ones). 150000+ people in database (in all sections combined). Select a field of science. Enter a person's name. See a tree of their teachers and students |
| [clinicaltrials.gov](https://clinicaltrials.gov/) | 433,207 research studies in 221 countries. For people who have a difficult-to-treat disease, this registry will help them learn about recently developed drugs and treatments and get contacts of organizations that are researching a particular disease. |
| [Elicit](https://elicit.org/) | AI research assistant. Find answers to any question from 175 million papers. The results show a list of papers with summaries + Summary of the 4 most relevant papers.  |
| [ExplainPaper](https://www.explainpaper.com/) | AI is a tool to make reading scientific articles easier. Highlight a phrase, sentence or whole paragraph to get its simple and detailed explanation with #AI. |
| [Bielefeld Academic Search Engine](https://www.base-search.net/) | Search across 311 million 481 thousands documents (most of them with free access). Search by email, domain, first/last name, part of address or keywords. |
| [Scite.ai](https://scite.ai/) | Enter the article title or DOI to get a list of publications that cite it. Results can be filtered by type (book, review, article), year, author, journal and other parameters.|
| [Scholarcy](https://article-summarizer.scholarcy.com/) | AI papers summarizer. Upload the file or copy the access URL to the article to get: Key concepts; Abstract; Synopsis; Highlights; Summary; Links to download tables from paper in Excel. |
| [Research Rabbit](https://researchrabbitapp.com/home) | Find articles and view its connections - similar works, references, citations and more|
| [Trinka](http://trinka.ai) | A partly free online tool to help you prepare a research paper for publication: AI Grammar; Checker (made especially for scientific papers); Consistency checker; Citation checker; Plagiarism checker; Journal founder|
| [Zendy.io](https://zendy.io) | Discover academic journals, articles, & books on one seamless platform. Search keyword, authors, titles ISBN, ISSN etc |
| [Scinapse.io](https://scinapse.io) | Academic Search Engine. Search by 48000 journals|
| [Argo Scholar](https://poloclub.github.io/argo-scholar/) | A tool for analysing connections between research articles |
| [INCITEFUL](https://inciteful.xyz/) | Enter paper title, DOI, PubMed URl, arXiv URL to build a graph of links between the research article and other publications (who it cites and who cites it) |
| [PaperPanda](https://chrome.google.com/webstore/detail/paperpanda-%E2%80%94-get-millions/ggjlkinaanncojaippgbndimlhcdlohf/related?utm_source=web) | In recent years it has become increasingly difficult to find scientific articles. To download their full versions, websites require registration or payment. This extension finds freely available PDF versions of articles in one click.  |




[](#datasets)Datasets
=====================

| Link | Description |
| --- | --- |
| [Afrobarometer](https://afrobarometer.org/online-data-analysis/analyse-online) | huge database of the results of sociological surveys conducted in African countries over the last 20 years |
| [Arabbarometer](https://www.arabbarometer.org/survey-data/data-analysis-tool/) | database of the results of sociological surveys conducted in the Arab countries of Africa and the Middle East in 2007-2018 |
| [dataset.domainsproject.org](https://dataset.domainsproject.org/) | dataset of 616 millions domains (16GB!) |
| [Stevemorse.org](https://stevemorse.org/ssdi/ssdi.html) | Searching the Social Security Death Index |
| [UK Census Online](https://ukcensusonline.com/search/) | Database of deaths, births, and marriages. From 1841 to the beginning of the 21st century. Only the first and last names can be searched. |
| [IPUMS Variable Search](https://variable-search.ipums.org/#/) | A service for finding variables in data from sociological surveys in 157 countries from 1960 to 2022. You can find completely rare and surprising things there, like a survey to count the number of bananaboat owners in Zambia. |

[](#passwords)Passwords
=======================

| Link | Description |
| --- | --- |
| [CrackStation.net](https://crackstation.net/) | password hash cracker |
| [Leak peek](https://leakpeek.com/) | by pasword search part of email and site, where this password is used |
| [Reference of default settings of different router models (IP, username, password)](https://www.cleancss.com/router-default/) |     |
| [Many Passwords](https://many-passwords.github.io/) | Default passwords for IoT devices and for web applications (for ex. MySQL and PostgreSQL admin panels) |
| [PassHunt](https://github.com/Viralmaniar/Passhunt) | Command line tool for searching of default credentials for network devices, web applications and more. Search through 523 vendors and their 2084 default passwords |
| [BugMenot](http://bugmenot.com) | login and passwords for public accounts in different services |
| [Search-That-Hash](https://github.com/HashPals/Search-That-Hash) | Python tool for automating password hash detection (based on Hashcat). It can work with single strings as well as with long lists of hashes from a text file. Useful for investigating data leaks |

[](#emails)Emails
=================

| Link | Description |
| --- | --- |
| [geeMail User Finder](https://github.com/dievus/geeMailUserFinder) | A simple tool to check the validity of a Gmail account. You can check a single email or a list of emails. |
| [Breachchecker.com](https://breachchecker.com/) | history of data leaks associated with a particular email address |
| [Metric Sparrow email permulator](http://metricsparrow.com/toolkit/email-permutator/) |     |
| [snov.io email finder](https://snov.io/email-finder) | find emails of company employees by domain name. |
| [Mailfoguess](https://github.com/WildSiphon/Mailfoguess) | tool create a lot of possible local-part from personal information, add domain to all local-part respecting the conditions of creation of mail of these domains and verify these mails |
| [Hunter.io](https://hunter.io/) | can link to an article to find its author and his email address |
| [Mailcat](https://github.com/sharsil/mailcat) | find existing email addresses by nickname in 22 providers, > 60 domains and > 100 aliases |
| [H8mail](https://github.com/khast3x/h8mail) | email OSINT and breach hunting tool using different breach and reconnaissance services, or local breaches such as Troy Hunt's "Collection1" and the infamous "Breach Compilation" torrent |
| [MailBoxLayer API](https://mailboxlayer.com/) | free api for email adress checking |
| [EmailHippo](https://tools.emailhippo.com/email/) | Simple free online tool for check the existence of a particular email address and evaluate its reliability on a 10-point scale. |
| [Spycloud.com](https://spycloud.com/check-your-exposure/) | check for a particular email in data leaks. Shows how many addresses registered on a particular house have been scrambled |
| [Gravatar check](https://en.gravatar.com/site/check/) | Just enter email and see what the person's Gravatar avatar looks like. |
| [Email Permutator](https://docs.google.com/spreadsheets/d/17URMtNmXfEZEW9oUL_taLpGaqTDcMkA79J8TRw4xnz8/edit#gid=0) | Google Sheet table that generate 46 variants of user email by first name, last name and domain |
| [Have I Been Sold?](https://haveibeensold.app/) | The service checks if the e-mail address is included in one of the databases, which are sold illegally and are used for various illegal activities such as spamming. |
| [mailMeta](https://github.com/gr33nm0nk2802/mailMeta) | Simple tool to analyze emails headers and identify spoofed emails. |
| [EmailAnalyzer](https://github.com/keraattin/EmailAnalyzer) | Tool for analyzing .eml files. It analyzes and checks with VirusTotal links, attachments and headers. |
| [Avatar API](https://avatarapi.com/) | Enter email address and receive an image of the avatar linked to it. Over a billion avatars in the database collected from public sources (such as Gravatar, Stackoverflow etc.) |
| [Email Finder](https://www.experte.com/email-finder) | Enter a person's first and last name, domain name of a company or email service, and then get a list of possible email addresses with their status (free). |
| [Defastra](https://defastra.com/) | Assesses the reliability of a phone or email on a number of different parameters. Displays social network profiles registered to the number or email. Partially free |
| [OSINT Industries](https://osint.industries/email) | Enter emai/phonel and get a list of accounts that may be associated with it (accounts for which this email was used to register or those where the email in the profile description) |
| [What Mail?](https://github.com/z0m31en7/WhatMail) | Simple #python tool for email headers analyze and visualize them in a table. |
| [ZEHEF](https://github.com/N0rz3/Zehef) | A simple #Python tool that collects information about an email. It checks its reputation in different sources and finds possible accounts in different social networks (some functions may not work properly, the tool is in development). |
| [Castrickclues](https://castrickclues.com/) | Online tool to get Google and Skype account information by email, phone number or nickname (free).  + search for accounts in other services (paid). |

[](#nicknames)Nicknames
=======================

| Link | Description |
| --- | --- |
| [@maigret\_osint\_bot](https://t.me/maigret_osint_bot) | check accounts by username on 1500 sites. Based on maigret CLI tool |
| [Analyzeid.com Username Search](https://analyzeid.com/username/) | view "Summary" of accounts found: list of names used, locations, bio, creations dates etc. |
| [NEXFIL](https://github.com/thewhiteh4t/nexfil) | Search username by 350 social media platforms |
| [Spy](https://github.com/CYB3R-G0D/SPY) | Just another very quick and simple account checker by username (210 sites in list). |
| [Profil3r](https://github.com/Rog3rSm1th/Profil3r) | search for profiles in social networks by nickname |
| [Aliens eye](https://github.com/BLINKING-IDIOT/Aliens_eye) | Find links to social media accounts in 70 websites by username |
| [Thorndyke](https://github.com/rlyonheart/thorndyke) | Checks the availability of a specified username on over 200 websites |
| [Marple](https://github.com/soxoj/marple) | It collect links contains nickname/name/surname in url from Google and DuckDuckGo search results. |
| [Holehe](https://github.com/megadose/holehe) | check if the mail is used on different sites like twitter, instagram and will retrieve information on sites with the forgotten password function |
| [UserFinder](https://github.com/mishakorzik/UserFinder) | tool for finding profiles by username |
| [Snoop](https://github.com/snooppr/snoop) | Search users profile by nickname |
| [Pyosint](https://github.com/d8rkmind/Pyosint) | Search for usenames form a list of 326 websites. Scrap a website to extract all links form a given website. Automate the search of subdomains of a given domain from diffrent services |
| [Alternate Spelling Finder](https://datayze.com/alternate-spelling-finder) | When searching for information by name, remember that the same name can be recorded in documents and files very differently, as people of different nationalities perceive sounds differently. |
| [Translit.net](https://translit.net) | Sometimes it happens that a person's name is written in Cyrillic, but you can find a lot of info about him in Google if you type his transliteration "Ivan Ivanov". This tool will come in handy when working with Russian, Belarusian, Ukrainian, Armenian names |
| [NAMINT](https://seintpl.github.io/NAMINT/) | Enter first, middle (or nickname) and last name, and press Go! to see possible search patterns and links (Google, Yandex, Facebook, Twitter, Linkedin and others social media) |
| [Username Availability Checker](https://username-check.herokuapp.com/) | Simple online tool that checks if a user with a certain nickname is present on popular social networks. Very far behind Maigret/WhatsMyName in terms of number of services, but suitable for a quick check. |
| [BlackBird](https://github.com/p1ngul1n0/blackbird) | \- Search username across 200+ sites; - API username check (Protonmail, PlayerDB, Hackthebox etc); - Check archived Twitter accounts. |
| [Nameberry](https://nameberry.com/search?q=john) | When you are looking for mentions of a person on social media, remember that one name can have dozens of different spelling variations. Ideally, you should check them all, or at least the most popular ones. |
| [WhatsMyName](https://whatsmyname.app) | With Holehe and Maigret, WhatsMyName is one of the most powerful Username enumeration tools. |
| [Go Sherlock](https://github.com/Longwater1234/go-sherlock) | #GO version of Project Sherlock (https://github.com/sherlock-project/sherlock…). It's quite fast. Checks if a user with a certain nickname exists on a thousand sites in a few tens of seconds. |
| [User Searcher](https://www.user-searcher.com) | User-Searcher is a powerful and free tool to help you search username in 2000+ websites. |
| [Digital Footprint Check](https://digitalfootprintcheck.com/checks/free-checker.html) | Similar to WhatsMyName but with options to extend search into email, phone and social handles. |


[](#phone-numbers)Phone numbers
===============================

| Link | Description |
| --- | --- |
| [USA Telephone Directory Collection](https://www.loc.gov/collections/united-states-telephone-directory-collection/) | 3512 of paper "yellow" and "white" pages available for download in PDF published from 1887 to 1987 |
| [Oldphonebook](http://www.oldphonebook.com/) | USA phonenumbers database from 1994 to 2014 |
| [Phomber](https://github.com/s41r4j/phomber) | Get information about phone number with command line. |
| [Numverify API](https://numverify.com/) | free api for global phone number lookup and validation |
| [FireFly](https://github.com/Lexxrt/FireFly) | Get information about phone number using Numverify API |
| [PhoneNumber OSINT](https://github.com/spider863644/PhoneNumber-OSINT) | Simple tool for gathering basic information about phone numbers (country code, timezone, provider) |

[](#universal-contact-search-and-leaks-search)Universal Contact Search and Leaks Search
=======================================================================================

| Link | Description |
| --- | --- |
| [DaProfiler](https://github.com/TheRealDalunacrobate/DaProfiler) | Get emails, social medias, adresses of peoples using web scraping and google dorking |
| [SingleHire](https://www.signalhire.com/candidates/47dc037faace4abeb0727d6f4d0f3079) | Tool for search contacts by full name, location and job title. Shows phones, emails, #Linkedin, #Facebook, #Twitter and other social media profile |
| [Social Analyzer](https://github.com/qeeqbox/social-analyzer) | tool for searching nickname profiles on more than 300 sites |
| [SovaWeb](http://sovaweb.herokuapp.com/) | web version of a famous Russian bot in Telegram for searching by email, nickname, IMSI, IMEI, MSISDN, BTS, IP, BSSID |
| [BehindTheNames](https://www.behindthename.com) | when conducting an in-depth search for information about a person, it is important to check the different pronunciations of their name and diminutives. This service will help you find them |
| [My CSE for search in 48 pastebin sites](https://cipher387.github.io/pastebinsearchengines/) |     |
| [Psbdmp.ws](https://psbdmp.ws) | search sensitive user data by 25 759 511 pastebins |
| [Cybernews RockYour2021](https://cybernews.com/personal-data-leak-check/) | check if your data has been leaked |
| [GoFindWho People Search](https://gofindwho.com/) | More than 300 tools for gathering information about people in one. Search by name, username, phone, adress, company name. |
| [That's them people search](https://thatsthem.com/people-search) |     |
| [Anywho](https://anywho.com/) | Search for people in #USA. Enter first and last name to get age, address, and part of phone number (free) |
| [Usersearch.org](https://usersearch.org/index.php) | search people by nickname, phone or email |
| [Ellis Island](http://heritage.statueofliberty.org) | online searchable database of 65 million arrivals to #NewYork between (late 19th and early 20th century). |
| [recordsearch.naa.gov.au](https://recordsearch.naa.gov.au/SearchNRetrieve/Interface/SearchScreens/PassengerSearch.aspx) | National archives of #Australia |
| [SpyDialer](https://www.spydialer.com/) | Free search contact information by phone number, name, address or email |
| [Decoding Social Security Numbers in One Step](https://stevemorse.org/ssn/ssn.html) |     |
| [Inmate Database Search](http://inmateinfo.indy.gov/IML) |     |
| [Scamdigger.com](http://scamdigger.com/) | search in #scammers database by name, IP-adress, email or phone |
| [Cloob.com](https://www.cloob.com/profile/search/index) | Iranian people search |
| [SlaveVoyages.org](https://slavevoyages.org/resources/names-database) | the Trans-Atlantic and Intra-American slave trade databases are the culmination of several decades of independent and collaborative research by scholars drawing upon data in libraries and archives around the Atlantic world. |
| [FEI Database Person Search](https://data.fei.org/Person/Search.aspx) | If the person you are researching is related to equestrian sports, check the FEI database for information about him or her. There you can find cards of riders, horse owners, grooms and fans around the world. |
| [Name Variant Search](https://bellingcat.github.io/name-variant-search/#gsc.tab=0) | Type in a name and get a list of possible spelling options (+ quick links to Google, DuckDuckGo and Facebook searches for each option) |




[](#sock-puppets)Sock Puppets
=============================

| Link | Description |
| --- | --- |
| [Rug](https://github.com/rly0nheart/rug) | Extreme simple tool for generating random user data. |
| [Face Generator](https://generated.photos/face-generator/) | Face Generator for creating #sockpuppets. Customize gender, age, head position, emotions, hair and skin color, makeup and glasses. |
| [2,682,783 free AI generated photos](https://generated.photos/faces) |     |
| [VoiceBooking](https://www.voicebooking.com/en/free-voice-over-generator) | fake voice generator |
| [ThisXDoesNotExist](https://thisxdoesnotexist.com) | collection of more than 30 services that generate various items using neural networks. |
| [TheXifer](https://www.thexifer.net) | add fake metadata to photo |
| [GeoTagOnline](https://geotagonline.com) | add fake geotags to photo |
| [Fake ID Identity Random Name Generator](https://www.elfqrin.com/fakeid.php) | generate a random character with a fake name for games, novels, or alter ego avatars of yourself. Create a new virtual disposable identity instantly. |
| [@TempMail\_org\_bot](https://t.me/TempMail_org_bot) | telegram bot for quick creation of temporary email addresses (to receive emails when registering on different sites) |
| [Text2img](https://deepai.org/machine-learning-model/text2img) | text to image AI generator |
| [Face Anonimyzer](https://generated.photos/anonymizer) | Upload a face photo and get set of similar AI generated faces. |
| [AI video generator](https://www.synthesia.io/free-ai-video-demo) | Type the text (video script). Choose a character and script template. Click the "Submit a video" button. Enter your registration data and wait for the letter with the result |
| [Movio.la](https://www.movio.la/) | Create spoken person video from text |
| [AI Face maker](https://massless.io/tool/face-maker-ai/) | Just draw a person face (note that there is a separate tool for each part of the face) and the neural network will generate a realistic photo based on it. |
| [SessionBox](https://chrome.google.com/webstore/detail/sessionbox-multi-login-to/megbklhjamjbcafknkgmokldgolkdfig?hl=ru) | multi-login browser extension |
| [MultiLogin](https://chrome.google.com/webstore/detail/multilogin/ijfgglilaeakmoilplpcjcgjaoleopfi?hl=ru) | multi-login browser extension |
| [FreshStart](https://chrome.google.com/webstore/detail/freshstart-cross-browser/nmidkjogcjnnlfimjcedenagjfacpobb?hl=ru) | multi-login browser extension |
| [BoredHumans](https://boredhumans.com/faces.php) | Another tool for creating non-existent people. AI was trained using a database of 70,000 of photos of real humans. I like this service because it often makes very emotional and lively faces. |
| [Deepfakesweb](https://deepfakesweb.com/) | Create deepfake videos ONLINE |
| [Deep Face Live](https://github.com/iperov/DeepFaceLive) | Real-time face swap for streaming and video calls |
| [Fakeinfo](https://fakeinfo.net/) | Online screenshot generator of fake YouTube channels, posts/profiles on Facebook, Instagram, TikTok, Twitter, chats on Telegram, Hangouts, WhatsApp, Line, Linkedin. |
| [ThisPersonDoesNotExistAPI (unofficial)](https://github.com/David-Lor/ThisPersonDoesNotExistAPI) | #Python library that returns a random "doesnotexist" person picture generated by AI (with site [http://thispersondoesnotexist.com](http://thispersondoesnotexist.com)) |
| [This Baseball Player Does Not Exist](https://thisbaseballplayerdoesnotexist.com/) | A non-existent personality generator that generates people who look amazingly natural. |
| [Cardgenerator.org](https://cardgenerator.org/) | tool for generating valid bank card numbers (useful for registering accounts to use free trial versions or to create sock puppets) |
| [VCC Generator](http://vccgenerator.org/) | tool for generating valid bank card numbers (useful for registering accounts to use free trial versions or to create sock puppets) |
| [CardGuru](https://cardguru.io/) | tool for generating valid bank card numbers (useful for registering accounts to use free trial versions or to create sock puppets) |
| [CardGenerator](https://cardgenerator.io/) | tool for generating valid bank card numbers (useful for registering accounts to use free trial versions or to create sock puppets) |
| [Faker](https://github.com/joke2k/faker) | Python tool for generating fake data in different languages.  Generate addresses, city names, postal codes (you can choose the country), names, meaningless texts, etc. |
| [Generate Data](https://generatedata.com/generator) | Free tool for generating fake data. Useful for testing scripts and applications. The result can be downloaded in CSV, JSON, XML, SQL or JavaScript (PHP, TypeScript, Python) arrays. |

[](#noosint-tools)NOOSINT tools
===============================

| Link | Description |
| --- | --- |
| [Annotely](https://annotely.com/editor) | Perfectly simple tool for putting an arrow on a screenshot, highlighting some detail or blurring personal data. |
| [Pramp](https://www.pramp.com/) | The service allows you to take five free (!) online #coding and #productmanagement interview training sessions with peers |
| [RemindWhen](http://www.remindmewhen.io/) | Simple app that reminds you on email if your favorite country opens for tourists from your country. |
| [Web--proxy](https://web--proxy.herokuapp.com/) | free web proxy |
| [Google Docs Voice Comments](https://chrome.google.com/webstore/detail/record-voice-comments-in/lbfofpndjldbnhnhibhmggblcbpoomon) | simple trick to save time. Voice comments in GoogleDocs, Sheets, Slides, and Forms. |
| [Text to ASCII Art Generator (TAAG)](http://patorjk.com/software/taag/#p=display&f=Graffiti&t=Type%20Something%20) | This site will help you make atmospheric lettering for your command line tool or README. |
| [Snow](https://workspace.google.com/u/0/marketplace/app/show/82177279234?hl=ru&pann=docs_addon_widget) | A very simple add-on that speeds up and simplifies the formatting of #GoogleDocs. "Show" shows non-printable characters (spaces, tabs, page breaks, indents, etc.) |
| [Wide-band WebSDR](http://websdr.ewi.utwente.nl:8901/) | Online access to a short-wave receiver located at the University of Twente. It can be used to listen to military conversations (voice or Morse code) |
| [Crontab guru](https://crontab.guru/) | Online "shedule expression" editor (for setting task times in Crontab files). |
| [Chmod calculator](https://chmod-calculator.com/) | Calculate the octal numeric or symbolic value for a set of file or folder permissions in #Linux servers. Check the desired boxes or directly enter a valid numeric value to see its value in other format |
| [Ray So](https://ray.so/) | A simple tool that allows you to beautifully design code as a picture (for social media post or article). |
| [Windows Event Collection](https://www.ultimatewindowssecurity.com/) | A tool to help you understand #Windows, #SharePoint, #SQLServer and Exchange system security logs. |
| [Hack This Page](https://chrome.google.com/webstore/detail/hack-this-page/nbfegodimhenhkghjeppighcbpdinhdp/related) | A simple extension that allows you to edit the text of any web page. |
| [Soundraw](https://soundraw.io/) | AI music generation |
| [Screenshot - Full Page Screen Capture](https://chrome.google.com/webstore/detail/screen-recorder/jgmmgiojkjopgnanopiamhbhnpaednfg/related) | record a video of part of the screen using a very easy-to-use browser extension |
| [Chepy](https://github.com/securisec/chepy) | Python command line version of CyberChef |
| [Typeit](https://www.typeit.org/) | If the text in the picture is not recognised using Google Lens or other OCR tools, try just typing it character by character using the online keyboard. This website has these for 25 different languages. |
| [Transform Tools](https://transform.tools/) | This tool is worth knowing for developers and anyone who has to work with different data formats. It can convert: JSON to MySQL, JavaScript to JSON, TypeScript to JavaScript, Markdown to HTML |
| [Autoregex](https://www.autoregex.xyz/) | AI regular expressions generator. Generates a pattern by verbal description. It does not work perfectly (see picture with bitcoin wallet, there is an error, it does not always start with 13). But in general the service is very impressive! |
| [MARKMAP](https://markmap.js.org/) | A simple and free online tool to convert Markdown to Mindmap (SVG or interactive HTML). Formatting options are not too many, but enough to create an informative and clear visualization. |
| [Xmind Works](https://xmind.works/) | Online tool for open and editing .xmind files |
| [CLIGPT](https://github.com/paij0se/cligpt) | The simplest tool possible (with as few settings as possible) for working with ChatGPT API at the command line and using in bash scripts. |
| [MarkWhen](https://markwhen.com/) | Free online tool that converts Markdown to graphical timeline. It will come in handy for investigations where you need to investigate time-bound events, or simply for quick project planning. Export results in .SVG, .PNG, .MW or share link. |

### [](#visualization-tools)Visualization tools

| Link | Description |
| --- | --- |
| [Jsoncrack](https://jsoncrack.com/) | Online tool for visualizing, editing and searching for text in JSON files. With the ability to save, export and share results via a link. |
| [Jsonvisio](https://jsonvisio.com/) | Well-made JSON file renderer. Allows you to quickly understand the structure of even the most complex #JSON files. |
| [Time graphics](https://time.graphics/) | Powerful tool for analytics of time-based events: a large number of settings for the visualization of time periods, integration with Google Drive, YouTube, Google Maps, 12 ways to export results (PNG, JSON, PPTX etc.) |
| [Gephi](https://github.com/gephi/gephi) | fast and easy to learn graph analytics tool with a lot of modules (plugins) |
| [Tobloef.com](https://tobloef.com/text2mindmap/) | text to mind map |
| [Cheat sheet maker](http://cheatsheet-maker.herokuapp.com) | simple tool for creating cheat sheets |
| [JSONHero](https://jsonhero.io/) | Free online tool for visualizing data in JSON format. With tree structure display, syntax highlighting, link preview, pictures, colors and many other interesting features. |

### [](#routinedata-extraction-automation)Routine/Data Extraction Automation

| Link | Description |
| --- | --- |
| [Scrapersnbots](https://www.scrapersnbots.com/webtools/) | A collection of a wide variety of online tools for #osint and not only: search for users with a specific name on different sites, one domain #Google Image search, YouTube tags viewer, url-extractor and much more |
| [Manytools](https://manytools.org) | Collection of tools to automate the repetitive jobs involved in webdevelopment and hacking. |
| [Webdext](https://chrome.google.com/webstore/detail/webdext/jkgddhdaaejpmlmddpbedgnkdgiacblk/related) | An intelligent and quick web data extractor for #GoogleChrome. Support data extraction from web pages containing a list of objects such as product listing, news listing, search result, etc |
| [CloudHQ](https://www.cloudhq.net/apps) | A collection of several dozen extensions for #Chrome that allow you to extend the functionality of the standard #Gmail interface and maximize your #productivity. Tracking, sorting, sharing, saving, editing and much more. |
| [Magical. Text Expander](https://chrome.google.com/webstore/detail/magical-text-expander/iibninhmiggehlcdolcilmhacighjamp/related) | Create shortcuts in Google Chrome to reduce text entry time. For example: email templates, message templates for messengers, signatures and contact information, the names of people with complex spelling (lom -> Lomarrikkendd) |
| [Online tools](https://emn178.github.io/online-tools/index.html) | 55 tools for calculation hash functions, calculation file checksum, encoding and decoding strings |
| [CyberChef](https://gchq.github.io/CyberChef/) | collection of more than a hundred online #tools for automating a wide variety of tasks (string coding, text comparison, double-space removal) |
| [Shadowcrypt Tools](https://shadowcrypt.net/tools/) | 24 online tools for OSINT, network scanning, MD5 encryption and many others |

[](#browser-analyze)Browser analyze
===================================

| Link | Description |
| --- | --- |
| [Web history stat](https://chrome.google.com/webstore/detail/web-history-stat/fccaimiahhpljpnlnheimldcfhdhjgdl/related) | detailed statistics of your browser history |
| [coveryourtracks.eff.org](https://coveryourtracks.eff.org) | can tell a lot about your browser and computer, including showing a list of installed fonts on the system. |
| [Webmapper](https://chrome.google.com/webstore/detail/webmapper/foachceonkmkeiigdbkjcihnaabppicf/related) | Extension that create a map-visualization based by browser history. A visual representation of the most visited sites in 10, 20, 50 or 100 days. Zoomable and searchable. |
| [Export Chrome History](https://chrome.google.com/webstore/detail/export-historybookmarks-t/dcoegfodcnjofhjfbhegcgjgapeichlf) | A simple extension for Googlechrome that allows you to save detailed information about links from browser history as CSV/JSON.  Useful for both personal archives and investigations using other people's computers.  |

[](#files)Files
===============

| Link | Description |
| --- | --- |
| [Grep for OSINT](https://github.com/cipher387/grep_for_osint) | simple toolkit that helps to quickly extract "important data" (phone numbers, email addresses, URLs) from the text / file directory |
| [Diffnow.com](http://diffnow.com) | Compares and finds differences in text, URL (html code downloaded by link), office documents (doc, docx, xls, xlsx, ppt, pptx), source code (C, C++, C#, Java, Perl, PHP and other), archives (RAR, 7-zip etc). |
| [CompressedCrack](https://github.com/mnismt/CompressedCrack) | Simple tool for brute passwords for ZIP and RAR archives |
| [Encrytped ZIP file creator](https://www.protectedzip.com/) | Create ZIP archive online |
| [PDFX](https://github.com/metachris/pdfx) | get meta data of PDF files thrue command line |
| [@mediainforobot](https://t.me/mediainforobot) | telegram bot to getting metadata from different types of files |
| [Mutagen](https://github.com/quodlibet/mutagen) | get meta data of audiofiles thrue command line |
| [voyant-tools.org](https://voyant-tools.org/) | analysis of particular words in .TXT, .DOCX, .XLSX, .CSV and other file types. |
| [Analyze file format online](https://www.aconvert.com/analyze.html) |     |
| [ToolSley: analyze file format online](https://www.toolsley.com/file.html) |     |
| [RecoveryToolBox](https://recoverytoolbox.com/) | recovery tools for corrupted Excel, CorelDraw, Photoshop, PowerPoint, RAR, ZIP, PDF and other files |
| [Google Docs to Markdown online converter](https://mr0grog.github.io/google-docs-to-markdown/) | just copy text to the site |
| [Binvis](https://binvis.io/) | lets you visually dissect and analyze binary files. It's the interactive grandchild of a static visualisation online tool |
| [Gdrive-copy](https://script.google.com/macros/s/AKfycbxbGNGajrxv-HbX2sVY2OTu7yj9VvxlOMOeQblZFuq7rYm7uyo/exec) | The standard functionality of #GoogleDrive does not allow you to copy an entire folder with all subfolders and files. But it can be done using third-party applications |
| [Siftrss.com](https://siftrss.com/) | tool for filtering RSS feeds |
| [JSON to CSV](https://json-csv.com/) |     |
| [Textise.net](https://www.textise.net/) | convert the HTML code of a page to TXT |

[](#imei-and-serial-numbers)IMEI and serial numbers
===================================================

| Link | Description |
| --- | --- |
| [Checking MI account](https://www.checkmi.info/) |     |
| [Contex condoms serial number lookup](https://contex.com/serial-number-lookup/) |     |
| [iPhone IMEI Checker](https://www.imeipro.info/check_imei_iphone.html) | Get information about #iPhone by International Mobile Equipment Identity |
| [SNDeepInfo](https://sndeep.info/en) | Find information about devices (phones, smartphones, cameras, household appliances) by - IMEI; - MEID; - ICCID; - serial number; - Apple Part Number. |

[](#nft)NFT
===========

| Link | Description |
| --- | --- |
| [Nonfungible.com](https://nonfungible.com) | help to analyze the NFT market, find out which tokens were sold most actively (week, month, year, all time) |
| [Numbers](https://nftsearch.site/) | Search NFT by Content ID, Commit hash, keywords or uploaded photo. |
| [Fingble Nftport](https://fingible.nftport.xyz/) | One of the most accurate search engines for finding NFT by uploaded image. Works well with faces. Also it's possible to search by keyword or Token ID. |

[](#keywords-trends-news-analytics)Keywords, trends, news analytics
===================================================================

| Link | Description |
| --- | --- |
| [Wordstat.yandex.ru](https://wordstat.yandex.ru/) | the estimated number of Yandex searches in the coming month for different keywords |
| [Trends Google](https://trends.google.com/trends/) |     |
| [Keywordtool.io](https://keywordtool.io/search/keywords/) | keyword matching for Google, YouTube, Amazon, Ebay, Bing, Instagram, Twitter |
| [Google Books Ngram Viewer](https://books.google.com/ngrams/) |     |
| [News Explorer BlueMix](http://news-explorer.mybluemix.net/) |     |
| [Pinterest Trends](https://trends.pinterest.com/) |     |
| [PyTrends](https://github.com/GeneralMills/pytrends) | Simple #python library for automatically collecting data from Google Trends. |
| [KeyWordPeopleUse](https://keywordspeopleuse.com/) | Type in a keyword and see what questions mentioning it are being asked on Quora and Reddit. The service is also able to analyse Google Autocomplete and "People also ask" |

[](#apps-and-programs)Apps and programs
=======================================

| Link | Description |
| --- | --- |
| [Google Play Scraper](https://github.com/facundoolano/google-play-scraper) | get the most detailed |
| [App Store Scraper](https://github.com/facundoolano/app-store-scraper) | get the most detailed metadata about the app from AppStore |

[](#company-information-search)Company information search
=========================================================

| Link | Description |
| --- | --- |
| [Lei.bloomberg.com](https://lei.bloomberg.com/search?.=1&.=-lastUpdateDate&.=&.=&.=%5B%5D&ts=2447821118) | search information about company by Legal Identify Number |
| [990 finder](https://candid.org/research-and-verify-nonprofits/990-finder) | Enter the company name and select the state to get a link to download its 900 form. |
| [Open Corporates Command Line Client (Occli)](https://github.com/rlyonheart/occli) | Gathering detailed information about company through cli. |
| [NewsBrief](https://emm.newsbrief.eu/NewsBrief/clusteredition/ru/latest.html) | Looking for recent mentions of the company in online media around the world |
| [Related List](http://relateoak2hkvdty6ldp7x67hys7pzaeax3hwhidbqkjzva3223jpxqd.onion.pet/) | find company-related contacts and confidential documents leaked online |
| [Investing.com](https://www.investing.com/) | View a detailed investment profile of the company |
| [FCCID.IO](https://fccid.io) | seacrh by FCC ID, Country, Date, Company name or Frequency ( in Mhz) |
| [Tradeint](https://tradint.io/tradint-researcher/) | Quick access for more than 85 tools for gathering information about company and company website, location and sector |
| [Corporative Registry Catalog](https://cipher387.github.io/corporative_registry_worldwide_catalog/) | worldwide catalog of business registries (63 countries) |
| [LEI search](https://search.gleif.org/#/search/) | can help find "who owned by" or "who owns" |
| [openownership.org](http://openownership.org) | Wordwide beneficial ownership data. |
| [opensanctions.org](https://opensanctions.org) | Open source data on sanctioned people and companies in various countries from 35 (!) different sources. |
| [Oec World](https://oec.world/) | A tool for detailed analysis of international trade. It will show clearly which country sells which products, to which countries these products are sold and in what trade value (in $) |
| [Skymem](https://skymem.info/) | A free tool to search for employees' emails by company domain. Partially free (only 25 emails can be viewed) |

[](#bank-information-search)Bank information search
===================================================

| Link | Description |
| --- | --- |
| [FDIC search](https://banks.data.fdic.gov/bankfind-suite/bankfind) | Search banks by FDIC (Federal Deposit Insurance Corporation) certificate number and get detailed information about it |
| [Iban.com](https://www.iban.com/iban-checker) | Check the validity of the IBAN (International Bank Account Number) of the company and see the information about the bank where it is serviced |
| [Freebin Checker](https://api.freebinchecker.com/bin/658205) | easy-to-use API for getting bank details by BIN. 850,000+ BIN records in FreeBinChecker's database |
| [Credit OSINT](https://github.com/krdsploit/Credit-OSINT) | A very simple #python tool to gather information about bank cards and validate them. |

[](#brandtrademark-information-search)Brand/trademark information search
========================================================================

| Link | Description |
| --- | --- |
| [WIPO.int](https://www3.wipo.int/branddb/en/) | Global Brands Database (46,020,000 records) |
| [TMDN Design View](https://www.tmdn.org/tmdsview-web/) | Search 17 684 046 products designs across the European Union and beyond |
| [TESS](https://tmsearch.uspto.gov/bin/gate.exe?f=login&p_lang=english&p_d=trmk) | Search engine for #USA trademarks |

[](#tendershipment-information-search)Tender/shipment information search
========================================================================

| Link | Description |
| --- | --- |
| [TendersInfo](https://www.tendersinfo.com) | Search tenders around the world by keywords. |
| [Barcode lookup](https://www.barcodelookup.com/) |     |
| [Panjiva.com](https://panjiva.com/) | search data on millions of shipments worldwide |
| [en.52wmb.com](https://en.52wmb.com) | Search information about worldwide buyers and suppliers by product name, company name or HS code. |

### [](#amazon)Amazon

| Link | Description |
| --- | --- |
| [Amazon Scraper](https://github.com/scrapehero-code/amazon-scraper) | scraped detail information about list of items |
| [Amazon ASIN Finder](https://amazon-asin.com/) |     |
| [Sellerapp.com. Amazon Reverse ASIN search](https://www.sellerapp.com/amazon-reverse-asin.html) |     |

[](#movies)Movies
=================

| Link | Description |
| --- | --- |
| [Reelgood.com](https://reelgood.com/) | search engine for more than 300 free and paid streaming services (Netflix, Amazon Prime Video, HBO, BBC, DisneyPlus) |
| [IMCDB](http://imcdb.org) | Internet Movie Cars Database |
| [Sympsons screencaps search](https://frinkiac.com/) |     |
| [Search Futuruma screencaps](https://morbotron.com/) |     |
| [Rick and Morty screencaps search](https://masterofallscience.com/) |     |
| [Subzin.com](http://www.subzin.com/) | by one phrase will find the movie, as well as the full text of the dialogue with the timing |
| [Doesthedogdie](https://www.doesthedogdie.com/) | This is an ingenious site that lets you find out if a movie (video game) has scenes that might upset someone (death of dogs, cats and horses, animal abuse, domestic violence etc). |
| [PlayPhrase](https://playphrase.me/) | Search across 7 million + phrase from movies and watch fragments in which this3 phrase is spoken. |

### [](#netflix)Netflix

| Link | Description |
| --- | --- |
| [Unogs.com](http://unogs.com/) | Netflix search without registration |
| [flixable.com](http://flixable.com) | alternative way to find anything interesting on Netflix |
| [flixwatch.co](http://flixwatch.co) | alternative way to find anything interesting on Netflix |
| [flicksurfer.com](http://flicksurfer.com) | alternative way to find anything interesting on Netflix |
| [flixboss.com](http://flixboss.com) | alternative way to find anything interesting on Netflix |
| [flickmetrix.com](http://flickmetrix.com) | alternative way to find anything interesting on Netflix |
| [whatthehellshouldiwatchonnetflix.com](http://whatthehellshouldiwatchonnetflix.com) | alternative way to find anything interesting on Netflix |
| [netflix-codes.com](http://netflix-codes.com) | alternative way to find anything interesting on Netflix |

[](#tvradio)TV/Radio
====================

| Link | Description |
| --- | --- |
| [Radion.net](https://www.radio.net/local-stations) | view list of all radiostations near your location and search radiostations by keywords |
| [American Archive of Public Broadcasting](https://americanarchive.org) | Discover historic programs of publicly funded radio and television across America. Watch and listen |
| [LiveATC](https://www.liveatc.net/) | Archive of audio recordings between pilots and dispatchers. Useful for investigating incidents and for foreign language comprehension skills (if you learn to understand pilots' conversations, you will be able to understand everything). |
| [Wideband shortware radio receiver map](http://rx.linkfanel.net/) | Online map of shortwave radio receivers available for listening in your browser at the moment. |
| [IPTV org](https://iptv-org.github.io/) | Search by 28 813 IP television channels in 196 countries. Get detailed information about channel in HTML/JSON (sometimes with link to livestream). |

[](#tools-collectionstoolkits)Tools collections/toolkits
========================================================

| Link | Description |
| --- | --- |
| [Osint Search Tools](https://osint.hopain.cyou/index.html) | Several hundred links for quick search in Social Media, Communties, Maps, Documents Search Engines, Maps, Pastes... |
| [Scrummage](https://github.com/matamorphosis/Scrummage) | Ultimate OSINT and Threat Hunting Framework |
| [Mr.Holmes](https://github.com/Lucksi/Mr.Holmes) | osint toolkit for gathering information about domains, phone numbers and social media accounts |
| [SEMID osint framework](https://github.com/Himatric/SEMID) | Search user info in Tiktok, Playstation, Discord, Doxbin,Twitter, Github |
| [NAZAR](https://github.com/MR-NULL666/NAZAR) | universal Osint Toolkit |
| [E4GL30S1NT](https://github.com/C0MPL3XDEV/E4GL30S1NT) | ShellScript toolkit for #osint (12 tools) |
| [Recon Spider](https://github.com/bhavsec/reconspider) | Advanced Open Source Intelligence (#OSINT) Framework for scanning IP Address, Emails, Websites, Organizations |
| [Hunt Osint Framework](https://nitinpandey.in/ihunt/) | Dozens of online tools for different stages of #osint investigations |
| [GoMapEnum](https://github.com/nodauf/GoMapEnum) | Gather emails on Linkedin (via Linkedin and via Google) + User enumeration and password bruteforce on Azure, ADFS, OWA, O365 (this part seems to be still in development) |
| [ExtendClass](https://extendsclass.com/) | One of my favorite sites for #automating various routine tasks. Among the many analogues, it stands out for its quality of work and variety of functions (view pic). |
| [FoxyRecon](https://addons.mozilla.org/ru/firefox/addon/foxyrecon/) | 44 osint tools in one add-on for #Firefox |
| [S.I.G.I.T.](https://github.com/termuxhackers-id/SIGIT) | Simple information gathering toolkit |
| [GVNG Search](https://github.com/ByDog3r/GvngSearch) | Command line toolkit for gathering information about person (nickname search, validate email, geolocate ip) and domain (traceroute, dns lookup, tcp port scan etc). |
| [Owasp Maryam](https://github.com/saeeddhqan/Maryam) | modular open-source framework based on OSINT and data gathering |
| [Ghoulbond](https://github.com/hitesh22rana/ghoulbond) | Just another all-in-one command line toolkit for gathering information about system (technical characteristics, internet speed, IP/Mac address, port scanner)+some features for nickname and phone number #osint. |
| [Metabigoor](https://github.com/j3ssie/metabigor) | Simple and fast #osint framework |
| [Geekflare Tools](https://gf.dev/toolbox) | 39 online free tools for website testing |
| [Oryon OSINT query tool](https://docs.google.com/spreadsheets/d/1_x3PXGOahhKT3-ePaWhb3hM1dVxjmBvsVlw6D6lilTQ/edit#gid=1116439221) | Construct investigations links in Google Sheet |
| [Discover](https://github.com/leebaird/discover) | Custom bash scripts used to automate various penetration testing tasks including recon, scanning, parsing and listeners with metasploit (16 tools in one) |
| [one-plus.github.io/DocumentSearch](https://one-plus.github.io/DocumentSearch) | Document Search osint Toolkit |
| [Telegram HowToFindBot](https://t.me/HowToFindBot) |     |
| [Harpoon](https://github.com/Te-k/harpoon) |     |
| [ResearchBuzz](https://researchbuzz.github.io/) | Google Sinker Search queries constructor (view pic), Google News Search queries constructor, Quick twitter account historical navigation in http://archive.org, Blogspace Time Machine and more tools |
| [Profounder](https://github.com/d8rkmind/Profounder) | searching users by nickname and scrapping url's from website |
| [Moriarty Project](https://github.com/AzizKpln/Moriarty-Project) |     |
| [Osintcombine Tools](https://osintcombine.tools/) |     |
| [OSINT-SAN](https://github.com/Bafomet666/OSINT-SAN) |     |
| [Mihari](https://github.com/ninoseki/mihari) |     |
| [One Plus OSINT Toolkit](https://one-plus.github.io/Instagram) |     |
| [Vichiti](https://github.com/umair9747/vichiti) |     |
| [Sarenka](https://github.com/pawlaczyk/sarenka) |     |
| [Vedbex.com](https://www.vedbex.com/tools/home) |     |
| [Synapsint.com](https://synapsint.com/) |     |
| [Ashok](https://github.com/ankitdobhal/Ashok) | Swiff knife for #osint |
| [IVRE](https://github.com/ivre/ivre) | framework for network recon |
| [SEARCH Investigative and Forensic Toolbar](https://chrome.google.com/webstore/detail/search-investigative-and/idgjbdfnngdcenpahfalcamfmcjdfbcj/related) | extension with quick access to dozens of online tools for osint, forensics and othef investigations goals. |
| [Tenssens](https://github.com/thenurhabib/tenssens) | osint framework |
| [Collector](https://github.com/galihap76/collector) | Universal Osint Toolkit |
| [Randomtools](https://randomtools.io/) | Several dozen online tools for a variety of purposes. Including to facilitate gathering information on #Facebook, #Twitter, #YouTube, #Instagram |
| [Infooze](https://github.com/devXprite/infoooze) | User Recon, Mail Finder, Whois/IP/DNS/headers lookup, InstaRecon, Git Recon, Exif Metadata |
| [ThreatPinch Lookup](https://chrome.google.com/webstore/detail/threatpinch-lookup/ljdgplocfnmnofbhpkjclbefmjoikgke/related) | Helps speed up security investigations by automatically providing relevant information upon hovering over any IPv4 address, MD5 hash, SHA2 hash, and CVE title. It's designed to be completely customizable and work with any rest API(c) |
| [Osint tool](https://osint-tool.com/) | A universal online tool for searching various services and APIs with more than a dozen different inputs (phone number, email, website address, domain, etc.). |
| [Hackers toolkit](https://chrome.google.com/webstore/detail/hackers-toolkit/iebkeiopbbfnmieadmojmocohdmaghmb/related) | An extension for quick access to dozens of tools for decoding/encoding strings as well as generating queries for popular types of web attacks (#SQLi,#LFI,#XSS). |
| [BOTSTER](https://botster.io/bots) | A huge collection of bots for gathering, monitoring, analysing and validating data from Instagram, Twitter, Google, Amazon, Linkedin, Shopify and other services. |
| [Magnifier](https://github.com/TheEyeOfCyber/Magnifier) | #osint #python toolkit. 15 scripts in one: - subdomain finder; - website emails collector; - zone transfer; - reverse IP lookup; and much more. |
| [Wannabe1337 Toolkit](https://wannabe1337.xyz/) | This site has dozens of free online tools (many of which will be useful for #osint): - website and network info gathering tools; - code, text and image processing tools; - IPFS and Fraud tools; - Discord and Bitcoin tools. |
| [BazzellPy](https://github.com/dmw94/bazzellpy) | Unofficial(!) #Python library for automation work with IntelTechniques Search Tools https://inteltechniques.com/tools/ |
| [BBOT](https://github.com/blacklanternsecurity/bbot) | Toolkit of 51 modules (for collecting domain/IP information - cookie_brute, wappalyzer, sslcert, leakix, urlscan, wayback (full list in the picture) |
| [SLASH](https://github.com/theahmadov/slash) | Universal #cli search tool. Search email or username across social media, forums, Pastebin leaks, Github commits and more. |
| [How to verify?](https://www.howtoverify.info/) | Visual fact checking mind maps for verification video, audio, source, text. Detailed workflows descriptions with tools, tips and tricks. |
| [Cyclect](https://www.godaddy.com/forsale/cyclect.io?utm_source=TDFS_BINNS&utm_medium=BINNS&utm_campaign=TDFS_BINNS&traffic_type=TDFS_BINNS&traffic_id=binns&) | Ultimate OSINT Search Engine + list of 281+ tools for information gathering about": IP Adress, Social Media Account, Email, Phone, Domain, Person, Venicle and more. |
| [ShrewdEye](https://shrewdeye.app/) | Online versions of popular command line #osint tools: Amass, SubFinder, AssetFinder, GAU, DNSX |
| [OSINT Toolkit](https://github.com/dev-lu/osint_toolkit) | Self-hosted web app (one minute Docker installation) for gathering information about IPs, Domains, URLs, Emails, Hashes, CVEs and more. |
| [OSINTTracker](https://app.osintracker.com/) | A simple and free online tool to visualize investigations and collect data about different entry points (domains, email addresses, crypto wallet numbers) using hundreds of different online services. |



[](#databases-and-data-analyzes)Databases and data analyzes
===========================================================

| Link | Description |
| --- | --- |
| [Cronodump](https://github.com/alephdata/cronodump) | When searching for information about citizens of Ukraine, Russia and other CIS countries, often have to deal with leaked databases for the Cronos program (used in government organizations). This simple utility generates Cronos files in CSV. |
| [Jsonvisio](https://jsonvisio.com/) | Well-made JSON file renderer. Allows you to quickly understand the structure of even the most complex #JSON files. |
| [1C Database Converter](https://github.com/soxoj/1c-database-converter) | 1C is a very popular program in CIS countries for storing data in enterprises (accounting, document management, etc.). This tool allows you to convert 1C files into CSV files. |
| [Insight Jini](https://insightjini.com/) | Extreme quick, extreme simple and free online tool for data visalization and analysis |
| [DIAGRAMIFY](https://diagramify.agiliq.com/) | generates flow charts from the text description. Branching and backtracking are supported  |
| [OBSIDIAN CLI](https://github.com/Yakitrak/obsidian-cli) | Very simple #go tool that let to interact with the Obsidian using the terminal. Open, search, create and edit files. Can be combined with any other #cli #osint tools to automate your workflow. |

[](#online-os-emulators)Online OS Emulators
===========================================

| Link | Description |
| --- | --- |
| [Windows 10 Online Emulator](https://www.onworks.net/runos/create-os.html?os=win10_emulator&home=init) |     |
| [Parrot Security OS Online Emulator](https://www.onworks.net/os-distributions/special-os/free-parrot-security-os-online) |     |

[](#virtual-machineslinux-distributions)Virtual Machines/Linux distributions
============================================================================

| Link | Description |
| --- | --- |
| [Offen Osint](https://github.com/Double2Sky/OffenOsint) |     |
| [BlackArch Linux](https://www.blackarch.org) |     |
| [Kali Linux](https://www.kali.org) |     |
| [CSI Linux](https://csilinux.com) |     |
| [Fedora Security Lab](https://labs.fedoraproject.org/security/download/index.html) |     |
| [Huron Osint](https://github.com/HuronOsint/OsintDistro) |     |
| [Tsurugi Linux](https://tsurugi-linux.org) |     |
| [Osintux](http://www.osintux.org) |     |
| [TraceLabs OSINT VM](https://www.tracelabs.org/initiatives/osint-vm) |     |
| [Dracos Linux](https://dracos-linux.org) |     |
| [ArchStrike](https://archstrike.org) |     |
| [Septor Linux](https://septor.sourceforge.io) |     |
| [Parrot Security](https://twitter.com/ParrotSec) |     |
| [osintBOX](https://github.com/Dimaslg/osintBOX) | Parrot OS Home edition modified with the popular OSINT tools: Dmitry, ExifTool, Maltego, Sherlock, SpiderFoot and much more. |
| [Pentoo Linux](https://www.pentoo.ch) |     |
| [Deft Linux](https://deftlinux.net) |     |
| [BackBox](https://www.backbox.org) |     |
| [Falcon Arch Linux](https://sourceforge.net/projects/falcon-archlinux/) |     |
| [AttifyOS](https://github.com/adi0x90/attifyos) | Linux distro for pentesting IoT devices. |

[](#my-projects)My Projects
===========================

| Link | Description |
| --- | --- |
| [Python OSINT automation examples](https://github.com/cipher387/Python-osint-automation-examples) | In this repository, I will collect quick and simple code examples that use Python to automate various #osint tasks.  |
| [Worldwide OSINT Tools Map](https://cipher387.github.io/osintmap/) |     |
| [Quick hashtags and keywords search](https://cipher387.github.io/hashtags_and_keywords_social_media_quick_search/) |     |
| [Quick geolocation search](https://cipher387.github.io/quickgeolocationsearch/) |     |
| [Phone Number Search Constructor](https://cipher387.github.io/phonenumberqueryconstructor/) |     |
| [Domain Investigation Toolbox](https://cipher387.github.io/domain_investigation_toolbox/) |     |
| [IP adress Investigation Toolbox](https://cipher387.github.io/domain_investigation_toolbox/ip.html) |     |
| [Quick Cache and Archive search](https://cipher387.github.io/quickcacheandarchivesearch/) |     |
| [Grep for OSINT](https://github.com/cipher387/grep_for_osint) | Set of very simple shell scripts that will help you quickly analyze a text or a folder with files for data useful for investigation (phone numbers, bank card numbers, URLs, emails |
| [5 Google Custom Search Engine for search 48 pastebin sites](https://cipher387.github.io/pastebinsearchengines/) |     |
| [CSE for search 20 source code hosting services](https://cipher387.github.io/code_repository_google_custom_search_engines/) |     |
| [Dorks collections list](https://github.com/cipher387/Dorks-collections-list) | List of Github repositories and articles with list of dorks for different search engines |
| [APIs for OSINT](https://github.com/cipher387/API-s-for-OSINT) | List of API's for gathering information about phone numbers, addresses, domains etc |
| [Advanced Search Operators List](https://github.com/cipher387/Advanced-search-operators-list) | List of the links to the docs for different services, which explain using of advanced search operators |
| [Code understanding tools list](https://github.com/cipher387/code-understanding-tools) | Tools for understanding other people's code |source
| [Awesome grep](https://github.com/cipher387/awesome-grep) | List of GREP modifications and alternatives for a variety of purposes |
| [Maltego transforms list](https://github.com/cipher387/maltego-transforms-list) | list of tools that handle different data and make it usable in Maltego |

* * *

Command line cheat sheet for this collection made by [Coordinat Cat](https://github.com/Coordinate-Cat):

[OSINT TOOLS CLI](https://github.com/Coordinate-Cat/OSINT-TOOLS-CLI)

(Under development, In progress)

* * *

Thank you for following me! [@cyb_detective](https://cybdetective.com)
